/*
 * Cashew basic serial
 */
#include <linux/console.h>
#include <linux/init.h>
#include <linux/serial_reg.h>
#include <asm/io.h>

#if defined(CONFIG_MACH_CASHEW_PLATFORM_VIRTUAL_INTERAPTIV)
#define PORT(offset) (0xF0108000 + (offset * 4))
#elif defined(CONFIG_MACH_CASHEW_PLATFORM_FPGA_INTERAPTIV)
#define PORT(offset) (0xB2000800 + (offset * 4))
#else
#define PORT(offset) (0xB0108000 + (offset * 4))
#endif



static inline unsigned int serial_in(int offset)
{
	return inl(PORT(offset));
}


static inline void serial_out(int offset, int value)
{
	outl(value, PORT(offset));
}


int prom_putchar(char c)
{
	while ((serial_in(UART_LSR) & UART_LSR_THRE) == 0)
		;

	serial_out(UART_TX, c);

	return 1;
}
