/*
 * Cashew clock setup
 */
#include <linux/clk.h>
#include <linux/clk-provider.h>
#include <linux/clocksource.h>
#include <linux/init.h>
#include <linux/irqchip/mips-gic.h>
#include <linux/of.h>

#include <asm/time.h>
#include <linux/irqchip/mips-gic.h>

#include <asm/mips-boards/generic.h>

unsigned long cpu_khz;

extern int cp0_perfcount_irq;

int get_c0_perfcount_int(void)
{
	if (gic_present)
		return gic_get_c0_compare_int();
	if (cp0_perfcount_irq >= 0)
		return MIPS_CPU_IRQ_BASE + cp0_perfcount_irq;
	return -1;
}

unsigned int get_c0_compare_int(void)
{
	if (gic_present)
		return gic_get_c0_compare_int();
	return MIPS_CPU_IRQ_BASE + cp0_compare_irq;
}

static const __initconst struct of_device_id cashew_boot_clk_match[] = {
{ .compatible = "img,cashew-cpu-boot-clock" }
};


void __init plat_time_init(void)
{
	struct device_node *np;
	u32 rate;
	of_clk_init(NULL);
	clocksource_of_init();
	np = of_find_compatible_node(NULL, NULL, "img,cashew-cpu-boot-clock");
	if(np) {
		if(!of_property_read_u32(np, "clock-frequency", &rate)) {
			mips_hpt_frequency = rate;
		}
	printk(KERN_INFO "CPU clock frequency: %u\n",rate);
	}

}
