/*
 * Defines of the Cashew board specific address-MAP, registers, etc.
 */
#ifndef __ASM_MIPS_BOARDS_CASHEW_H
#define __ASM_MIPS_BOARDS_CASHEW_H

#include <linux/irqchip/mips-gic.h>
#include <asm/addrspace.h>
#include <asm/io.h>

#define	MIPS_INT_HW0	2
#define	MIPS_INT_HW1	3
#define	MIPS_INT_HW2	4
#define	MIPS_INT_HW3	5
#define	MIPS_INT_HW4	6
#define	MIPS_INT_HW5	7

/*
 * GCMP Specific definitions
 * GIC Specific definitions
 * CPC Specific definitions
 */
#if defined(CONFIG_MACH_CASHEW_PLATFORM_VIRTUAL_INTERAPTIV)

#define GCMP_BASE_ADDR			0xF4000000
#define GIC_BASE_ADDR			0xF4020000
#define CPC_BASE_ADDR			0xFBDE0000

#elif defined(CONFIG_MACH_CASHEW_PLATFORM_FPGA_INTERAPTIV)

#define GCMP_BASE_ADDR			0xBFBF8000
#define GIC_BASE_ADDR			0xBBDC0000
#define CPC_BASE_ADDR			0xBBDE0000

#else

#define GCMP_BASE_ADDR			0xFFBF8000
#define GIC_BASE_ADDR			0xFBDC0000
#define CPC_BASE_ADDR			0xFBDE0000

#endif
#define GCMP_ADDRSPACE_SZ		(256 * 1024)
#define GIC_ADDRSPACE_SZ		(128 * 1024)

// SADEGH_A extern struct boot_param_header __dtb_start;

#endif /* __ASM_MIPS_BOARDS_CASHEW_H */
