/* This file contains register information of all clocks in the system.
 * This includes offsets to the registers and also definition of each used bits
 * of each register.
 */
#if !defined(__CASHEW_CLK_REGS_H__)
#define __CASHEW_CLK_REGS_H__

#define CLOCK_SYS_PRIMARY_OFFSET		(0x0000)

#define CS_PLL0REFCLK_0_SW_SHIFT		(0)
#define CS_PLL0REFCLK_0_SW_LENGTH		(1)

#define CS_PLL0REFCLK_0_EN_SHIFT		(1)
#define CS_PLL0REFCLK_0_EN_LENGTH		(1)

#define CS_PLL1REFCLK_0_SW_SHIFT		(2)
#define CS_PLL1REFCLK_0_SW_LENGTH		(1)

#define CS_PLL1REFCLK_0_EN_SHIFT		(3)
#define CS_PLL1REFCLK_0_EN_LENGTH		(1)

#define CS_PLL2REFCLK_0_SW_SHIFT		(4)
#define CS_PLL2REFCLK_0_SW_LENGTH		(1)

#define CS_PLL2REFCLK_0_EN_SHIFT		(5)
#define CS_PLL2REFCLK_0_EN_LENGTH		(1)

#define CS_PLL3REFCLK_0_SW_SHIFT		(6)
#define CS_PLL3REFCLK_0_SW_LENGTH		(1)

#define CS_PLL3REFCLK_0_EN_SHIFT		(7)
#define CS_PLL3REFCLK_0_EN_LENGTH		(1)

#define CS_PLL0BYPASSCLK_0_SW_SHIFT		(8)
#define CS_PLL0BYPASSCLK_0_SW_LENGTH		(1)

#define CS_PLL0BYPASSCLK_0_EN_SHIFT		(9)
#define CS_PLL0BYPASSCLK_0_EN_LENGTH		(1)

#define CS_PLL1BYPASSCLK_0_SW_SHIFT		(10)
#define CS_PLL1BYPASSCLK_0_SW_LENGTH		(1)

#define CS_PLL1BYPASSCLK_0_EN_SHIFT		(11)
#define CS_PLL1BYPASSCLK_0_EN_LENGTH		(1)

#define CS_PLL2BYPASSCLK_0_SW_SHIFT		(12)
#define CS_PLL2BYPASSCLK_0_SW_LENGTH		(1)

#define CS_PLL2BYPASSCLK_0_EN_SHIFT		(13)
#define CS_PLL2BYPASSCLK_0_EN_LENGTH		(1)

#define CS_PLL3BYPASSCLK_0_SW_SHIFT		(14)
#define CS_PLL3BYPASSCLK_0_SW_LENGTH		(1)

#define CS_PLL3BYPASSCLK_0_EN_SHIFT		(15)
#define CS_PLL3BYPASSCLK_0_EN_LENGTH		(1)

#define CLOCK_NOC_HS_OFFSET		(0x0004)

#define MX_NOCHSPRECLK_0_SW_SHIFT		(0)
#define MX_NOCHSPRECLK_0_SW_LENGTH		(1)

#define MX_NOCHSPRECLK_1_SW_SHIFT		(1)
#define MX_NOCHSPRECLK_1_SW_LENGTH		(1)

#define MX_NOCHSPRECLK_2_SW_SHIFT		(2)
#define MX_NOCHSPRECLK_2_SW_LENGTH		(1)

#define CS_NOCHSPRESWCLK_0_SW_SHIFT		(3)
#define CS_NOCHSPRESWCLK_0_SW_LENGTH		(1)

#define CS_NOCHSPRESWCLK_0_EN_SHIFT		(4)
#define CS_NOCHSPRESWCLK_0_EN_LENGTH		(1)

#define NOCHSPRESWCLK_DIV_0_SHIFT		(5)
#define NOCHSPRESWCLK_DIV_0_LENGTH		(2)

#define NOCHSCLK_DIV_0_SHIFT		(7)
#define NOCHSCLK_DIV_0_LENGTH		(6)

#define CLOCK_NOC_MS_OFFSET		(0x0008)

#define MX_NOCMSPRECLK_0_SW_SHIFT		(0)
#define MX_NOCMSPRECLK_0_SW_LENGTH		(1)

#define MX_NOCMSPRECLK_1_SW_SHIFT		(1)
#define MX_NOCMSPRECLK_1_SW_LENGTH		(1)

#define MX_NOCMSPRECLK_2_SW_SHIFT		(2)
#define MX_NOCMSPRECLK_2_SW_LENGTH		(1)

#define CS_NOCMSPRESWCLK_0_SW_SHIFT		(3)
#define CS_NOCMSPRESWCLK_0_SW_LENGTH		(1)

#define CS_NOCMSPRESWCLK_0_EN_SHIFT		(4)
#define CS_NOCMSPRESWCLK_0_EN_LENGTH		(1)

#define NOCMSPRESWCLK_DIV_0_SHIFT		(5)
#define NOCMSPRESWCLK_DIV_0_LENGTH		(2)

#define NOCMSCLK_DIV_0_SHIFT		(7)
#define NOCMSCLK_DIV_0_LENGTH		(6)

#define CLOCK_NOC_LS_OFFSET		(0x000C)

#define MX_NOCLSPRECLK_0_SW_SHIFT		(0)
#define MX_NOCLSPRECLK_0_SW_LENGTH		(1)

#define MX_NOCLSPRECLK_1_SW_SHIFT		(1)
#define MX_NOCLSPRECLK_1_SW_LENGTH		(1)

#define MX_NOCLSPRECLK_2_SW_SHIFT		(2)
#define MX_NOCLSPRECLK_2_SW_LENGTH		(1)

#define CS_NOCLSPRESWCLK_0_SW_SHIFT		(3)
#define CS_NOCLSPRESWCLK_0_SW_LENGTH		(1)

#define CS_NOCLSPRESWCLK_0_EN_SHIFT		(4)
#define CS_NOCLSPRESWCLK_0_EN_LENGTH		(1)

#define NOCLSPRESWCLK_DIV_0_SHIFT		(5)
#define NOCLSPRESWCLK_DIV_0_LENGTH		(2)

#define NOCLSCLK_DIV_0_SHIFT		(7)
#define NOCLSCLK_DIV_0_LENGTH		(6)

#define CLOCK_CPU0_OFFSET		(0x0010)

#define CPU0PRECLK_GATE_EN_SHIFT		(0)
#define CPU0PRECLK_GATE_EN_LENGTH		(1)

#define CPU0PRECLK_DIV_0_SHIFT		(1)
#define CPU0PRECLK_DIV_0_LENGTH		(2)

#define CPU0CLK_DIV_0_SHIFT		(3)
#define CPU0CLK_DIV_0_LENGTH		(6)

#define CLOCK_CPU1_OFFSET		(0x0014)

#define MX_CPU1PRECLK_0_SW_SHIFT		(0)
#define MX_CPU1PRECLK_0_SW_LENGTH		(1)

#define MX_CPU1PRECLK_1_SW_SHIFT		(1)
#define MX_CPU1PRECLK_1_SW_LENGTH		(1)

#define MX_CPU1PRECLK_2_SW_SHIFT		(2)
#define MX_CPU1PRECLK_2_SW_LENGTH		(1)

#define CS_CPU1PRESWCLK_0_SW_SHIFT		(3)
#define CS_CPU1PRESWCLK_0_SW_LENGTH		(1)

#define CS_CPU1PRESWCLK_0_EN_SHIFT		(4)
#define CS_CPU1PRESWCLK_0_EN_LENGTH		(1)

#define CPU1PRESWCLK_DIV_0_SHIFT		(5)
#define CPU1PRESWCLK_DIV_0_LENGTH		(2)

#define CPU1CLK_DIV_0_SHIFT		(7)
#define CPU1CLK_DIV_0_LENGTH		(6)

#define CPU1NOCCLK_GATE_EN_SHIFT		(13)
#define CPU1NOCCLK_GATE_EN_LENGTH		(1)

#define CLOCK_CPU2_OFFSET		(0x0018)

#define MX_CPU2PRECLK_0_SW_SHIFT		(0)
#define MX_CPU2PRECLK_0_SW_LENGTH		(1)

#define MX_CPU2PRECLK_1_SW_SHIFT		(1)
#define MX_CPU2PRECLK_1_SW_LENGTH		(1)

#define MX_CPU2PRECLK_2_SW_SHIFT		(2)
#define MX_CPU2PRECLK_2_SW_LENGTH		(1)

#define CS_CPU2PRESWCLK_0_SW_SHIFT		(3)
#define CS_CPU2PRESWCLK_0_SW_LENGTH		(1)

#define CS_CPU2PRESWCLK_0_EN_SHIFT		(4)
#define CS_CPU2PRESWCLK_0_EN_LENGTH		(1)

#define CPU2PRESWCLK_DIV_0_SHIFT		(5)
#define CPU2PRESWCLK_DIV_0_LENGTH		(2)

#define CPU2CLK_DIV_0_SHIFT		(7)
#define CPU2CLK_DIV_0_LENGTH		(6)

#define CLOCK_VXE_OFFSET		(0x001C)

#define MX_VXECOREPRECLK_0_SW_SHIFT		(0)
#define MX_VXECOREPRECLK_0_SW_LENGTH		(1)

#define MX_VXECOREPRECLK_1_SW_SHIFT		(1)
#define MX_VXECOREPRECLK_1_SW_LENGTH		(1)

#define MX_VXECOREPRECLK_2_SW_SHIFT		(2)
#define MX_VXECOREPRECLK_2_SW_LENGTH		(1)

#define VXECOREPRECLK_GATE_EN_SHIFT		(3)
#define VXECOREPRECLK_GATE_EN_LENGTH		(1)

#define VXECOREPRECLK_DIV_0_SHIFT		(4)
#define VXECOREPRECLK_DIV_0_LENGTH		(2)

#define VXECORECLK_DIV_0_SHIFT		(6)
#define VXECORECLK_DIV_0_LENGTH		(6)

#define CLOCK_VXD_OFFSET		(0x0020)

#define MX_VXDCOREPRECLK_0_SW_SHIFT		(0)
#define MX_VXDCOREPRECLK_0_SW_LENGTH		(1)

#define MX_VXDCOREPRECLK_1_SW_SHIFT		(1)
#define MX_VXDCOREPRECLK_1_SW_LENGTH		(1)

#define MX_VXDCOREPRECLK_2_SW_SHIFT		(2)
#define MX_VXDCOREPRECLK_2_SW_LENGTH		(1)

#define VXDCOREPRECLK_GATE_EN_SHIFT		(3)
#define VXDCOREPRECLK_GATE_EN_LENGTH		(1)

#define VXDCOREPRECLK_DIV_0_SHIFT		(4)
#define VXDCOREPRECLK_DIV_0_LENGTH		(2)

#define VXDCORECLK_DIV_0_SHIFT		(6)
#define VXDCORECLK_DIV_0_LENGTH		(6)

#define CLOCK_GPU_OFFSET		(0x0024)

#define MX_GPUCOREPRECLK_0_SW_SHIFT		(0)
#define MX_GPUCOREPRECLK_0_SW_LENGTH		(1)

#define MX_GPUCOREPRECLK_1_SW_SHIFT		(1)
#define MX_GPUCOREPRECLK_1_SW_LENGTH		(1)

#define MX_GPUCOREPRECLK_2_SW_SHIFT		(2)
#define MX_GPUCOREPRECLK_2_SW_LENGTH		(1)

#define GPUCOREPRECLK_GATE_EN_SHIFT		(3)
#define GPUCOREPRECLK_GATE_EN_LENGTH		(1)

#define GPUCOREPRECLK_DIV_0_SHIFT		(4)
#define GPUCOREPRECLK_DIV_0_LENGTH		(2)

#define GPUCORECLK_DIV_0_SHIFT		(6)
#define GPUCORECLK_DIV_0_LENGTH		(6)

#define CLOCK_ISP_OFFSET		(0x0028)

#define MX_ISPCOREPRECLK_0_SW_SHIFT		(0)
#define MX_ISPCOREPRECLK_0_SW_LENGTH		(1)

#define MX_ISPCOREPRECLK_1_SW_SHIFT		(1)
#define MX_ISPCOREPRECLK_1_SW_LENGTH		(1)

#define MX_ISPCOREPRECLK_2_SW_SHIFT		(2)
#define MX_ISPCOREPRECLK_2_SW_LENGTH		(1)

#define ISPCOREPRECLK_GATE_EN_SHIFT		(3)
#define ISPCOREPRECLK_GATE_EN_LENGTH		(1)

#define ISPCOREPRECLK_DIV_0_SHIFT		(4)
#define ISPCOREPRECLK_DIV_0_LENGTH		(2)

#define ISPCORECLK_DIV_0_SHIFT		(6)
#define ISPCORECLK_DIV_0_LENGTH		(6)

#define CLOCK_SEC_OFFSET		(0x002C)

#define MX_SECCOREPRECLK_0_SW_SHIFT		(0)
#define MX_SECCOREPRECLK_0_SW_LENGTH		(1)

#define MX_SECCOREPRECLK_1_SW_SHIFT		(1)
#define MX_SECCOREPRECLK_1_SW_LENGTH		(1)

#define MX_SECCOREPRECLK_2_SW_SHIFT		(2)
#define MX_SECCOREPRECLK_2_SW_LENGTH		(1)

#define SECCOREPRECLK_GATE_EN_SHIFT		(3)
#define SECCOREPRECLK_GATE_EN_LENGTH		(1)

#define SECCOREPRECLK_DIV_0_SHIFT		(4)
#define SECCOREPRECLK_DIV_0_LENGTH		(2)

#define SECCORECLK_DIV_0_SHIFT		(6)
#define SECCORECLK_DIV_0_LENGTH		(6)

#define CLOCK_VPP_OFFSET		(0x0030)

#define MX_VPPCOREPRECLK_0_SW_SHIFT		(0)
#define MX_VPPCOREPRECLK_0_SW_LENGTH		(1)

#define MX_VPPCOREPRECLK_1_SW_SHIFT		(1)
#define MX_VPPCOREPRECLK_1_SW_LENGTH		(1)

#define MX_VPPCOREPRECLK_2_SW_SHIFT		(2)
#define MX_VPPCOREPRECLK_2_SW_LENGTH		(1)

#define VPPCOREPRECLK_GATE_EN_SHIFT		(3)
#define VPPCOREPRECLK_GATE_EN_LENGTH		(1)

#define VPPCOREPRECLK_DIV_0_SHIFT		(4)
#define VPPCOREPRECLK_DIV_0_LENGTH		(2)

#define VPPCORECLK_DIV_0_SHIFT		(6)
#define VPPCORECLK_DIV_0_LENGTH		(6)

#define CLOCK_PDP0_OFFSET		(0x0034)

#define MX_PDP0COREPRECLK_0_SW_SHIFT		(0)
#define MX_PDP0COREPRECLK_0_SW_LENGTH		(1)

#define MX_PDP0COREPRECLK_1_SW_SHIFT		(1)
#define MX_PDP0COREPRECLK_1_SW_LENGTH		(1)

#define MX_PDP0COREPRECLK_2_SW_SHIFT		(2)
#define MX_PDP0COREPRECLK_2_SW_LENGTH		(1)

#define PDP0COREPRECLK_GATE_EN_SHIFT		(3)
#define PDP0COREPRECLK_GATE_EN_LENGTH		(1)

#define PDP0COREPRECLK_DIV_0_SHIFT		(4)
#define PDP0COREPRECLK_DIV_0_LENGTH		(2)

#define PDP0CORECLK_DIV_0_SHIFT		(6)
#define PDP0CORECLK_DIV_0_LENGTH		(6)

#define CLOCK_PDP1_OFFSET		(0x0038)

#define MX_PDP1COREPRECLK_0_SW_SHIFT		(0)
#define MX_PDP1COREPRECLK_0_SW_LENGTH		(1)

#define MX_PDP1COREPRECLK_1_SW_SHIFT		(1)
#define MX_PDP1COREPRECLK_1_SW_LENGTH		(1)

#define MX_PDP1COREPRECLK_2_SW_SHIFT		(2)
#define MX_PDP1COREPRECLK_2_SW_LENGTH		(1)

#define PDP1COREPRECLK_GATE_EN_SHIFT		(3)
#define PDP1COREPRECLK_GATE_EN_LENGTH		(1)

#define PDP1COREPRECLK_DIV_0_SHIFT		(4)
#define PDP1COREPRECLK_DIV_0_LENGTH		(2)

#define PDP1CORECLK_DIV_0_SHIFT		(6)
#define PDP1CORECLK_DIV_0_LENGTH		(6)

#define CLOCK_RPU_FAST_OFFSET		(0x003C)

#define MX_RPUFASTPRECLK_0_SW_SHIFT		(0)
#define MX_RPUFASTPRECLK_0_SW_LENGTH		(1)

#define MX_RPUFASTPRECLK_1_SW_SHIFT		(1)
#define MX_RPUFASTPRECLK_1_SW_LENGTH		(1)

#define MX_RPUFASTPRECLK_2_SW_SHIFT		(2)
#define MX_RPUFASTPRECLK_2_SW_LENGTH		(1)

#define RPUFASTPRECLK_GATE_EN_SHIFT		(3)
#define RPUFASTPRECLK_GATE_EN_LENGTH		(1)

#define RPUFASTPRECLK_DIV_0_SHIFT		(4)
#define RPUFASTPRECLK_DIV_0_LENGTH		(2)

#define RPUFASTCLK_DIV_0_SHIFT		(6)
#define RPUFASTCLK_DIV_0_LENGTH		(6)

#define CLOCK_RPU_CORE_OFFSET		(0x0040)

#define MX_RPUCOREPRECLK_0_SW_SHIFT		(0)
#define MX_RPUCOREPRECLK_0_SW_LENGTH		(1)

#define MX_RPUCOREPRECLK_1_SW_SHIFT		(1)
#define MX_RPUCOREPRECLK_1_SW_LENGTH		(1)

#define MX_RPUCOREPRECLK_2_SW_SHIFT		(2)
#define MX_RPUCOREPRECLK_2_SW_LENGTH		(1)

#define RPUCOREPRECLK_GATE_EN_SHIFT		(3)
#define RPUCOREPRECLK_GATE_EN_LENGTH		(1)

#define RPUCOREPRECLK_DIV_0_SHIFT		(4)
#define RPUCOREPRECLK_DIV_0_LENGTH		(2)

#define RPUCORECLK_DIV_0_SHIFT		(6)
#define RPUCORECLK_DIV_0_LENGTH		(6)

#define CLOCK_RPU_SLEEP_OFFSET		(0x0044)

#define MX_RPUSLEEPCLK_0_SW_SHIFT		(0)
#define MX_RPUSLEEPCLK_0_SW_LENGTH		(1)

#define RPUSLEEPCLK_GATE_EN_SHIFT		(1)
#define RPUSLEEPCLK_GATE_EN_LENGTH		(1)

#define RPUSLEEPCLK_DIV_0_SHIFT		(2)
#define RPUSLEEPCLK_DIV_0_LENGTH		(8)

#define CLOCK_HDMI_RX_CFG_OFFSET		(0x0048)

#define MX_HDMIRXCFGPRECLK_0_SW_SHIFT		(0)
#define MX_HDMIRXCFGPRECLK_0_SW_LENGTH		(1)

#define MX_HDMIRXCFGPRECLK_1_SW_SHIFT		(1)
#define MX_HDMIRXCFGPRECLK_1_SW_LENGTH		(1)

#define MX_HDMIRXCFGPRECLK_2_SW_SHIFT		(2)
#define MX_HDMIRXCFGPRECLK_2_SW_LENGTH		(1)

#define HDMIRXCFGPRECLK_GATE_EN_SHIFT		(3)
#define HDMIRXCFGPRECLK_GATE_EN_LENGTH		(1)

#define HDMIRXCFGPRECLK_DIV_0_SHIFT		(4)
#define HDMIRXCFGPRECLK_DIV_0_LENGTH		(2)

#define HDMIRXCFGCLK_DIV_0_SHIFT		(6)
#define HDMIRXCFGCLK_DIV_0_LENGTH		(6)

#define CLOCK_HDMI_RX_CEC_OFFSET		(0x004C)

#define MX_HDMIRXCECCLK_0_SW_SHIFT		(0)
#define MX_HDMIRXCECCLK_0_SW_LENGTH		(1)

#define HDMIRXCECCLK_GATE_EN_SHIFT		(1)
#define HDMIRXCECCLK_GATE_EN_LENGTH		(1)

#define HDMIRXCECCLK_DIV_0_SHIFT		(2)
#define HDMIRXCECCLK_DIV_0_LENGTH		(12)

#define CLOCK_HDMI_RX_IMODEDET_OFFSET		(0x0050)

#define MX_HDMIRXIMODEDETPRECLK_0_SW_SHIFT		(0)
#define MX_HDMIRXIMODEDETPRECLK_0_SW_LENGTH		(1)

#define HDMIRXIMODEDETPRECLK_GATE_EN_SHIFT		(1)
#define HDMIRXIMODEDETPRECLK_GATE_EN_LENGTH		(1)

#define HDMIRXIMODEDETPRECLK_DIV_0_SHIFT		(2)
#define HDMIRXIMODEDETPRECLK_DIV_0_LENGTH		(2)

#define HDMIRXIMODEDETCLK_DIV_0_SHIFT		(4)
#define HDMIRXIMODEDETCLK_DIV_0_LENGTH		(6)

#define CLOCK_HDMI_TX_CEC_OFFSET		(0x0054)

#define MX_HDMITXCECCLK_0_SW_SHIFT		(0)
#define MX_HDMITXCECCLK_0_SW_LENGTH		(1)

#define HDMITXCECCLK_GATE_EN_SHIFT		(1)
#define HDMITXCECCLK_GATE_EN_LENGTH		(1)

#define HDMITXCECCLK_DIV_0_SHIFT		(2)
#define HDMITXCECCLK_DIV_0_LENGTH		(12)

#define CLOCK_HDMI_ISFR_OFFSET		(0x0058)

#define MX_HDMIISFRPRECLK_0_SW_SHIFT		(0)
#define MX_HDMIISFRPRECLK_0_SW_LENGTH		(1)

#define HDMIISFRPRECLK_GATE_EN_SHIFT		(1)
#define HDMIISFRPRECLK_GATE_EN_LENGTH		(1)

#define HDMIISFRPRECLK_DIV_0_SHIFT		(2)
#define HDMIISFRPRECLK_DIV_0_LENGTH		(2)

#define HDMIISFRCLK_DIV_0_SHIFT		(4)
#define HDMIISFRCLK_DIV_0_LENGTH		(6)

#define CLOCK_MIPI_REF_OFFSET		(0x005C)

#define MIPIREFCLK_GATE_EN_SHIFT		(0)
#define MIPIREFCLK_GATE_EN_LENGTH		(1)

#define MIPIREFCLK_DIV_0_SHIFT		(1)
#define MIPIREFCLK_DIV_0_LENGTH		(8)

#define CLOCK_MIPI_DSI_OFFSET		(0x0060)

#define MX_MIPIDSIPRECLK_0_SW_SHIFT		(0)
#define MX_MIPIDSIPRECLK_0_SW_LENGTH		(1)

#define MX_MIPIDSIPRECLK_1_SW_SHIFT		(1)
#define MX_MIPIDSIPRECLK_1_SW_LENGTH		(1)

#define MX_MIPIDSIPRECLK_2_SW_SHIFT		(2)
#define MX_MIPIDSIPRECLK_2_SW_LENGTH		(1)

#define MIPIDSIPRECLK_GATE_EN_SHIFT		(3)
#define MIPIDSIPRECLK_GATE_EN_LENGTH		(1)

#define MIPIDSIPRECLK_DIV_0_SHIFT		(4)
#define MIPIDSIPRECLK_DIV_0_LENGTH		(2)

#define MIPIDSICLK_DIV_0_SHIFT		(6)
#define MIPIDSICLK_DIV_0_LENGTH		(6)

#define CLOCK_MIPI_TX_CFG_OFFSET		(0x0064)

#define MX_MIPITXCFGPRECLK_0_SW_SHIFT		(0)
#define MX_MIPITXCFGPRECLK_0_SW_LENGTH		(1)

#define MX_MIPITXCFGPRECLK_1_SW_SHIFT		(1)
#define MX_MIPITXCFGPRECLK_1_SW_LENGTH		(1)

#define MX_MIPITXCFGPRECLK_2_SW_SHIFT		(2)
#define MX_MIPITXCFGPRECLK_2_SW_LENGTH		(1)

#define MIPITXCFGPRECLK_GATE_EN_SHIFT		(3)
#define MIPITXCFGPRECLK_GATE_EN_LENGTH		(1)

#define MIPITXCFGPRECLK_DIV_0_SHIFT		(4)
#define MIPITXCFGPRECLK_DIV_0_LENGTH		(2)

#define MIPITXCFGCLK_DIV_0_SHIFT		(6)
#define MIPITXCFGCLK_DIV_0_LENGTH		(6)

#define CLOCK_MIPI_RX0_CFG_OFFSET		(0x0068)

#define MX_MIPIRX0CFGPRECLK_0_SW_SHIFT		(0)
#define MX_MIPIRX0CFGPRECLK_0_SW_LENGTH		(1)

#define MX_MIPIRX0CFGPRECLK_1_SW_SHIFT		(1)
#define MX_MIPIRX0CFGPRECLK_1_SW_LENGTH		(1)

#define MX_MIPIRX0CFGPRECLK_2_SW_SHIFT		(2)
#define MX_MIPIRX0CFGPRECLK_2_SW_LENGTH		(1)

#define MIPIRX0CFGPRECLK_GATE_EN_SHIFT		(3)
#define MIPIRX0CFGPRECLK_GATE_EN_LENGTH		(1)

#define MIPIRX0CFGPRECLK_DIV_0_SHIFT		(4)
#define MIPIRX0CFGPRECLK_DIV_0_LENGTH		(2)

#define MIPIRX0CFGCLK_DIV_0_SHIFT		(6)
#define MIPIRX0CFGCLK_DIV_0_LENGTH		(6)

#define CLOCK_MIPI_RX1_CFG_OFFSET		(0x006C)

#define MX_MIPIRX1CFGPRECLK_0_SW_SHIFT		(0)
#define MX_MIPIRX1CFGPRECLK_0_SW_LENGTH		(1)

#define MX_MIPIRX1CFGPRECLK_1_SW_SHIFT		(1)
#define MX_MIPIRX1CFGPRECLK_1_SW_LENGTH		(1)

#define MX_MIPIRX1CFGPRECLK_2_SW_SHIFT		(2)
#define MX_MIPIRX1CFGPRECLK_2_SW_LENGTH		(1)

#define MIPIRX1CFGPRECLK_GATE_EN_SHIFT		(3)
#define MIPIRX1CFGPRECLK_GATE_EN_LENGTH		(1)

#define MIPIRX1CFGPRECLK_DIV_0_SHIFT		(4)
#define MIPIRX1CFGPRECLK_DIV_0_LENGTH		(2)

#define MIPIRX1CFGCLK_DIV_0_SHIFT		(6)
#define MIPIRX1CFGCLK_DIV_0_LENGTH		(6)

#define CLOCK_UART0_OFFSET		(0x0070)

#define MX_UART0PRECLK_0_SW_SHIFT		(0)
#define MX_UART0PRECLK_0_SW_LENGTH		(1)

#define UART0PRECLK_GATE_EN_SHIFT		(1)
#define UART0PRECLK_GATE_EN_LENGTH		(1)

#define UART0PRECLK_DIV_0_SHIFT		(2)
#define UART0PRECLK_DIV_0_LENGTH		(2)

#define UART0CLK_DIV_0_SHIFT		(4)
#define UART0CLK_DIV_0_LENGTH		(6)

#define CLOCK_UART1_OFFSET		(0x0074)

#define MX_UART1PRECLK_0_SW_SHIFT		(0)
#define MX_UART1PRECLK_0_SW_LENGTH		(1)

#define UART1PRECLK_GATE_EN_SHIFT		(1)
#define UART1PRECLK_GATE_EN_LENGTH		(1)

#define UART1PRECLK_DIV_0_SHIFT		(2)
#define UART1PRECLK_DIV_0_LENGTH		(2)

#define UART1CLK_DIV_0_SHIFT		(4)
#define UART1CLK_DIV_0_LENGTH		(6)

#define CLOCK_I2C0_OFFSET		(0x0078)

#define MX_I2C0PRECLK_0_SW_SHIFT		(0)
#define MX_I2C0PRECLK_0_SW_LENGTH		(1)

#define MX_I2C0PRECLK_1_SW_SHIFT		(1)
#define MX_I2C0PRECLK_1_SW_LENGTH		(1)

#define MX_I2C0PRECLK_2_SW_SHIFT		(2)
#define MX_I2C0PRECLK_2_SW_LENGTH		(1)

#define I2C0PRECLK_GATE_EN_SHIFT		(3)
#define I2C0PRECLK_GATE_EN_LENGTH		(1)

#define I2C0PRECLK_DIV_0_SHIFT		(4)
#define I2C0PRECLK_DIV_0_LENGTH		(2)

#define I2C0CLK_DIV_0_SHIFT		(6)
#define I2C0CLK_DIV_0_LENGTH		(6)

#define CLOCK_I2C1_OFFSET		(0x007C)

#define MX_I2C1PRECLK_0_SW_SHIFT		(0)
#define MX_I2C1PRECLK_0_SW_LENGTH		(1)

#define MX_I2C1PRECLK_1_SW_SHIFT		(1)
#define MX_I2C1PRECLK_1_SW_LENGTH		(1)

#define MX_I2C1PRECLK_2_SW_SHIFT		(2)
#define MX_I2C1PRECLK_2_SW_LENGTH		(1)

#define I2C1PRECLK_GATE_EN_SHIFT		(3)
#define I2C1PRECLK_GATE_EN_LENGTH		(1)

#define I2C1PRECLK_DIV_0_SHIFT		(4)
#define I2C1PRECLK_DIV_0_LENGTH		(2)

#define I2C1CLK_DIV_0_SHIFT		(6)
#define I2C1CLK_DIV_0_LENGTH		(6)

#define CLOCK_I2C2_OFFSET		(0x0080)

#define MX_I2C2PRECLK_0_SW_SHIFT		(0)
#define MX_I2C2PRECLK_0_SW_LENGTH		(1)

#define MX_I2C2PRECLK_1_SW_SHIFT		(1)
#define MX_I2C2PRECLK_1_SW_LENGTH		(1)

#define MX_I2C2PRECLK_2_SW_SHIFT		(2)
#define MX_I2C2PRECLK_2_SW_LENGTH		(1)

#define I2C2PRECLK_GATE_EN_SHIFT		(3)
#define I2C2PRECLK_GATE_EN_LENGTH		(1)

#define I2C2PRECLK_DIV_0_SHIFT		(4)
#define I2C2PRECLK_DIV_0_LENGTH		(2)

#define I2C2CLK_DIV_0_SHIFT		(6)
#define I2C2CLK_DIV_0_LENGTH		(6)

#define CLOCK_I2C3_OFFSET		(0x0084)

#define MX_I2C3PRECLK_0_SW_SHIFT		(0)
#define MX_I2C3PRECLK_0_SW_LENGTH		(1)

#define MX_I2C3PRECLK_1_SW_SHIFT		(1)
#define MX_I2C3PRECLK_1_SW_LENGTH		(1)

#define MX_I2C3PRECLK_2_SW_SHIFT		(2)
#define MX_I2C3PRECLK_2_SW_LENGTH		(1)

#define I2C3PRECLK_GATE_EN_SHIFT		(3)
#define I2C3PRECLK_GATE_EN_LENGTH		(1)

#define I2C3PRECLK_DIV_0_SHIFT		(4)
#define I2C3PRECLK_DIV_0_LENGTH		(2)

#define I2C3CLK_DIV_0_SHIFT		(6)
#define I2C3CLK_DIV_0_LENGTH		(6)

#define CLOCK_I2C4_OFFSET		(0x0088)

#define MX_I2C4PRECLK_0_SW_SHIFT		(0)
#define MX_I2C4PRECLK_0_SW_LENGTH		(1)

#define MX_I2C4PRECLK_1_SW_SHIFT		(1)
#define MX_I2C4PRECLK_1_SW_LENGTH		(1)

#define MX_I2C4PRECLK_2_SW_SHIFT		(2)
#define MX_I2C4PRECLK_2_SW_LENGTH		(1)

#define I2C4PRECLK_GATE_EN_SHIFT		(3)
#define I2C4PRECLK_GATE_EN_LENGTH		(1)

#define I2C4PRECLK_DIV_0_SHIFT		(4)
#define I2C4PRECLK_DIV_0_LENGTH		(2)

#define I2C4CLK_DIV_0_SHIFT		(6)
#define I2C4CLK_DIV_0_LENGTH		(6)

#define CLOCK_I2C5_OFFSET		(0x008C)

#define MX_I2C5PRECLK_0_SW_SHIFT		(0)
#define MX_I2C5PRECLK_0_SW_LENGTH		(1)

#define MX_I2C5PRECLK_1_SW_SHIFT		(1)
#define MX_I2C5PRECLK_1_SW_LENGTH		(1)

#define MX_I2C5PRECLK_2_SW_SHIFT		(2)
#define MX_I2C5PRECLK_2_SW_LENGTH		(1)

#define I2C5PRECLK_GATE_EN_SHIFT		(3)
#define I2C5PRECLK_GATE_EN_LENGTH		(1)

#define I2C5PRECLK_DIV_0_SHIFT		(4)
#define I2C5PRECLK_DIV_0_LENGTH		(2)

#define I2C5CLK_DIV_0_SHIFT		(6)
#define I2C5CLK_DIV_0_LENGTH		(6)

#define CLOCK_I2C6_OFFSET		(0x0090)

#define MX_I2C6PRECLK_0_SW_SHIFT		(0)
#define MX_I2C6PRECLK_0_SW_LENGTH		(1)

#define MX_I2C6PRECLK_1_SW_SHIFT		(1)
#define MX_I2C6PRECLK_1_SW_LENGTH		(1)

#define MX_I2C6PRECLK_2_SW_SHIFT		(2)
#define MX_I2C6PRECLK_2_SW_LENGTH		(1)

#define I2C6PRECLK_GATE_EN_SHIFT		(3)
#define I2C6PRECLK_GATE_EN_LENGTH		(1)

#define I2C6PRECLK_DIV_0_SHIFT		(4)
#define I2C6PRECLK_DIV_0_LENGTH		(2)

#define I2C6CLK_DIV_0_SHIFT		(6)
#define I2C6CLK_DIV_0_LENGTH		(6)

#define CLOCK_I2C7_OFFSET		(0x0094)

#define MX_I2C7PRECLK_0_SW_SHIFT		(0)
#define MX_I2C7PRECLK_0_SW_LENGTH		(1)

#define MX_I2C7PRECLK_1_SW_SHIFT		(1)
#define MX_I2C7PRECLK_1_SW_LENGTH		(1)

#define MX_I2C7PRECLK_2_SW_SHIFT		(2)
#define MX_I2C7PRECLK_2_SW_LENGTH		(1)

#define I2C7PRECLK_GATE_EN_SHIFT		(3)
#define I2C7PRECLK_GATE_EN_LENGTH		(1)

#define I2C7PRECLK_DIV_0_SHIFT		(4)
#define I2C7PRECLK_DIV_0_LENGTH		(2)

#define I2C7CLK_DIV_0_SHIFT		(6)
#define I2C7CLK_DIV_0_LENGTH		(6)

#define CLOCK_SPIM0_OFFSET		(0x0098)

#define MX_SPIM0PRECLK_0_SW_SHIFT		(0)
#define MX_SPIM0PRECLK_0_SW_LENGTH		(1)

#define MX_SPIM0PRECLK_1_SW_SHIFT		(1)
#define MX_SPIM0PRECLK_1_SW_LENGTH		(1)

#define MX_SPIM0PRECLK_2_SW_SHIFT		(2)
#define MX_SPIM0PRECLK_2_SW_LENGTH		(1)

#define SPIM0PRECLK_GATE_EN_SHIFT		(3)
#define SPIM0PRECLK_GATE_EN_LENGTH		(1)

#define SPIM0PRECLK_DIV_0_SHIFT		(4)
#define SPIM0PRECLK_DIV_0_LENGTH		(2)

#define SPIM0CLK_DIV_0_SHIFT		(6)
#define SPIM0CLK_DIV_0_LENGTH		(6)

#define CLOCK_SPIM1_OFFSET		(0x009C)

#define MX_SPIM1PRECLK_0_SW_SHIFT		(0)
#define MX_SPIM1PRECLK_0_SW_LENGTH		(1)

#define MX_SPIM1PRECLK_1_SW_SHIFT		(1)
#define MX_SPIM1PRECLK_1_SW_LENGTH		(1)

#define MX_SPIM1PRECLK_2_SW_SHIFT		(2)
#define MX_SPIM1PRECLK_2_SW_LENGTH		(1)

#define SPIM1PRECLK_GATE_EN_SHIFT		(3)
#define SPIM1PRECLK_GATE_EN_LENGTH		(1)

#define SPIM1PRECLK_DIV_0_SHIFT		(4)
#define SPIM1PRECLK_DIV_0_LENGTH		(2)

#define SPIM1CLK_DIV_0_SHIFT		(6)
#define SPIM1CLK_DIV_0_LENGTH		(6)

#define CLOCK_SDHOST0_OFFSET		(0x00A0)

#define MX_SDHOST0PRECLK_0_SW_SHIFT		(0)
#define MX_SDHOST0PRECLK_0_SW_LENGTH		(1)

#define MX_SDHOST0PRECLK_1_SW_SHIFT		(1)
#define MX_SDHOST0PRECLK_1_SW_LENGTH		(1)

#define MX_SDHOST0PRECLK_2_SW_SHIFT		(2)
#define MX_SDHOST0PRECLK_2_SW_LENGTH		(1)

#define SDHOST0PRECLK_GATE_EN_SHIFT		(3)
#define SDHOST0PRECLK_GATE_EN_LENGTH		(1)

#define SDHOST0PRECLK_DIV_0_SHIFT		(4)
#define SDHOST0PRECLK_DIV_0_LENGTH		(2)

#define SDHOST0CLK_DIV_0_SHIFT		(6)
#define SDHOST0CLK_DIV_0_LENGTH		(6)

#define MX_SDHOST0LPCLK_0_SW_SHIFT		(12)
#define MX_SDHOST0LPCLK_0_SW_LENGTH		(1)

#define SDHOST0LPCLK_GATE_EN_SHIFT		(13)
#define SDHOST0LPCLK_GATE_EN_LENGTH		(1)

#define SDHOST0LPCLK_DIV_0_SHIFT		(14)
#define SDHOST0LPCLK_DIV_0_LENGTH		(12)

#define CLOCK_SDHOST1_OFFSET		(0x00A4)

#define MX_SDHOST1PRECLK_0_SW_SHIFT		(0)
#define MX_SDHOST1PRECLK_0_SW_LENGTH		(1)

#define MX_SDHOST1PRECLK_1_SW_SHIFT		(1)
#define MX_SDHOST1PRECLK_1_SW_LENGTH		(1)

#define MX_SDHOST1PRECLK_2_SW_SHIFT		(2)
#define MX_SDHOST1PRECLK_2_SW_LENGTH		(1)

#define SDHOST1PRECLK_GATE_EN_SHIFT		(3)
#define SDHOST1PRECLK_GATE_EN_LENGTH		(1)

#define SDHOST1PRECLK_DIV_0_SHIFT		(4)
#define SDHOST1PRECLK_DIV_0_LENGTH		(2)

#define SDHOST1CLK_DIV_0_SHIFT		(6)
#define SDHOST1CLK_DIV_0_LENGTH		(6)

#define MX_SDHOST1LPCLK_0_SW_SHIFT		(12)
#define MX_SDHOST1LPCLK_0_SW_LENGTH		(1)

#define SDHOST1LPCLK_GATE_EN_SHIFT		(13)
#define SDHOST1LPCLK_GATE_EN_LENGTH		(1)

#define SDHOST1LPCLK_DIV_0_SHIFT		(14)
#define SDHOST1LPCLK_DIV_0_LENGTH		(12)

#define CLOCK_SDHOST2_OFFSET		(0x00A8)

#define MX_SDHOST2PRECLK_0_SW_SHIFT		(0)
#define MX_SDHOST2PRECLK_0_SW_LENGTH		(1)

#define MX_SDHOST2PRECLK_1_SW_SHIFT		(1)
#define MX_SDHOST2PRECLK_1_SW_LENGTH		(1)

#define MX_SDHOST2PRECLK_2_SW_SHIFT		(2)
#define MX_SDHOST2PRECLK_2_SW_LENGTH		(1)

#define SDHOST2PRECLK_GATE_EN_SHIFT		(3)
#define SDHOST2PRECLK_GATE_EN_LENGTH		(1)

#define SDHOST2PRECLK_DIV_0_SHIFT		(4)
#define SDHOST2PRECLK_DIV_0_LENGTH		(2)

#define SDHOST2CLK_DIV_0_SHIFT		(6)
#define SDHOST2CLK_DIV_0_LENGTH		(6)

#define MX_SDHOST2LPCLK_0_SW_SHIFT		(12)
#define MX_SDHOST2LPCLK_0_SW_LENGTH		(1)

#define SDHOST2LPCLK_GATE_EN_SHIFT		(13)
#define SDHOST2LPCLK_GATE_EN_LENGTH		(1)

#define SDHOST2LPCLK_DIV_0_SHIFT		(14)
#define SDHOST2LPCLK_DIV_0_LENGTH		(12)

#define CLOCK_ETHERNET_OFFSET		(0x00AC)

#define MX_ETHERNETPRECLK_0_SW_SHIFT		(0)
#define MX_ETHERNETPRECLK_0_SW_LENGTH		(1)

#define MX_ETHERNETPRECLK_1_SW_SHIFT		(1)
#define MX_ETHERNETPRECLK_1_SW_LENGTH		(1)

#define MX_ETHERNETPRECLK_2_SW_SHIFT		(2)
#define MX_ETHERNETPRECLK_2_SW_LENGTH		(1)

#define ETHERNETPRECLK_GATE_EN_SHIFT		(3)
#define ETHERNETPRECLK_GATE_EN_LENGTH		(1)

#define ETHERNETPRECLK_DIV_0_SHIFT		(4)
#define ETHERNETPRECLK_DIV_0_LENGTH		(2)

#define ETHERNETCLK_DIV_0_SHIFT		(6)
#define ETHERNETCLK_DIV_0_LENGTH		(6)

#define CLOCK_USB0_OFFSET		(0x00B0)

#define MX_USB0CLK_0_SW_SHIFT		(0)
#define MX_USB0CLK_0_SW_LENGTH		(1)

#define USB0CLK_GATE_EN_SHIFT		(1)
#define USB0CLK_GATE_EN_LENGTH		(1)

#define USB0CLK_DIV_0_SHIFT		(2)
#define USB0CLK_DIV_0_LENGTH		(8)

#define CLOCK_USB0_SUSPEND_OFFSET		(0x00B4)

#define MX_USB0SUSPENDCLK_0_SW_SHIFT		(0)
#define MX_USB0SUSPENDCLK_0_SW_LENGTH		(1)

#define USB0SUSPENDCLK_GATE_EN_SHIFT		(1)
#define USB0SUSPENDCLK_GATE_EN_LENGTH		(1)

#define USB0SUSPENDCLK_DIV_0_SHIFT		(2)
#define USB0SUSPENDCLK_DIV_0_LENGTH		(12)

#define CLOCK_USB1_OFFSET		(0x00B8)

#define MX_USB1CLK_0_SW_SHIFT		(0)
#define MX_USB1CLK_0_SW_LENGTH		(1)

#define USB1CLK_GATE_EN_SHIFT		(1)
#define USB1CLK_GATE_EN_LENGTH		(1)

#define USB1CLK_DIV_0_SHIFT		(2)
#define USB1CLK_DIV_0_LENGTH		(8)

#define CLOCK_USB1_SUSPEND_OFFSET		(0x00BC)

#define MX_USB1SUSPENDCLK_0_SW_SHIFT		(0)
#define MX_USB1SUSPENDCLK_0_SW_LENGTH		(1)

#define USB1SUSPENDCLK_GATE_EN_SHIFT		(1)
#define USB1SUSPENDCLK_GATE_EN_LENGTH		(1)

#define USB1SUSPENDCLK_DIV_0_SHIFT		(2)
#define USB1SUSPENDCLK_DIV_0_LENGTH		(12)

#define CLOCK_UFC_OFFSET		(0x00C0)

#define MX_UFCPRECLK_0_SW_SHIFT		(0)
#define MX_UFCPRECLK_0_SW_LENGTH		(1)

#define MX_UFCPRECLK_1_SW_SHIFT		(1)
#define MX_UFCPRECLK_1_SW_LENGTH		(1)

#define MX_UFCPRECLK_2_SW_SHIFT		(2)
#define MX_UFCPRECLK_2_SW_LENGTH		(1)

#define UFCPRECLK_GATE_EN_SHIFT		(3)
#define UFCPRECLK_GATE_EN_LENGTH		(1)

#define UFCPRECLK_DIV_0_SHIFT		(4)
#define UFCPRECLK_DIV_0_LENGTH		(2)

#define UFCCLK_DIV_0_SHIFT		(6)
#define UFCCLK_DIV_0_LENGTH		(6)

#define CLOCK_PWM_OFFSET		(0x00C4)

#define MX_PWMPRECLK_0_SW_SHIFT		(0)
#define MX_PWMPRECLK_0_SW_LENGTH		(1)

#define PWMPRECLK_GATE_EN_SHIFT		(1)
#define PWMPRECLK_GATE_EN_LENGTH		(1)

#define PWMPRECLK_DIV_0_SHIFT		(2)
#define PWMPRECLK_DIV_0_LENGTH		(2)

#define PWMCLK_DIV_0_SHIFT		(4)
#define PWMCLK_DIV_0_LENGTH		(6)

#define CLOCK_PDM_OFFSET		(0x00C8)

#define MX_PDMPRECLK_0_SW_SHIFT		(0)
#define MX_PDMPRECLK_0_SW_LENGTH		(1)

#define PDMPRECLK_GATE_EN_SHIFT		(1)
#define PDMPRECLK_GATE_EN_LENGTH		(1)

#define PDMPRECLK_DIV_0_SHIFT		(2)
#define PDMPRECLK_DIV_0_LENGTH		(2)

#define PDMCLK_DIV_0_SHIFT		(4)
#define PDMCLK_DIV_0_LENGTH		(6)

#define CLOCK_OTP_OFFSET		(0x00CC)

#define MX_OTPPRECLK_0_SW_SHIFT		(0)
#define MX_OTPPRECLK_0_SW_LENGTH		(1)

#define OTPPRECLK_GATE_EN_SHIFT		(1)
#define OTPPRECLK_GATE_EN_LENGTH		(1)

#define OTPPRECLK_DIV_0_SHIFT		(2)
#define OTPPRECLK_DIV_0_LENGTH		(2)

#define OTPCLK_DIV_0_SHIFT		(4)
#define OTPCLK_DIV_0_LENGTH		(6)

#define CLOCK_TEMP_OFFSET		(0x00D0)

#define MX_TEMPPRECLK_0_SW_SHIFT		(0)
#define MX_TEMPPRECLK_0_SW_LENGTH		(1)

#define TEMPPRECLK_GATE_EN_SHIFT		(1)
#define TEMPPRECLK_GATE_EN_LENGTH		(1)

#define TEMPPRECLK_DIV_0_SHIFT		(2)
#define TEMPPRECLK_DIV_0_LENGTH		(2)

#define TEMPCLK_DIV_0_SHIFT		(4)
#define TEMPCLK_DIV_0_LENGTH		(8)

#define CLOCK_VOLT_OFFSET		(0x00D4)

#define MX_VOLTPRECLK_0_SW_SHIFT		(0)
#define MX_VOLTPRECLK_0_SW_LENGTH		(1)

#define VOLTPRECLK_GATE_EN_SHIFT		(1)
#define VOLTPRECLK_GATE_EN_LENGTH		(1)

#define VOLTPRECLK_DIV_0_SHIFT		(2)
#define VOLTPRECLK_DIV_0_LENGTH		(2)

#define VOLTCLK_DIV_0_SHIFT		(4)
#define VOLTCLK_DIV_0_LENGTH		(8)

#define CLOCK_ETS_OFFSET		(0x00D8)

#define MX_ETSPRECLK_0_SW_SHIFT		(0)
#define MX_ETSPRECLK_0_SW_LENGTH		(1)

#define ETSPRECLK_GATE_EN_SHIFT		(1)
#define ETSPRECLK_GATE_EN_LENGTH		(1)

#define ETSPRECLK_DIV_0_SHIFT		(2)
#define ETSPRECLK_DIV_0_LENGTH		(2)

#define ETSCLK_DIV_0_SHIFT		(4)
#define ETSCLK_DIV_0_LENGTH		(8)

#define CLOCK_SYS_OUT0_OFFSET		(0x00DC)

#define MX_SYSOUT0PRECLK_0_SW_SHIFT		(0)
#define MX_SYSOUT0PRECLK_0_SW_LENGTH		(1)

#define MX_SYSOUT0PRECLK_1_SW_SHIFT		(1)
#define MX_SYSOUT0PRECLK_1_SW_LENGTH		(1)

#define MX_SYSOUT0PRECLK_2_SW_SHIFT		(2)
#define MX_SYSOUT0PRECLK_2_SW_LENGTH		(1)

#define SYSOUT0PRECLK_GATE_EN_SHIFT		(3)
#define SYSOUT0PRECLK_GATE_EN_LENGTH		(1)

#define SYSOUT0PRECLK_DIV_0_SHIFT		(4)
#define SYSOUT0PRECLK_DIV_0_LENGTH		(2)

#define SYSOUT0CLK_DIV_0_SHIFT		(6)
#define SYSOUT0CLK_DIV_0_LENGTH		(6)

#define CLOCK_SYS_OUT1_OFFSET		(0x00E0)

#define MX_SYSOUT1PRECLK_0_SW_SHIFT		(0)
#define MX_SYSOUT1PRECLK_0_SW_LENGTH		(1)

#define MX_SYSOUT1PRECLK_1_SW_SHIFT		(1)
#define MX_SYSOUT1PRECLK_1_SW_LENGTH		(1)

#define MX_SYSOUT1PRECLK_2_SW_SHIFT		(2)
#define MX_SYSOUT1PRECLK_2_SW_LENGTH		(1)

#define SYSOUT1PRECLK_GATE_EN_SHIFT		(3)
#define SYSOUT1PRECLK_GATE_EN_LENGTH		(1)

#define SYSOUT1PRECLK_DIV_0_SHIFT		(4)
#define SYSOUT1PRECLK_DIV_0_LENGTH		(2)

#define SYSOUT1CLK_DIV_0_SHIFT		(6)
#define SYSOUT1CLK_DIV_0_LENGTH		(6)

#define CLOCK_SYS0_OFFSET		(0x00E4)

#define MX_SYS0PRECLK_0_SW_SHIFT		(0)
#define MX_SYS0PRECLK_0_SW_LENGTH		(1)

#define MX_SYS0PRECLK_1_SW_SHIFT		(1)
#define MX_SYS0PRECLK_1_SW_LENGTH		(1)

#define MX_SYS0PRECLK_2_SW_SHIFT		(2)
#define MX_SYS0PRECLK_2_SW_LENGTH		(1)

#define SYS0PRECLK_GATE_EN_SHIFT		(3)
#define SYS0PRECLK_GATE_EN_LENGTH		(1)

#define SYS0PRECLK_DIV_0_SHIFT		(4)
#define SYS0PRECLK_DIV_0_LENGTH		(2)

#define SYS0CLK_DIV_0_SHIFT		(6)
#define SYS0CLK_DIV_0_LENGTH		(6)

#define CLOCK_SYS1_OFFSET		(0x00E8)

#define MX_SYS1PRECLK_0_SW_SHIFT		(0)
#define MX_SYS1PRECLK_0_SW_LENGTH		(1)

#define MX_SYS1PRECLK_1_SW_SHIFT		(1)
#define MX_SYS1PRECLK_1_SW_LENGTH		(1)

#define MX_SYS1PRECLK_2_SW_SHIFT		(2)
#define MX_SYS1PRECLK_2_SW_LENGTH		(1)

#define SYS1PRECLK_GATE_EN_SHIFT		(3)
#define SYS1PRECLK_GATE_EN_LENGTH		(1)

#define SYS1PRECLK_DIV_0_SHIFT		(4)
#define SYS1PRECLK_DIV_0_LENGTH		(2)

#define SYS1CLK_DIV_0_SHIFT		(6)
#define SYS1CLK_DIV_0_LENGTH		(6)

#define CLOCK_SYS2_OFFSET		(0x00EC)

#define MX_SYS2PRECLK_0_SW_SHIFT		(0)
#define MX_SYS2PRECLK_0_SW_LENGTH		(1)

#define MX_SYS2PRECLK_1_SW_SHIFT		(1)
#define MX_SYS2PRECLK_1_SW_LENGTH		(1)

#define MX_SYS2PRECLK_2_SW_SHIFT		(2)
#define MX_SYS2PRECLK_2_SW_LENGTH		(1)

#define SYS2PRECLK_GATE_EN_SHIFT		(3)
#define SYS2PRECLK_GATE_EN_LENGTH		(1)

#define SYS2PRECLK_DIV_0_SHIFT		(4)
#define SYS2PRECLK_DIV_0_LENGTH		(2)

#define SYS2CLK_DIV_0_SHIFT		(6)
#define SYS2CLK_DIV_0_LENGTH		(6)

#define CLOCK_SYS3_OFFSET		(0x00F0)

#define MX_SYS3PRECLK_0_SW_SHIFT		(0)
#define MX_SYS3PRECLK_0_SW_LENGTH		(1)

#define MX_SYS3PRECLK_1_SW_SHIFT		(1)
#define MX_SYS3PRECLK_1_SW_LENGTH		(1)

#define MX_SYS3PRECLK_2_SW_SHIFT		(2)
#define MX_SYS3PRECLK_2_SW_LENGTH		(1)

#define SYS3PRECLK_GATE_EN_SHIFT		(3)
#define SYS3PRECLK_GATE_EN_LENGTH		(1)

#define SYS3PRECLK_DIV_0_SHIFT		(4)
#define SYS3PRECLK_DIV_0_LENGTH		(2)

#define SYS3CLK_DIV_0_SHIFT		(6)
#define SYS3CLK_DIV_0_LENGTH		(6)

#define CLOCK_AV_PRIMARY_OFFSET		(0x00F4)

#define MX_PLL4REFCLK_0_SW_SHIFT		(0)
#define MX_PLL4REFCLK_0_SW_LENGTH		(1)

#define PLL4REFCLK_GATE_EN_SHIFT		(1)
#define PLL4REFCLK_GATE_EN_LENGTH		(1)

#define MX_PLL5REFCLK_0_SW_SHIFT		(2)
#define MX_PLL5REFCLK_0_SW_LENGTH		(1)

#define PLL5REFCLK_GATE_EN_SHIFT		(3)
#define PLL5REFCLK_GATE_EN_LENGTH		(1)

#define MX_PLL6REFCLK_0_SW_SHIFT		(4)
#define MX_PLL6REFCLK_0_SW_LENGTH		(1)

#define MX_PLL6REFCLK_1_SW_SHIFT		(5)
#define MX_PLL6REFCLK_1_SW_LENGTH		(1)

#define PLL6REFCLK_GATE_EN_SHIFT		(6)
#define PLL6REFCLK_GATE_EN_LENGTH		(1)

#define MX_PLL7REFCLK_0_SW_SHIFT		(7)
#define MX_PLL7REFCLK_0_SW_LENGTH		(1)

#define MX_PLL7REFCLK_1_SW_SHIFT		(8)
#define MX_PLL7REFCLK_1_SW_LENGTH		(1)

#define PLL7REFCLK_GATE_EN_SHIFT		(9)
#define PLL7REFCLK_GATE_EN_LENGTH		(1)

#define CS_PLL4BYPASSCLK_0_SW_SHIFT		(10)
#define CS_PLL4BYPASSCLK_0_SW_LENGTH		(1)

#define CS_PLL4BYPASSCLK_0_EN_SHIFT		(11)
#define CS_PLL4BYPASSCLK_0_EN_LENGTH		(1)

#define CS_PLL5BYPASSCLK_0_SW_SHIFT		(12)
#define CS_PLL5BYPASSCLK_0_SW_LENGTH		(1)

#define CS_PLL5BYPASSCLK_0_EN_SHIFT		(13)
#define CS_PLL5BYPASSCLK_0_EN_LENGTH		(1)

#define CS_PLL6BYPASSCLK_0_SW_SHIFT		(14)
#define CS_PLL6BYPASSCLK_0_SW_LENGTH		(1)

#define CS_PLL6BYPASSCLK_0_EN_SHIFT		(15)
#define CS_PLL6BYPASSCLK_0_EN_LENGTH		(1)

#define CS_PLL7BYPASSCLK_0_SW_SHIFT		(16)
#define CS_PLL7BYPASSCLK_0_SW_LENGTH		(1)

#define CS_PLL7BYPASSCLK_0_EN_SHIFT		(17)
#define CS_PLL7BYPASSCLK_0_EN_LENGTH		(1)

#define CLOCK_ISPPIXEL_OFFSET		(0x00F8)

#define MX_ISPPIXELPRECLK_0_SW_SHIFT		(0)
#define MX_ISPPIXELPRECLK_0_SW_LENGTH		(1)

#define MX_ISPPIXELPRECLK_1_SW_SHIFT		(1)
#define MX_ISPPIXELPRECLK_1_SW_LENGTH		(1)

#define MX_ISPPIXELPRECLK_2_SW_SHIFT		(2)
#define MX_ISPPIXELPRECLK_2_SW_LENGTH		(1)

#define ISPPIXELPRECLK_GATE_EN_SHIFT		(3)
#define ISPPIXELPRECLK_GATE_EN_LENGTH		(1)

#define ISPPIXELPRECLK_DIV_0_SHIFT		(4)
#define ISPPIXELPRECLK_DIV_0_LENGTH		(2)

#define ISPPIXELCLK_DIV_0_SHIFT		(6)
#define ISPPIXELCLK_DIV_0_LENGTH		(6)

#define CLOCK_PIXEL0_OFFSET		(0x00FC)

#define MX_PIXEL0PRECLK_0_SW_SHIFT		(0)
#define MX_PIXEL0PRECLK_0_SW_LENGTH		(1)

#define MX_PIXEL0PRECLK_1_SW_SHIFT		(1)
#define MX_PIXEL0PRECLK_1_SW_LENGTH		(1)

#define MX_PIXEL0PRECLK_2_SW_SHIFT		(2)
#define MX_PIXEL0PRECLK_2_SW_LENGTH		(1)

#define PIXEL0PRECLK_GATE_EN_SHIFT		(3)
#define PIXEL0PRECLK_GATE_EN_LENGTH		(1)

#define PIXEL0PRECLK_DIV_0_SHIFT		(4)
#define PIXEL0PRECLK_DIV_0_LENGTH		(2)

#define PIXEL0CLK_DIV_0_SHIFT		(6)
#define PIXEL0CLK_DIV_0_LENGTH		(6)

#define CLOCK_PIXEL1_OFFSET		(0x0100)

#define MX_PIXEL1PRECLK_0_SW_SHIFT		(0)
#define MX_PIXEL1PRECLK_0_SW_LENGTH		(1)

#define MX_PIXEL1PRECLK_1_SW_SHIFT		(1)
#define MX_PIXEL1PRECLK_1_SW_LENGTH		(1)

#define MX_PIXEL1PRECLK_2_SW_SHIFT		(2)
#define MX_PIXEL1PRECLK_2_SW_LENGTH		(1)

#define PIXEL1PRECLK_GATE_EN_SHIFT		(3)
#define PIXEL1PRECLK_GATE_EN_LENGTH		(1)

#define PIXEL1PRECLK_DIV_0_SHIFT		(4)
#define PIXEL1PRECLK_DIV_0_LENGTH		(2)

#define PIXEL1CLK_DIV_0_SHIFT		(6)
#define PIXEL1CLK_DIV_0_LENGTH		(6)

#define CLOCK_PIXEL1X7_OFFSET		(0x0104)

#define MX_PIXEL1X7PRECLK_0_SW_SHIFT		(0)
#define MX_PIXEL1X7PRECLK_0_SW_LENGTH		(1)

#define MX_PIXEL1X7PRECLK_1_SW_SHIFT		(1)
#define MX_PIXEL1X7PRECLK_1_SW_LENGTH		(1)

#define MX_PIXEL1X7PRECLK_2_SW_SHIFT		(2)
#define MX_PIXEL1X7PRECLK_2_SW_LENGTH		(1)

#define PIXEL1X7PRECLK_GATE_EN_SHIFT		(3)
#define PIXEL1X7PRECLK_GATE_EN_LENGTH		(1)

#define PIXEL1X7PRECLK_DIV_0_SHIFT		(4)
#define PIXEL1X7PRECLK_DIV_0_LENGTH		(2)

#define PIXEL1X7CLK_DIV_0_SHIFT		(6)
#define PIXEL1X7CLK_DIV_0_LENGTH		(6)

#define CLOCK_HDMI_TX0_ESM_OFFSET		(0x0108)

#define MX_HDMITX0ESMPRECLK_0_SW_SHIFT		(0)
#define MX_HDMITX0ESMPRECLK_0_SW_LENGTH		(1)

#define MX_HDMITX0ESMPRECLK_1_SW_SHIFT		(1)
#define MX_HDMITX0ESMPRECLK_1_SW_LENGTH		(1)

#define MX_HDMITX0ESMPRECLK_2_SW_SHIFT		(2)
#define MX_HDMITX0ESMPRECLK_2_SW_LENGTH		(1)

#define HDMITX0ESMPRECLK_GATE_EN_SHIFT		(3)
#define HDMITX0ESMPRECLK_GATE_EN_LENGTH		(1)

#define HDMITX0ESMPRECLK_DIV_0_SHIFT		(4)
#define HDMITX0ESMPRECLK_DIV_0_LENGTH		(2)

#define HDMITX0ESMCLK_DIV_0_SHIFT		(6)
#define HDMITX0ESMCLK_DIV_0_LENGTH		(6)

#define CLOCK_HDMI_TX1_ESM_OFFSET		(0x010C)

#define MX_HDMITX1ESMPRECLK_0_SW_SHIFT		(0)
#define MX_HDMITX1ESMPRECLK_0_SW_LENGTH		(1)

#define MX_HDMITX1ESMPRECLK_1_SW_SHIFT		(1)
#define MX_HDMITX1ESMPRECLK_1_SW_LENGTH		(1)

#define MX_HDMITX1ESMPRECLK_2_SW_SHIFT		(2)
#define MX_HDMITX1ESMPRECLK_2_SW_LENGTH		(1)

#define HDMITX1ESMPRECLK_GATE_EN_SHIFT		(3)
#define HDMITX1ESMPRECLK_GATE_EN_LENGTH		(1)

#define HDMITX1ESMPRECLK_DIV_0_SHIFT		(4)
#define HDMITX1ESMPRECLK_DIV_0_LENGTH		(2)

#define HDMITX1ESMCLK_DIV_0_SHIFT		(6)
#define HDMITX1ESMCLK_DIV_0_LENGTH		(6)

#define CLOCK_HDMI_RX_ESM_OFFSET		(0x0110)

#define MX_HDMIRXESMPRECLK_0_SW_SHIFT		(0)
#define MX_HDMIRXESMPRECLK_0_SW_LENGTH		(1)

#define MX_HDMIRXESMPRECLK_1_SW_SHIFT		(1)
#define MX_HDMIRXESMPRECLK_1_SW_LENGTH		(1)

#define MX_HDMIRXESMPRECLK_2_SW_SHIFT		(2)
#define MX_HDMIRXESMPRECLK_2_SW_LENGTH		(1)

#define HDMIRXESMPRECLK_GATE_EN_SHIFT		(3)
#define HDMIRXESMPRECLK_GATE_EN_LENGTH		(1)

#define HDMIRXESMPRECLK_DIV_0_SHIFT		(4)
#define HDMIRXESMPRECLK_DIV_0_LENGTH		(2)

#define HDMIRXESMCLK_DIV_0_SHIFT		(6)
#define HDMIRXESMCLK_DIV_0_LENGTH		(6)

#define CLOCK_HDMI_RX_AUDIO_OFFSET		(0x0114)

#define MX_HDMIRXAUDIOPRECLK_0_SW_SHIFT		(0)
#define MX_HDMIRXAUDIOPRECLK_0_SW_LENGTH		(1)

#define MX_HDMIRXAUDIOPRECLK_1_SW_SHIFT		(1)
#define MX_HDMIRXAUDIOPRECLK_1_SW_LENGTH		(1)

#define MX_HDMIRXAUDIOPRECLK_2_SW_SHIFT		(2)
#define MX_HDMIRXAUDIOPRECLK_2_SW_LENGTH		(1)

#define HDMIRXAUDIOPRECLK_GATE_EN_SHIFT		(3)
#define HDMIRXAUDIOPRECLK_GATE_EN_LENGTH		(1)

#define HDMIRXAUDIOPRECLK_DIV_0_SHIFT		(4)
#define HDMIRXAUDIOPRECLK_DIV_0_LENGTH		(2)

#define HDMIRXAUDIOCLK_DIV_0_SHIFT		(6)
#define HDMIRXAUDIOCLK_DIV_0_LENGTH		(6)

#define CLOCK_I2S0_AUDIO_OFFSET		(0x0118)

#define MX_I2S0AUDIOPREMCLK_0_SW_SHIFT		(0)
#define MX_I2S0AUDIOPREMCLK_0_SW_LENGTH		(1)

#define MX_I2S0AUDIOPREMCLK_1_SW_SHIFT		(1)
#define MX_I2S0AUDIOPREMCLK_1_SW_LENGTH		(1)

#define MX_I2S0AUDIOPREMCLK_2_SW_SHIFT		(2)
#define MX_I2S0AUDIOPREMCLK_2_SW_LENGTH		(1)

#define I2S0AUDIOPREMCLK_GATE_EN_SHIFT		(3)
#define I2S0AUDIOPREMCLK_GATE_EN_LENGTH		(1)

#define I2S0AUDIOPREMCLK_DIV_0_SHIFT		(4)
#define I2S0AUDIOPREMCLK_DIV_0_LENGTH		(2)

#define I2S0AUDIOMCLK_DIV_0_SHIFT		(6)
#define I2S0AUDIOMCLK_DIV_0_LENGTH		(6)

#define I2S0AUDIOACLK_DIV_0_SHIFT		(12)
#define I2S0AUDIOACLK_DIV_0_LENGTH		(2)

#define CLOCK_I2S1_AUDIO_OFFSET		(0x011C)

#define MX_I2S1AUDIOPREMCLK_0_SW_SHIFT		(0)
#define MX_I2S1AUDIOPREMCLK_0_SW_LENGTH		(1)

#define MX_I2S1AUDIOPREMCLK_1_SW_SHIFT		(1)
#define MX_I2S1AUDIOPREMCLK_1_SW_LENGTH		(1)

#define MX_I2S1AUDIOPREMCLK_2_SW_SHIFT		(2)
#define MX_I2S1AUDIOPREMCLK_2_SW_LENGTH		(1)

#define I2S1AUDIOPREMCLK_GATE_EN_SHIFT		(3)
#define I2S1AUDIOPREMCLK_GATE_EN_LENGTH		(1)

#define I2S1AUDIOPREMCLK_DIV_0_SHIFT		(4)
#define I2S1AUDIOPREMCLK_DIV_0_LENGTH		(2)

#define I2S1AUDIOMCLK_DIV_0_SHIFT		(6)
#define I2S1AUDIOMCLK_DIV_0_LENGTH		(6)

#define I2S1AUDIOACLK_DIV_0_SHIFT		(12)
#define I2S1AUDIOACLK_DIV_0_LENGTH		(2)

#define CLOCK_SPDIF_OFFSET		(0x0120)

#define MX_SPDIFPRECLK_0_SW_SHIFT		(0)
#define MX_SPDIFPRECLK_0_SW_LENGTH		(1)

#define MX_SPDIFPRECLK_1_SW_SHIFT		(1)
#define MX_SPDIFPRECLK_1_SW_LENGTH		(1)

#define MX_SPDIFPRECLK_2_SW_SHIFT		(2)
#define MX_SPDIFPRECLK_2_SW_LENGTH		(1)

#define SPDIFPRECLK_GATE_EN_SHIFT		(3)
#define SPDIFPRECLK_GATE_EN_LENGTH		(1)

#define SPDIFPRECLK_DIV_0_SHIFT		(4)
#define SPDIFPRECLK_DIV_0_LENGTH		(2)

#define SPDIFCLK_DIV_0_SHIFT		(6)
#define SPDIFCLK_DIV_0_LENGTH		(6)

#define CLOCK_AUXADC_OFFSET		(0x0124)

#define MX_AUXADCPRECLK_0_SW_SHIFT		(0)
#define MX_AUXADCPRECLK_0_SW_LENGTH		(1)

#define MX_AUXADCPRECLK_1_SW_SHIFT		(1)
#define MX_AUXADCPRECLK_1_SW_LENGTH		(1)

#define MX_AUXADCPRECLK_2_SW_SHIFT		(2)
#define MX_AUXADCPRECLK_2_SW_LENGTH		(1)

#define AUXADCPRECLK_GATE_EN_SHIFT		(3)
#define AUXADCPRECLK_GATE_EN_LENGTH		(1)

#define AUXADCPRECLK_DIV_0_SHIFT		(4)
#define AUXADCPRECLK_DIV_0_LENGTH		(2)

#define AUXADCCLK_DIV_0_SHIFT		(6)
#define AUXADCCLK_DIV_0_LENGTH		(8)

#define CLOCK_ETS_AV_OFFSET		(0x0128)

#define ETSAVPRECLK_GATE_EN_SHIFT		(0)
#define ETSAVPRECLK_GATE_EN_LENGTH		(1)

#define ETSAVPRECLK_DIV_0_SHIFT		(1)
#define ETSAVPRECLK_DIV_0_LENGTH		(2)

#define ETSAVCLK_DIV_0_SHIFT		(3)
#define ETSAVCLK_DIV_0_LENGTH		(8)

#define CLOCK_TIMER_OFFSET		(0x012C)

#define MX_TIMERPRECLK_0_SW_SHIFT		(0)
#define MX_TIMERPRECLK_0_SW_LENGTH		(1)

#define MX_TIMERPRECLK_1_SW_SHIFT		(1)
#define MX_TIMERPRECLK_1_SW_LENGTH		(1)

#define MX_TIMERPRECLK_2_SW_SHIFT		(2)
#define MX_TIMERPRECLK_2_SW_LENGTH		(1)

#define CS_TIMERPRESWCLK_0_SW_SHIFT		(3)
#define CS_TIMERPRESWCLK_0_SW_LENGTH		(1)

#define CS_TIMERPRESWCLK_0_EN_SHIFT		(4)
#define CS_TIMERPRESWCLK_0_EN_LENGTH		(1)

#define TIMERPRESWCLK_DIV_0_SHIFT		(5)
#define TIMERPRESWCLK_DIV_0_LENGTH		(2)

#define TIMERCLK_DIV_0_SHIFT		(7)
#define TIMERCLK_DIV_0_LENGTH		(6)

#define CLOCK_AV_OUT0_OFFSET		(0x0130)

#define MX_AVOUT0PRECLK_0_SW_SHIFT		(0)
#define MX_AVOUT0PRECLK_0_SW_LENGTH		(1)

#define MX_AVOUT0PRECLK_1_SW_SHIFT		(1)
#define MX_AVOUT0PRECLK_1_SW_LENGTH		(1)

#define MX_AVOUT0PRECLK_2_SW_SHIFT		(2)
#define MX_AVOUT0PRECLK_2_SW_LENGTH		(1)

#define AVOUT0PRECLK_GATE_EN_SHIFT		(3)
#define AVOUT0PRECLK_GATE_EN_LENGTH		(1)

#define AVOUT0PRECLK_DIV_0_SHIFT		(4)
#define AVOUT0PRECLK_DIV_0_LENGTH		(2)

#define AVOUT0CLK_DIV_0_SHIFT		(6)
#define AVOUT0CLK_DIV_0_LENGTH		(6)

#define CLOCK_AV_OUT1_OFFSET		(0x0134)

#define MX_AVOUT1PRECLK_0_SW_SHIFT		(0)
#define MX_AVOUT1PRECLK_0_SW_LENGTH		(1)

#define MX_AVOUT1PRECLK_1_SW_SHIFT		(1)
#define MX_AVOUT1PRECLK_1_SW_LENGTH		(1)

#define MX_AVOUT1PRECLK_2_SW_SHIFT		(2)
#define MX_AVOUT1PRECLK_2_SW_LENGTH		(1)

#define AVOUT1PRECLK_GATE_EN_SHIFT		(3)
#define AVOUT1PRECLK_GATE_EN_LENGTH		(1)

#define AVOUT1PRECLK_DIV_0_SHIFT		(4)
#define AVOUT1PRECLK_DIV_0_LENGTH		(2)

#define AVOUT1CLK_DIV_0_SHIFT		(6)
#define AVOUT1CLK_DIV_0_LENGTH		(6)

#define CLOCK_AV0_OFFSET		(0x0138)

#define MX_AV0PRECLK_0_SW_SHIFT		(0)
#define MX_AV0PRECLK_0_SW_LENGTH		(1)

#define MX_AV0PRECLK_1_SW_SHIFT		(1)
#define MX_AV0PRECLK_1_SW_LENGTH		(1)

#define MX_AV0PRECLK_2_SW_SHIFT		(2)
#define MX_AV0PRECLK_2_SW_LENGTH		(1)

#define AV0PRECLK_GATE_EN_SHIFT		(3)
#define AV0PRECLK_GATE_EN_LENGTH		(1)

#define AV0PRECLK_DIV_0_SHIFT		(4)
#define AV0PRECLK_DIV_0_LENGTH		(2)

#define AV0CLK_DIV_0_SHIFT		(6)
#define AV0CLK_DIV_0_LENGTH		(6)

#define CLOCK_AV1_OFFSET		(0x013C)

#define MX_AV1PRECLK_0_SW_SHIFT		(0)
#define MX_AV1PRECLK_0_SW_LENGTH		(1)

#define MX_AV1PRECLK_1_SW_SHIFT		(1)
#define MX_AV1PRECLK_1_SW_LENGTH		(1)

#define MX_AV1PRECLK_2_SW_SHIFT		(2)
#define MX_AV1PRECLK_2_SW_LENGTH		(1)

#define AV1PRECLK_GATE_EN_SHIFT		(3)
#define AV1PRECLK_GATE_EN_LENGTH		(1)

#define AV1PRECLK_DIV_0_SHIFT		(4)
#define AV1PRECLK_DIV_0_LENGTH		(2)

#define AV1CLK_DIV_0_SHIFT		(6)
#define AV1CLK_DIV_0_LENGTH		(6)

#define CLOCK_NOC_CIP3_OFFSET		(0x0140)

#define MX_NOCCIP3PRECLK_0_SW_SHIFT		(0)
#define MX_NOCCIP3PRECLK_0_SW_LENGTH		(1)

#define MX_NOCCIP3PRECLK_1_SW_SHIFT		(1)
#define MX_NOCCIP3PRECLK_1_SW_LENGTH		(1)

#define MX_NOCCIP3PRECLK_2_SW_SHIFT		(2)
#define MX_NOCCIP3PRECLK_2_SW_LENGTH		(1)

#define CS_NOCCIP3PRESWCLK_0_SW_SHIFT		(3)
#define CS_NOCCIP3PRESWCLK_0_SW_LENGTH		(1)

#define CS_NOCCIP3PRESWCLK_0_EN_SHIFT		(4)
#define CS_NOCCIP3PRESWCLK_0_EN_LENGTH		(1)

#define NOCCIP3PRESWCLK_DIV_0_SHIFT		(5)
#define NOCCIP3PRESWCLK_DIV_0_LENGTH		(2)

#define NOCCIP3CLK_DIV_0_SHIFT		(7)
#define NOCCIP3CLK_DIV_0_LENGTH		(6)

#define PLL0_CONTROL_A_OFFSET		(0x0144)

#define CR_PLL0_UPDATE_SHIFT		(0)
#define CR_PLL0_UPDATE_LENGTH		(1)

#define CR_PLL0_REFDIV_SHIFT		(1)
#define CR_PLL0_REFDIV_LENGTH		(6)

#define CR_PLL0_FBDIV_SHIFT		(7)
#define CR_PLL0_FBDIV_LENGTH		(12)

#define CR_PLL0_POSTDIV1_SHIFT		(19)
#define CR_PLL0_POSTDIV1_LENGTH		(3)

#define CR_PLL0_POSTDIV2_SHIFT		(22)
#define CR_PLL0_POSTDIV2_LENGTH		(3)

#define CR_PLL0_PD_SHIFT		(25)
#define CR_PLL0_PD_LENGTH		(1)

#define CR_PLL0_DACPD_SHIFT		(26)
#define CR_PLL0_DACPD_LENGTH		(1)

#define CR_PLL0_DSMPD_SHIFT		(27)
#define CR_PLL0_DSMPD_LENGTH		(1)

#define CR_PLL0_BYPASS_SHIFT		(28)
#define CR_PLL0_BYPASS_LENGTH		(1)

#define PLL0_CONTROL_B_OFFSET		(0x0148)

#define CR_PLL0_FRAC_SHIFT		(0)
#define CR_PLL0_FRAC_LENGTH		(24)

#define PLL0_STATUS_OFFSET		(0x014C)

#define CR_PLL0_LOCK_SHIFT		(0)
#define CR_PLL0_LOCK_LENGTH		(1)

#define PLL1_CONTROL_A_OFFSET		(0x0150)

#define CR_PLL1_UPDATE_SHIFT		(0)
#define CR_PLL1_UPDATE_LENGTH		(1)

#define CR_PLL1_REFDIV_SHIFT		(1)
#define CR_PLL1_REFDIV_LENGTH		(6)

#define CR_PLL1_FBDIV_SHIFT		(7)
#define CR_PLL1_FBDIV_LENGTH		(12)

#define CR_PLL1_POSTDIV1_SHIFT		(19)
#define CR_PLL1_POSTDIV1_LENGTH		(3)

#define CR_PLL1_POSTDIV2_SHIFT		(22)
#define CR_PLL1_POSTDIV2_LENGTH		(3)

#define CR_PLL1_PD_SHIFT		(25)
#define CR_PLL1_PD_LENGTH		(1)

#define CR_PLL1_DACPD_SHIFT		(26)
#define CR_PLL1_DACPD_LENGTH		(1)

#define CR_PLL1_DSMPD_SHIFT		(27)
#define CR_PLL1_DSMPD_LENGTH		(1)

#define CR_PLL1_BYPASS_SHIFT		(28)
#define CR_PLL1_BYPASS_LENGTH		(1)

#define PLL1_CONTROL_B_OFFSET		(0x0154)

#define CR_PLL1_FRAC_SHIFT		(0)
#define CR_PLL1_FRAC_LENGTH		(24)

#define PLL1_STATUS_OFFSET		(0x0158)

#define CR_PLL1_LOCK_SHIFT		(0)
#define CR_PLL1_LOCK_LENGTH		(1)

#define PLL2_CONTROL_A_OFFSET		(0x015C)

#define CR_PLL2_UPDATE_SHIFT		(0)
#define CR_PLL2_UPDATE_LENGTH		(1)

#define CR_PLL2_REFDIV_SHIFT		(1)
#define CR_PLL2_REFDIV_LENGTH		(6)

#define CR_PLL2_FBDIV_SHIFT		(7)
#define CR_PLL2_FBDIV_LENGTH		(12)

#define CR_PLL2_POSTDIV1_SHIFT		(19)
#define CR_PLL2_POSTDIV1_LENGTH		(3)

#define CR_PLL2_POSTDIV2_SHIFT		(22)
#define CR_PLL2_POSTDIV2_LENGTH		(3)

#define CR_PLL2_PD_SHIFT		(25)
#define CR_PLL2_PD_LENGTH		(1)

#define CR_PLL2_DACPD_SHIFT		(26)
#define CR_PLL2_DACPD_LENGTH		(1)

#define CR_PLL2_DSMPD_SHIFT		(27)
#define CR_PLL2_DSMPD_LENGTH		(1)

#define CR_PLL2_BYPASS_SHIFT		(28)
#define CR_PLL2_BYPASS_LENGTH		(1)

#define PLL2_CONTROL_B_OFFSET		(0x0160)

#define CR_PLL2_FRAC_SHIFT		(0)
#define CR_PLL2_FRAC_LENGTH		(24)

#define PLL2_STATUS_OFFSET		(0x0164)

#define CR_PLL2_LOCK_SHIFT		(0)
#define CR_PLL2_LOCK_LENGTH		(1)

#define PLL3_CONTROL_A_OFFSET		(0x0168)

#define CR_PLL3_UPDATE_SHIFT		(0)
#define CR_PLL3_UPDATE_LENGTH		(1)

#define CR_PLL3_REFDIV_SHIFT		(1)
#define CR_PLL3_REFDIV_LENGTH		(6)

#define CR_PLL3_FBDIV_SHIFT		(7)
#define CR_PLL3_FBDIV_LENGTH		(12)

#define CR_PLL3_POSTDIV1_SHIFT		(19)
#define CR_PLL3_POSTDIV1_LENGTH		(3)

#define CR_PLL3_POSTDIV2_SHIFT		(22)
#define CR_PLL3_POSTDIV2_LENGTH		(3)

#define CR_PLL3_PD_SHIFT		(25)
#define CR_PLL3_PD_LENGTH		(1)

#define CR_PLL3_DACPD_SHIFT		(26)
#define CR_PLL3_DACPD_LENGTH		(1)

#define CR_PLL3_DSMPD_SHIFT		(27)
#define CR_PLL3_DSMPD_LENGTH		(1)

#define CR_PLL3_BYPASS_SHIFT		(28)
#define CR_PLL3_BYPASS_LENGTH		(1)

#define PLL3_CONTROL_B_OFFSET		(0x016C)

#define CR_PLL3_FRAC_SHIFT		(0)
#define CR_PLL3_FRAC_LENGTH		(24)

#define PLL3_STATUS_OFFSET		(0x0170)

#define CR_PLL3_LOCK_SHIFT		(0)
#define CR_PLL3_LOCK_LENGTH		(1)

#define PLL4_CONTROL_A_OFFSET		(0x0174)

#define CR_PLL4_UPDATE_SHIFT		(0)
#define CR_PLL4_UPDATE_LENGTH		(1)

#define CR_PLL4_REFDIV_SHIFT		(1)
#define CR_PLL4_REFDIV_LENGTH		(6)

#define CR_PLL4_FBDIV_SHIFT		(7)
#define CR_PLL4_FBDIV_LENGTH		(12)

#define CR_PLL4_POSTDIV1_SHIFT		(19)
#define CR_PLL4_POSTDIV1_LENGTH		(3)

#define CR_PLL4_POSTDIV2_SHIFT		(22)
#define CR_PLL4_POSTDIV2_LENGTH		(3)

#define CR_PLL4_PD_SHIFT		(25)
#define CR_PLL4_PD_LENGTH		(1)

#define CR_PLL4_DACPD_SHIFT		(26)
#define CR_PLL4_DACPD_LENGTH		(1)

#define CR_PLL4_DSMPD_SHIFT		(27)
#define CR_PLL4_DSMPD_LENGTH		(1)

#define CR_PLL4_BYPASS_SHIFT		(28)
#define CR_PLL4_BYPASS_LENGTH		(1)

#define PLL4_CONTROL_B_OFFSET		(0x0178)

#define CR_PLL4_FRAC_SHIFT		(0)
#define CR_PLL4_FRAC_LENGTH		(24)

#define PLL4_STATUS_OFFSET		(0x017C)

#define CR_PLL4_LOCK_SHIFT		(0)
#define CR_PLL4_LOCK_LENGTH		(1)

#define PLL5_CONTROL_A_OFFSET		(0x0180)

#define CR_PLL5_UPDATE_SHIFT		(0)
#define CR_PLL5_UPDATE_LENGTH		(1)

#define CR_PLL5_REFDIV_SHIFT		(1)
#define CR_PLL5_REFDIV_LENGTH		(6)

#define CR_PLL5_FBDIV_SHIFT		(7)
#define CR_PLL5_FBDIV_LENGTH		(12)

#define CR_PLL5_POSTDIV1_SHIFT		(19)
#define CR_PLL5_POSTDIV1_LENGTH		(3)

#define CR_PLL5_POSTDIV2_SHIFT		(22)
#define CR_PLL5_POSTDIV2_LENGTH		(3)

#define CR_PLL5_PD_SHIFT		(25)
#define CR_PLL5_PD_LENGTH		(1)

#define CR_PLL5_DACPD_SHIFT		(26)
#define CR_PLL5_DACPD_LENGTH		(1)

#define CR_PLL5_DSMPD_SHIFT		(27)
#define CR_PLL5_DSMPD_LENGTH		(1)

#define CR_PLL5_BYPASS_SHIFT		(28)
#define CR_PLL5_BYPASS_LENGTH		(1)

#define PLL5_CONTROL_B_OFFSET		(0x0184)

#define CR_PLL5_FRAC_SHIFT		(0)
#define CR_PLL5_FRAC_LENGTH		(24)

#define PLL5_STATUS_OFFSET		(0x0188)

#define CR_PLL5_LOCK_SHIFT		(0)
#define CR_PLL5_LOCK_LENGTH		(1)

#define PLL6_CONTROL_A_OFFSET		(0x018C)

#define CR_PLL6_UPDATE_SHIFT		(0)
#define CR_PLL6_UPDATE_LENGTH		(1)

#define CR_PLL6_REFDIV_SHIFT		(1)
#define CR_PLL6_REFDIV_LENGTH		(6)

#define CR_PLL6_FBDIV_SHIFT		(7)
#define CR_PLL6_FBDIV_LENGTH		(12)

#define CR_PLL6_POSTDIV1_SHIFT		(19)
#define CR_PLL6_POSTDIV1_LENGTH		(3)

#define CR_PLL6_POSTDIV2_SHIFT		(22)
#define CR_PLL6_POSTDIV2_LENGTH		(3)

#define CR_PLL6_PD_SHIFT		(25)
#define CR_PLL6_PD_LENGTH		(1)

#define CR_PLL6_DACPD_SHIFT		(26)
#define CR_PLL6_DACPD_LENGTH		(1)

#define CR_PLL6_DSMPD_SHIFT		(27)
#define CR_PLL6_DSMPD_LENGTH		(1)

#define CR_PLL6_BYPASS_SHIFT		(28)
#define CR_PLL6_BYPASS_LENGTH		(1)

#define PLL6_CONTROL_B_OFFSET		(0x0190)

#define CR_PLL6_FRAC_SHIFT		(0)
#define CR_PLL6_FRAC_LENGTH		(24)

#define PLL6_STATUS_OFFSET		(0x0194)

#define CR_PLL6_LOCK_SHIFT		(0)
#define CR_PLL6_LOCK_LENGTH		(1)

#define PLL7_CONTROL_A_OFFSET		(0x0198)

#define CR_PLL7_UPDATE_SHIFT		(0)
#define CR_PLL7_UPDATE_LENGTH		(1)

#define CR_PLL7_REFDIV_SHIFT		(1)
#define CR_PLL7_REFDIV_LENGTH		(6)

#define CR_PLL7_FBDIV_SHIFT		(7)
#define CR_PLL7_FBDIV_LENGTH		(12)

#define CR_PLL7_POSTDIV1_SHIFT		(19)
#define CR_PLL7_POSTDIV1_LENGTH		(3)

#define CR_PLL7_POSTDIV2_SHIFT		(22)
#define CR_PLL7_POSTDIV2_LENGTH		(3)

#define CR_PLL7_PD_SHIFT		(25)
#define CR_PLL7_PD_LENGTH		(1)

#define CR_PLL7_DACPD_SHIFT		(26)
#define CR_PLL7_DACPD_LENGTH		(1)

#define CR_PLL7_DSMPD_SHIFT		(27)
#define CR_PLL7_DSMPD_LENGTH		(1)

#define CR_PLL7_BYPASS_SHIFT		(28)
#define CR_PLL7_BYPASS_LENGTH		(1)

#define PLL7_CONTROL_B_OFFSET		(0x019C)

#define CR_PLL7_FRAC_SHIFT		(0)
#define CR_PLL7_FRAC_LENGTH		(24)

#define PLL7_STATUS_OFFSET		(0x01A0)

#define CR_PLL7_LOCK_SHIFT		(0)
#define CR_PLL7_LOCK_LENGTH		(1)

#define SOFT_RESET_OFFSET		(0x01A4)

#endif
