#ifndef __DRM_PDP_CRTC_H__
#define __DRM_PDP_CRTC_H__

#include <drm/drmP.h>

#include "pdp_drv.h"

struct pdp_crtc {
	struct drm_crtc crtc; /* Base crtc */

	struct pdp_private *priv;
	bool enabled;
	bool running;

	struct drm_pending_vblank_event *event;
	wait_queue_head_t flip_wait;
};

#define to_pdp_crtc(crtc) container_of(crtc, struct pdp_crtc, crtc)

/* CRTC initialiszer */
int pdp_crtc_create(struct drm_device *dev, uint32_t number);

/* CRTC background colour */
void pdp_crtc_set_background(struct pdp_crtc *pcrtc,
			     u16 a, u16 r, u16 g, u16 b);

/* vblank ops */
void pdp_crtc_enable_vblank(struct pdp_crtc *pcrtc, bool enable);
void pdp_crtc_cancel_page_flip(struct pdp_crtc *pcrtc, struct drm_file *file);

void pdp_suspend(struct pdp_crtc *pcrtc);
void pdp_resume(struct pdp_crtc *pcrtc);

#endif /* __DRM_PDP_CRTC_H__ */
