#ifndef _PDP_MODESET_H_
#define _PDP_MODESET_H_

#include "pdp_drv.h"

#define PDP_WIDTH_MIN 0
#define PDP_WIDTH_MAX 4096
#define PDP_HEIGHT_MIN 0
#define PDP_HEIGHT_MAX 4096

struct pdp_format_info {
	u32 fourcc;
	u32 hwv;
	unsigned int bpp;
	unsigned int planes;
};

static const struct drm_prop_enum_list pdp_colourkey_mode_enum_list[] = {
	{ PDP_COLOURKEY_MODE_PREVIOUS,	"previous"	},
	{ PDP_COLOURKEY_MODE_SELF,	"self"		},
};

static const struct drm_prop_enum_list pdp_porter_duff_type_enum_list[] = {
	{ PDP_BLENDTYPE_CLIP_TO_SELF,	"clip_to_self"	},
	{ PDP_BLENDTYPE_NORMAL,		"normal"	},
};

static const struct drm_prop_enum_list pdp_porter_duff_mode_enum_list[] = {
	{ PDP_BLENDMODE_F_OVER_B,	"F over B"	},
	{ PDP_BLENDMODE_F_IN_B,		"F in B"	},
	{ PDP_BLENDMODE_F_OUT_B,	"F out B"	},
	{ PDP_BLENDMODE_F_ATOP_B,	"F atop B"	},
	{ PDP_BLENDMODE_F_XOR_B,	"F xor B"	},
	{ PDP_BLENDMODE_F_PLUS_B,	"F plus B"	},
	{ PDP_BLENDMODE_B_OVER_F,	"B over F"	},
	{ PDP_BLENDMODE_B_IN_F,		"B in F"	},
	{ PDP_BLENDMODE_B_OUT_F,	"B out F"	},
	{ PDP_BLENDMODE_B_ATOP_F,	"B atop F"	},
	{ PDP_BLENDMODE_B_XOR_F,	"B xor F"	},
	{ PDP_BLENDMODE_CLEAR,		"Clear"		},
	{ PDP_BLENDMODE_F,		"Foreground"	},
};

const struct pdp_format_info *pdp_format_info(u32 fourcc);

int pdp_modeset_init(struct pdp_private *dev_priv);
int pdp_cma_create(struct drm_file *file, struct drm_device *dev,
		   struct drm_mode_create_dumb *args);
#endif /* _PDP_MODESET_H_ */
