#ifndef _PDP_MMU_TILER_H_
#define _PDP_MMU_TILER_H_

#include <linux/img-iommu.h>

struct pdp_private;
struct pdp_gem_object;

struct pdp_tiler_domain {
	struct iommu_domain *domain;
	struct list_head list;

	struct img_iommu_tile_cfg config;

	unsigned nbuffs;
	u8 id;
};

struct pdp_tiler {
	struct pdp_tiler_domain domains;
	u8 domain_bitmap;
	size_t domain_size;
	u32 domain_base;

	/* globals to all vram regions */
	int tile_mode;
	bool bypass;

	struct drm_mm vram; /* used with carveout vram */
};

int pdp_tiler_init(struct pdp_private *priv, struct resource *cma_region);
void pdp_tiler_set_tile_mode(struct pdp_private *priv, int mode);

/* IOMMU mapping for GEM Objects */
int pdp_tiler_iommu_map(struct pdp_private *priv, struct pdp_gem_object *pobj);
int pdp_tiler_iommu_unmap(struct pdp_private *priv,
			  struct pdp_gem_object *pobj);

void pdp_tiler_fix_faults(struct pdp_private *priv);
#endif /* _PDP_MMU_TILER_H_ */
