#ifndef VPP_BUF_H
#define VPP_BUF_H
#include <media/videobuf2-vmalloc.h>
#include <media/videobuf2-core.h>
#include <linux/workqueue.h>
#include <media/videobuf2-dma-sg.h>
#include "vpp_io.h"
struct idev_dma_desc {
	u32 dma_addr;
	u32 seg_len;
	u32 *virt;
};
struct idev_buffer {
	struct vb2_buffer vb;
	struct list_head list;
	/* Virtual addresses of the page tables for this buffer.
	 * Needs to be allocated during mmu_setup and freed
	 * when finishing with the buffer.
	 */
	u32   		*page_tables[MAX_PAGE_TABLES_PER_FRAME];
	dma_addr_t   ptbl_bus[MAX_PAGE_TABLES_PER_FRAME];
	/* This is the index for the first page table. The rest will follow. */
	u32 	dir_index_start;
	/* Descriptors for each plane. */
	struct idev_dma_desc *dma_desc[MAX_PLANES_PER_BUFFER];
	/* Number of mapped descriptors for each plane */
	int ndesc[MAX_PLANES_PER_BUFFER];
};
enum{
CURRENT_BUFFER =0,
NEXT_BUFFER,
};
int set_buffer ( struct vpp_dev *idev, int cur_or_next);
void vpp_set_next_buffer(struct work_struct *work);
void vpp_buf_set_qops(struct vpp_dev *idev);
void return_all_buffers(struct vpp_dev *idev,  enum vb2_buffer_state state);
void msg_append(struct vpp_dev *idev, char *s);
int vpp_buf_suspend(struct vpp_dev *idev);
int vpp_buf_resume(struct vpp_dev *idev);
int get_number_of_buffers (struct vpp_dev *idev);

#endif //VPP_BUF_H

