/*
 * Copyright (c) 2011-2017 Imagination Technologies Ltd.
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef _UTILS_H
#define _UTILS_H

#include "core.h"
#define MASK_BITS(msb, lsb) (((1U << ((msb) - (lsb) + 1)) - 1) \
			     << (lsb))

#define EXTRACT_BITS(arg, msb, lsb) ((arg & MASK_BITS(msb, lsb)) >> (lsb))

#define INSERT_BITS(arg, msb, lsb, value) ((arg) = ((arg) &		     \
						    ~MASK_BITS(msb, lsb)) |  \
						    (((value) << (lsb)) &    \
						     MASK_BITS(msb, lsb)))

#define FRAME_CTRL_TYPE(arg) EXTRACT_BITS(arg, 3, 2)
#define FRAME_CTRL_STYPE(arg) EXTRACT_BITS(arg, 7, 4)
#define FTYPE_DATA 0x02
#define FSTYPE_QOS_DATA 0x08
void update_aux_adc_voltage(struct img_priv *priv,
				   unsigned char pdout);
int conv_str_to_byte(unsigned char *byte,
		     unsigned char *str,
		     int len);
extern int wait_for_scan_abort(struct img_priv *priv);
extern int wait_for_cancel_hw_roc(struct img_priv *priv);
extern int wait_for_channel_prog_complete(struct img_priv *priv);
extern int wait_for_tx_queue_flush_complete(struct img_priv *priv,
					    unsigned int token);
int wait_for_tx_deinit_complete(struct img_priv *priv);

#endif /* _UTILS_H */

/* EOF */
