/*
 * PDP Framebuffer
 *
 * Copyright (c) 2008 Imagination Technologies Ltd.
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 */

#ifndef _PDPFB_REGFIELDS_H
#define _PDPFB_REGFIELDS_H

#ifndef FIELD_DEFN_LIST_EL
#define FIELD_DEFN_LIST_EL
/** @brief Register information structure */
typedef struct _FieldDefnListEl
{
	const char*		reg_name;
	const char*		field_name;
	unsigned int    reg_offset;
	unsigned int    field_start;
	unsigned int    field_end;
	unsigned int    field_default;
} FieldDefnListEl;
#endif // FIELD_DEFN_LIST_EL

#define PDPFB2_REGFIELDS FieldDefnListEl pdpfb2_regfields[] = {\
	{"IMG_PDP_GRPH1SURF", "GRPH1PIXFMT", 0x00000000, 27, 31, 0x0},\
	{"IMG_PDP_GRPH1SURF", "GRPH1USEGAMMA", 0x00000000, 26, 26, 0x0},\
	{"IMG_PDP_GRPH1SURF", "GRPH1USECSC", 0x00000000, 25, 25, 0x0},\
	{"IMG_PDP_GRPH1SURF", "GRPH1LUTRWCHOICE", 0x00000000, 24, 24, 0x0},\
	{"IMG_PDP_GRPH1SURF", "GRPH1USELUT", 0x00000000, 23, 23, 0x0},\
	{"IMG_PDP_GRPH2SURF", "GRPH2PIXFMT", 0x00000004, 27, 31, 0x0},\
	{"IMG_PDP_GRPH2SURF", "GRPH2USEGAMMA", 0x00000004, 26, 26, 0x0},\
	{"IMG_PDP_GRPH2SURF", "GRPH2USECSC", 0x00000004, 25, 25, 0x0},\
	{"IMG_PDP_GRPH2SURF", "GRPH2LUTRWCHOICE", 0x00000004, 24, 24, 0x0},\
	{"IMG_PDP_GRPH2SURF", "GRPH2USELUT", 0x00000004, 23, 23, 0x0},\
	{"IMG_PDP_GRPH3SURF", "GRPH3PIXFMT", 0x00000008, 27, 31, 0x0},\
	{"IMG_PDP_GRPH3SURF", "GRPH3USEGAMMA", 0x00000008, 26, 26, 0x0},\
	{"IMG_PDP_GRPH3SURF", "GRPH3USECSC", 0x00000008, 25, 25, 0x0},\
	{"IMG_PDP_GRPH3SURF", "GRPH3LUTRWCHOICE", 0x00000008, 24, 24, 0x0},\
	{"IMG_PDP_GRPH3SURF", "GRPH3USELUT", 0x00000008, 23, 23, 0x0},\
	{"IMG_PDP_GRPH4SURF", "GRPH4PIXFMT", 0x0000000C, 27, 31, 0x0},\
	{"IMG_PDP_GRPH4SURF", "GRPH4USEGAMMA", 0x0000000C, 26, 26, 0x0},\
	{"IMG_PDP_GRPH4SURF", "GRPH4USECSC", 0x0000000C, 25, 25, 0x0},\
	{"IMG_PDP_GRPH4SURF", "GRPH4LUTRWCHOICE", 0x0000000C, 24, 24, 0x0},\
	{"IMG_PDP_GRPH4SURF", "GRPH4USELUT", 0x0000000C, 23, 23, 0x0},\
	{"IMG_PDP_VID1SURF", "VID1PIXFMT", 0x00000010, 27, 31, 0x0},\
	{"IMG_PDP_VID1SURF", "VID1USEGAMMA", 0x00000010, 26, 26, 0x0},\
	{"IMG_PDP_VID1SURF", "VID1USECSC", 0x00000010, 25, 25, 0x0},\
	{"IMG_PDP_VID1SURF", "VID1USEI2P", 0x00000010, 24, 24, 0x0},\
	{"IMG_PDP_VID1SURF", "VID1COSITED", 0x00000010, 23, 23, 0x1},\
	{"IMG_PDP_VID1SURF", "VID1USEHQCD", 0x00000010, 22, 22, 0x0},\
	{"IMG_PDP_VID1SURF", "VID1USEINSTREAM", 0x00000010, 21, 21, 0x0},\
	{"IMG_PDP_VID2SURF", "VID2PIXFMT", 0x00000014, 27, 31, 0x0},\
	{"IMG_PDP_VID2SURF", "VID2COSITED", 0x00000014, 23, 23, 0x1},\
	{"IMG_PDP_VID2SURF", "VID2USEGAMMA", 0x00000014, 26, 26, 0x0},\
	{"IMG_PDP_VID2SURF", "VID2USECSC", 0x00000014, 25, 25, 0x0},\
	{"IMG_PDP_VID3SURF", "VID3PIXFMT", 0x00000018, 27, 31, 0x0},\
	{"IMG_PDP_VID3SURF", "VID3COSITED", 0x00000018, 23, 23, 0x1},\
	{"IMG_PDP_VID3SURF", "VID3USEGAMMA", 0x00000018, 26, 26, 0x0},\
	{"IMG_PDP_VID3SURF", "VID3USECSC", 0x00000018, 25, 25, 0x0},\
	{"IMG_PDP_VID4SURF", "VID4PIXFMT", 0x0000001C, 27, 31, 0x0},\
	{"IMG_PDP_VID4SURF", "VID4COSITED", 0x0000001C, 23, 23, 0x1},\
	{"IMG_PDP_VID4SURF", "VID4USEGAMMA", 0x0000001C, 26, 26, 0x0},\
	{"IMG_PDP_VID4SURF", "VID4USECSC", 0x0000001C, 25, 25, 0x0},\
	{"IMG_PDP_GRPH1CTRL", "GRPH1STREN", 0x00000020, 31, 31, 0x0},\
	{"IMG_PDP_GRPH1CTRL", "GRPH1CKEYEN", 0x00000020, 30, 30, 0x0},\
	{"IMG_PDP_GRPH1CTRL", "GRPH1CKEYSRC", 0x00000020, 29, 29, 0x0},\
	{"IMG_PDP_GRPH1CTRL", "GRPH1BLEND", 0x00000020, 27, 28, 0x0},\
	{"IMG_PDP_GRPH1CTRL", "GRPH1BLENDPOS", 0x00000020, 24, 26, 0x0},\
	{"IMG_PDP_GRPH1CTRL", "GRPH1DITHEREN", 0x00000020, 23, 23, 0x0},\
	{"IMG_PDP_GRPH2CTRL", "GRPH2STREN", 0x00000024, 31, 31, 0x0},\
	{"IMG_PDP_GRPH2CTRL", "GRPH2CKEYEN", 0x00000024, 30, 30, 0x0},\
	{"IMG_PDP_GRPH2CTRL", "GRPH2CKEYSRC", 0x00000024, 29, 29, 0x0},\
	{"IMG_PDP_GRPH2CTRL", "GRPH2BLEND", 0x00000024, 27, 28, 0x0},\
	{"IMG_PDP_GRPH2CTRL", "GRPH2BLENDPOS", 0x00000024, 24, 26, 0x1},\
	{"IMG_PDP_GRPH2CTRL", "GRPH2DITHEREN", 0x00000024, 23, 23, 0x0},\
	{"IMG_PDP_GRPH3CTRL", "GRPH3STREN", 0x00000028, 31, 31, 0x0},\
	{"IMG_PDP_GRPH3CTRL", "GRPH3CKEYEN", 0x00000028, 30, 30, 0x0},\
	{"IMG_PDP_GRPH3CTRL", "GRPH3CKEYSRC", 0x00000028, 29, 29, 0x0},\
	{"IMG_PDP_GRPH3CTRL", "GRPH3BLEND", 0x00000028, 27, 28, 0x0},\
	{"IMG_PDP_GRPH3CTRL", "GRPH3BLENDPOS", 0x00000028, 24, 26, 0x2},\
	{"IMG_PDP_GRPH3CTRL", "GRPH3DITHEREN", 0x00000028, 23, 23, 0x0},\
	{"IMG_PDP_GRPH4CTRL", "GRPH4STREN", 0x0000002C, 31, 31, 0x0},\
	{"IMG_PDP_GRPH4CTRL", "GRPH4CKEYEN", 0x0000002C, 30, 30, 0x0},\
	{"IMG_PDP_GRPH4CTRL", "GRPH4CKEYSRC", 0x0000002C, 29, 29, 0x0},\
	{"IMG_PDP_GRPH4CTRL", "GRPH4BLEND", 0x0000002C, 27, 28, 0x0},\
	{"IMG_PDP_GRPH4CTRL", "GRPH4BLENDPOS", 0x0000002C, 24, 26, 0x3},\
	{"IMG_PDP_GRPH4CTRL", "GRPH4DITHEREN", 0x0000002C, 23, 23, 0x0},\
	{"IMG_PDP_VID1CTRL", "VID1STREN", 0x00000030, 31, 31, 0x0},\
	{"IMG_PDP_VID1CTRL", "VID1CKEYEN", 0x00000030, 30, 30, 0x0},\
	{"IMG_PDP_VID1CTRL", "VID1CKEYSRC", 0x00000030, 29, 29, 0x0},\
	{"IMG_PDP_VID1CTRL", "VID1BLEND", 0x00000030, 27, 28, 0x0},\
	{"IMG_PDP_VID1CTRL", "VID1BLENDPOS", 0x00000030, 24, 26, 0x4},\
	{"IMG_PDP_VID1CTRL", "VID1DITHEREN", 0x00000030, 23, 23, 0x0},\
	{"IMG_PDP_VID2CTRL", "VID2STREN", 0x00000034, 31, 31, 0x0},\
	{"IMG_PDP_VID2CTRL", "VID2CKEYEN", 0x00000034, 30, 30, 0x0},\
	{"IMG_PDP_VID2CTRL", "VID2CKEYSRC", 0x00000034, 29, 29, 0x0},\
	{"IMG_PDP_VID2CTRL", "VID2BLEND", 0x00000034, 27, 28, 0x0},\
	{"IMG_PDP_VID2CTRL", "VID2BLENDPOS", 0x00000034, 24, 26, 0x5},\
	{"IMG_PDP_VID2CTRL", "VID2DITHEREN", 0x00000034, 23, 23, 0x0},\
	{"IMG_PDP_VID3CTRL", "VID3STREN", 0x00000038, 31, 31, 0x0},\
	{"IMG_PDP_VID3CTRL", "VID3CKEYEN", 0x00000038, 30, 30, 0x0},\
	{"IMG_PDP_VID3CTRL", "VID3CKEYSRC", 0x00000038, 29, 29, 0x0},\
	{"IMG_PDP_VID3CTRL", "VID3BLEND", 0x00000038, 27, 28, 0x0},\
	{"IMG_PDP_VID3CTRL", "VID3BLENDPOS", 0x00000038, 24, 26, 0x6},\
	{"IMG_PDP_VID3CTRL", "VID3DITHEREN", 0x00000038, 23, 23, 0x0},\
	{"IMG_PDP_VID4CTRL", "VID4STREN", 0x0000003C, 31, 31, 0x0},\
	{"IMG_PDP_VID4CTRL", "VID4CKEYEN", 0x0000003C, 30, 30, 0x0},\
	{"IMG_PDP_VID4CTRL", "VID4CKEYSRC", 0x0000003C, 29, 29, 0x0},\
	{"IMG_PDP_VID4CTRL", "VID4BLEND", 0x0000003C, 27, 28, 0x0},\
	{"IMG_PDP_VID4CTRL", "VID4BLENDPOS", 0x0000003C, 24, 26, 0x7},\
	{"IMG_PDP_VID4CTRL", "VID4DITHEREN", 0x0000003C, 23, 23, 0x0},\
	{"IMG_PDP_VID1UCTRL", "VID1UVHALFSTR", 0x00000050, 30, 31, 0x0},\
	{"IMG_PDP_VID2UCTRL", "VID2UVHALFSTR", 0x00000054, 30, 31, 0x0},\
	{"IMG_PDP_VID3UCTRL", "VID3UVHALFSTR", 0x00000058, 30, 31, 0x0},\
	{"IMG_PDP_VID4UCTRL", "VID4UVHALFSTR", 0x0000005C, 30, 31, 0x0},\
	{"IMG_PDP_GRPH1STRIDE", "GRPH1STRIDE", 0x00000060, 22, 31, 0x0},\
	{"IMG_PDP_GRPH2STRIDE", "GRPH2STRIDE", 0x00000064, 22, 31, 0x0},\
	{"IMG_PDP_GRPH3STRIDE", "GRPH3STRIDE", 0x00000068, 22, 31, 0x0},\
	{"IMG_PDP_GRPH4STRIDE", "GRPH4STRIDE", 0x0000006C, 22, 31, 0x0},\
	{"IMG_PDP_VID1STRIDE", "VID1STRIDE", 0x00000070, 22, 31, 0x0},\
	{"IMG_PDP_VID2STRIDE", "VID2STRIDE", 0x00000074, 22, 31, 0x0},\
	{"IMG_PDP_VID3STRIDE", "VID3STRIDE", 0x00000078, 22, 31, 0x0},\
	{"IMG_PDP_VID4STRIDE", "VID4STRIDE", 0x0000007C, 22, 31, 0x0},\
	{"IMG_PDP_GRPH1SIZE", "GRPH1WIDTH", 0x00000080, 16, 27, 0x0},\
	{"IMG_PDP_GRPH1SIZE", "GRPH1HEIGHT", 0x00000080, 0, 11, 0x0},\
	{"IMG_PDP_GRPH2SIZE", "GRPH2WIDTH", 0x00000084, 16, 27, 0x0},\
	{"IMG_PDP_GRPH2SIZE", "GRPH2HEIGHT", 0x00000084, 0, 11, 0x0},\
	{"IMG_PDP_GRPH3SIZE", "GRPH3WIDTH", 0x00000088, 16, 27, 0x0},\
	{"IMG_PDP_GRPH3SIZE", "GRPH3HEIGHT", 0x00000088, 0, 11, 0x0},\
	{"IMG_PDP_GRPH4SIZE", "GRPH4WIDTH", 0x0000008C, 16, 27, 0x0},\
	{"IMG_PDP_GRPH4SIZE", "GRPH4HEIGHT", 0x0000008C, 0, 11, 0x0},\
	{"IMG_PDP_VID1SIZE", "VID1WIDTH", 0x00000090, 16, 27, 0x0},\
	{"IMG_PDP_VID1SIZE", "VID1HEIGHT", 0x00000090, 0, 11, 0x0},\
	{"IMG_PDP_VID2SIZE", "VID2WIDTH", 0x00000094, 16, 27, 0x0},\
	{"IMG_PDP_VID2SIZE", "VID2HEIGHT", 0x00000094, 0, 11, 0x0},\
	{"IMG_PDP_VID3SIZE", "VID3WIDTH", 0x00000098, 16, 27, 0x0},\
	{"IMG_PDP_VID3SIZE", "VID3HEIGHT", 0x00000098, 0, 11, 0x0},\
	{"IMG_PDP_VID4SIZE", "VID4WIDTH", 0x0000009C, 16, 27, 0x0},\
	{"IMG_PDP_VID4SIZE", "VID4HEIGHT", 0x0000009C, 0, 11, 0x0},\
	{"IMG_PDP_GRPH1POSN", "GRPH1XSTART", 0x000000A0, 16, 27, 0x0},\
	{"IMG_PDP_GRPH1POSN", "GRPH1YSTART", 0x000000A0, 0, 11, 0x0},\
	{"IMG_PDP_GRPH2POSN", "GRPH2XSTART", 0x000000A4, 16, 27, 0x0},\
	{"IMG_PDP_GRPH2POSN", "GRPH2YSTART", 0x000000A4, 0, 11, 0x0},\
	{"IMG_PDP_GRPH3POSN", "GRPH3XSTART", 0x000000A8, 16, 27, 0x0},\
	{"IMG_PDP_GRPH3POSN", "GRPH3YSTART", 0x000000A8, 0, 11, 0x0},\
	{"IMG_PDP_GRPH4POSN", "GRPH4XSTART", 0x000000AC, 16, 27, 0x0},\
	{"IMG_PDP_GRPH4POSN", "GRPH4YSTART", 0x000000AC, 0, 11, 0x0},\
	{"IMG_PDP_VID1POSN", "VID1XSTART", 0x000000B0, 16, 27, 0x0},\
	{"IMG_PDP_VID1POSN", "VID1YSTART", 0x000000B0, 0, 11, 0x0},\
	{"IMG_PDP_VID2POSN", "VID2XSTART", 0x000000B4, 16, 27, 0x0},\
	{"IMG_PDP_VID2POSN", "VID2YSTART", 0x000000B4, 0, 11, 0x0},\
	{"IMG_PDP_VID3POSN", "VID3XSTART", 0x000000B8, 16, 27, 0x0},\
	{"IMG_PDP_VID3POSN", "VID3YSTART", 0x000000B8, 0, 11, 0x0},\
	{"IMG_PDP_VID4POSN", "VID4XSTART", 0x000000BC, 16, 27, 0x0},\
	{"IMG_PDP_VID4POSN", "VID4YSTART", 0x000000BC, 0, 11, 0x0},\
	{"IMG_PDP_GRPH1GALPHA", "GRPH1GALPHA", 0x000000C0, 0, 9, 0x0},\
	{"IMG_PDP_GRPH2GALPHA", "GRPH2GALPHA", 0x000000C4, 0, 9, 0x0},\
	{"IMG_PDP_GRPH3GALPHA", "GRPH3GALPHA", 0x000000C8, 0, 9, 0x0},\
	{"IMG_PDP_GRPH4GALPHA", "GRPH4GALPHA", 0x000000CC, 0, 9, 0x0},\
	{"IMG_PDP_VID1GALPHA", "VID1GALPHA", 0x000000D0, 0, 9, 0x0},\
	{"IMG_PDP_VID2GALPHA", "VID2GALPHA", 0x000000D4, 0, 9, 0x0},\
	{"IMG_PDP_VID3GALPHA", "VID3GALPHA", 0x000000D8, 0, 9, 0x0},\
	{"IMG_PDP_VID4GALPHA", "VID4GALPHA", 0x000000DC, 0, 9, 0x0},\
	{"IMG_PDP_GRPH1CKEY_R", "GRPH1CKEY_R", 0x000000E0, 0, 9, 0x0},\
	{"IMG_PDP_GRPH1CKEY_GB", "GRPH1CKEY_G", 0x000000E4, 16, 25, 0x0},\
	{"IMG_PDP_GRPH1CKEY_GB", "GRPH1CKEY_B", 0x000000E4, 0, 9, 0x0},\
	{"IMG_PDP_GRPH2CKEY_R", "GRPH2CKEY_R", 0x000000E8, 0, 9, 0x0},\
	{"IMG_PDP_GRPH2CKEY_GB", "GRPH2CKEY_G", 0x000000EC, 16, 25, 0x0},\
	{"IMG_PDP_GRPH2CKEY_GB", "GRPH2CKEY_B", 0x000000EC, 0, 9, 0x0},\
	{"IMG_PDP_GRPH3CKEY_R", "GRPH3CKEY_R", 0x000000F0, 0, 9, 0x0},\
	{"IMG_PDP_GRPH3CKEY_GB", "GRPH3CKEY_G", 0x000000F4, 16, 25, 0x0},\
	{"IMG_PDP_GRPH3CKEY_GB", "GRPH3CKEY_B", 0x000000F4, 0, 9, 0x0},\
	{"IMG_PDP_GRPH4CKEY_R", "GRPH4CKEY_R", 0x000000F8, 0, 9, 0x0},\
	{"IMG_PDP_GRPH4CKEY_GB", "GRPH4CKEY_G", 0x000000FC, 16, 25, 0x0},\
	{"IMG_PDP_GRPH4CKEY_GB", "GRPH4CKEY_B", 0x000000FC, 0, 9, 0x0},\
	{"IMG_PDP_VID1CKEY_R", "VID1CKEY_R", 0x00000100, 0, 9, 0x0},\
	{"IMG_PDP_VID1CKEY_GB", "VID1CKEY_G", 0x00000104, 16, 25, 0x0},\
	{"IMG_PDP_VID1CKEY_GB", "VID1CKEY_B", 0x00000104, 0, 9, 0x0},\
	{"IMG_PDP_VID2CKEY_R", "VID2CKEY_R", 0x00000108, 0, 9, 0x0},\
	{"IMG_PDP_VID2CKEY_GB", "VID2CKEY_G", 0x0000010C, 16, 25, 0x0},\
	{"IMG_PDP_VID2CKEY_GB", "VID2CKEY_B", 0x0000010C, 0, 9, 0x0},\
	{"IMG_PDP_VID3CKEY_R", "VID3CKEY_R", 0x00000110, 0, 9, 0x0},\
	{"IMG_PDP_VID3CKEY_GB", "VID3CKEY_G", 0x00000114, 16, 25, 0x0},\
	{"IMG_PDP_VID3CKEY_GB", "VID3CKEY_B", 0x00000114, 0, 9, 0x0},\
	{"IMG_PDP_VID4CKEY_R", "VID4CKEY_R", 0x00000118, 0, 9, 0x0},\
	{"IMG_PDP_VID4CKEY_GB", "VID4CKEY_G", 0x0000011C, 16, 25, 0x0},\
	{"IMG_PDP_VID4CKEY_GB", "VID4CKEY_B", 0x0000011C, 0, 9, 0x0},\
	{"IMG_PDP_GRPH1BLND2_R", "GRPH1PIXDBL", 0x00000120, 31, 31, 0x0},\
	{"IMG_PDP_GRPH1BLND2_R", "GRPH1LINDBL", 0x00000120, 29, 29, 0x0},\
	{"IMG_PDP_GRPH1BLND2_R", "GRPH1CKEYMASK_R", 0x00000120, 0, 9, 0x3FF},\
	{"IMG_PDP_GRPH1BLND2_GB", "GRPH1CKEYMASK_G", 0x00000124, 16, 25, 0x3FF},\
	{"IMG_PDP_GRPH1BLND2_GB", "GRPH1CKEYMASK_B", 0x00000124, 0, 9, 0x3FF},\
	{"IMG_PDP_GRPH2BLND2_R", "GRPH2PIXDBL", 0x00000128, 31, 31, 0x0},\
	{"IMG_PDP_GRPH2BLND2_R", "GRPH2LINDBL", 0x00000128, 29, 29, 0x0},\
	{"IMG_PDP_GRPH2BLND2_R", "GRPH2CKEYMASK_R", 0x00000128, 0, 9, 0x3FF},\
	{"IMG_PDP_GRPH2BLND2_GB", "GRPH2CKEYMASK_G", 0x0000012C, 16, 25, 0x3FF},\
	{"IMG_PDP_GRPH2BLND2_GB", "GRPH2CKEYMASK_B", 0x0000012C, 0, 9, 0x3FF},\
	{"IMG_PDP_GRPH3BLND2_R", "GRPH3PIXDBL", 0x00000130, 31, 31, 0x0},\
	{"IMG_PDP_GRPH3BLND2_R", "GRPH3LINDBL", 0x00000130, 29, 29, 0x0},\
	{"IMG_PDP_GRPH3BLND2_R", "GRPH3CKEYMASK_R", 0x00000130, 0, 9, 0x3FF},\
	{"IMG_PDP_GRPH3BLND2_GB", "GRPH3CKEYMASK_G", 0x00000134, 16, 25, 0x3FF},\
	{"IMG_PDP_GRPH3BLND2_GB", "GRPH3CKEYMASK_B", 0x00000134, 0, 9, 0x3FF},\
	{"IMG_PDP_GRPH4BLND2_R", "GRPH4PIXDBL", 0x00000138, 31, 31, 0x0},\
	{"IMG_PDP_GRPH4BLND2_R", "GRPH4LINDBL", 0x00000138, 29, 29, 0x0},\
	{"IMG_PDP_GRPH4BLND2_R", "GRPH4CKEYMASK_R", 0x00000138, 0, 9, 0x3FF},\
	{"IMG_PDP_GRPH4BLND2_GB", "GRPH4CKEYMASK_G", 0x0000013C, 16, 25, 0x3FF},\
	{"IMG_PDP_GRPH4BLND2_GB", "GRPH4CKEYMASK_B", 0x0000013C, 0, 9, 0x3FF},\
	{"IMG_PDP_VID1BLND2_R", "VID1CKEYMASK_R", 0x00000140, 0, 9, 0x3FF},\
	{"IMG_PDP_VID1BLND2_GB", "VID1CKEYMASK_G", 0x00000144, 16, 25, 0x3FF},\
	{"IMG_PDP_VID1BLND2_GB", "VID1CKEYMASK_B", 0x00000144, 0, 9, 0x3FF},\
	{"IMG_PDP_VID2BLND2_R", "VID2CKEYMASK_R", 0x00000148, 0, 9, 0x3FF},\
	{"IMG_PDP_VID2BLND2_GB", "VID2CKEYMASK_G", 0x0000014C, 16, 25, 0x3FF},\
	{"IMG_PDP_VID2BLND2_GB", "VID2CKEYMASK_B", 0x0000014C, 0, 9, 0x3FF},\
	{"IMG_PDP_VID3BLND2_R", "VID3CKEYMASK_R", 0x00000150, 0, 9, 0x3FF},\
	{"IMG_PDP_VID3BLND2_GB", "VID3CKEYMASK_G", 0x00000154, 16, 25, 0x3FF},\
	{"IMG_PDP_VID3BLND2_GB", "VID3CKEYMASK_B", 0x00000154, 0, 9, 0x3FF},\
	{"IMG_PDP_VID4BLND2_R", "VID4CKEYMASK_R", 0x00000158, 0, 9, 0x3FF},\
	{"IMG_PDP_VID4BLND2_GB", "VID4CKEYMASK_G", 0x0000015C, 16, 25, 0x3FF},\
	{"IMG_PDP_VID4BLND2_GB", "VID4CKEYMASK_B", 0x0000015C, 0, 9, 0x3FF},\
	{"IMG_PDP_GRPH1INTERLEAVE_CTRL", "GRPH1INTFIELD", 0x00000160, 0, 0, 0x0},\
	{"IMG_PDP_GRPH2INTERLEAVE_CTRL", "GRPH2INTFIELD", 0x00000164, 0, 0, 0x0},\
	{"IMG_PDP_GRPH3INTERLEAVE_CTRL", "GRPH3INTFIELD", 0x00000168, 0, 0, 0x0},\
	{"IMG_PDP_GRPH4INTERLEAVE_CTRL", "GRPH4INTFIELD", 0x0000016C, 0, 0, 0x0},\
	{"IMG_PDP_VID1INTERLEAVE_CTRL", "VID1INTFIELD", 0x00000170, 0, 0, 0x0},\
	{"IMG_PDP_VID2INTERLEAVE_CTRL", "VID2INTFIELD", 0x00000174, 0, 0, 0x0},\
	{"IMG_PDP_VID3INTERLEAVE_CTRL", "VID3INTFIELD", 0x00000178, 0, 0, 0x0},\
	{"IMG_PDP_VID4INTERLEAVE_CTRL", "VID4INTFIELD", 0x0000017C, 0, 0, 0x0},\
	{"IMG_PDP_GRPH1BASEADDR", "GRPH1BASEADDR", 0x00000180, 5, 31, 0x0},\
	{"IMG_PDP_GRPH2BASEADDR", "GRPH2BASEADDR", 0x00000184, 5, 31, 0x0},\
	{"IMG_PDP_GRPH3BASEADDR", "GRPH3BASEADDR", 0x00000188, 5, 31, 0x0},\
	{"IMG_PDP_GRPH4BASEADDR", "GRPH4BASEADDR", 0x0000018C, 5, 31, 0x0},\
	{"IMG_PDP_VID1BASEADDR", "VID1BASEADDR", 0x00000190, 5, 31, 0x0},\
	{"IMG_PDP_VID2BASEADDR", "VID2BASEADDR", 0x00000194, 5, 31, 0x0},\
	{"IMG_PDP_VID3BASEADDR", "VID3BASEADDR", 0x00000198, 5, 31, 0x0},\
	{"IMG_PDP_VID4BASEADDR", "VID4BASEADDR", 0x0000019C, 5, 31, 0x0},\
	{"IMG_PDP_VID1UBASEADDR", "VID1UBASEADDR", 0x000001B0, 5, 31, 0x0},\
	{"IMG_PDP_VID2UBASEADDR", "VID2UBASEADDR", 0x000001B4, 5, 31, 0x0},\
	{"IMG_PDP_VID3UBASEADDR", "VID3UBASEADDR", 0x000001B8, 5, 31, 0x0},\
	{"IMG_PDP_VID4UBASEADDR", "VID4UBASEADDR", 0x000001BC, 5, 31, 0x0},\
	{"IMG_PDP_VID1VBASEADDR", "VID1VBASEADDR", 0x000001D0, 5, 31, 0x0},\
	{"IMG_PDP_VID2VBASEADDR", "VID2VBASEADDR", 0x000001D4, 5, 31, 0x0},\
	{"IMG_PDP_VID3VBASEADDR", "VID3VBASEADDR", 0x000001D8, 5, 31, 0x0},\
	{"IMG_PDP_VID4VBASEADDR", "VID4VBASEADDR", 0x000001DC, 5, 31, 0x0},\
	{"IMG_PDP_VID1POSTSKIPCTRL", "VID1HPOSTCLIP", 0x00000230, 16, 22, 0x0},\
	{"IMG_PDP_VID1POSTSKIPCTRL", "VID1VPOSTCLIP", 0x00000230, 0, 5, 0x0},\
	{"IMG_PDP_VID2POSTSKIPCTRL", "VID2HPOSTCLIP", 0x00000234, 16, 22, 0x0},\
	{"IMG_PDP_VID2POSTSKIPCTRL", "VID2VPOSTCLIP", 0x00000234, 0, 5, 0x0},\
	{"IMG_PDP_VID3POSTSKIPCTRL", "VID3HPOSTCLIP", 0x00000238, 16, 22, 0x0},\
	{"IMG_PDP_VID3POSTSKIPCTRL", "VID3VPOSTCLIP", 0x00000238, 0, 5, 0x0},\
	{"IMG_PDP_VID4POSTSKIPCTRL", "VID4HPOSTCLIP", 0x0000023C, 16, 22, 0x0},\
	{"IMG_PDP_VID4POSTSKIPCTRL", "VID4VPOSTCLIP", 0x0000023C, 0, 5, 0x0},\
	{"IMG_PDP_GRPH1DECIMATE_CTRL", "GRPH1DECIMATE_LINE_DISCARD_COUNT", 0x00000240, 4, 7, 0x0},\
	{"IMG_PDP_GRPH1DECIMATE_CTRL", "GRPH1DECIMATE_LINE_DISCARD_MODE", 0x00000240, 3, 3, 0x0},\
	{"IMG_PDP_GRPH1DECIMATE_CTRL", "GRPH1DECIMATE_PIXEL_HALVE", 0x00000240, 2, 2, 0x0},\
	{"IMG_PDP_GRPH1DECIMATE_CTRL", "GRPH1DECIMATE_EN", 0x00000240, 0, 0, 0x0},\
	{"IMG_PDP_GRPH2DECIMATE_CTRL", "GRPH2DECIMATE_LINE_DISCARD_COUNT", 0x00000244, 4, 7, 0x0},\
	{"IMG_PDP_GRPH2DECIMATE_CTRL", "GRPH2DECIMATE_LINE_DISCARD_MODE", 0x00000244, 3, 3, 0x0},\
	{"IMG_PDP_GRPH2DECIMATE_CTRL", "GRPH2DECIMATE_PIXEL_HALVE", 0x00000244, 2, 2, 0x0},\
	{"IMG_PDP_GRPH2DECIMATE_CTRL", "GRPH2DECIMATE_EN", 0x00000244, 0, 0, 0x0},\
	{"IMG_PDP_GRPH3DECIMATE_CTRL", "GRPH3DECIMATE_LINE_DISCARD_COUNT", 0x00000248, 4, 7, 0x0},\
	{"IMG_PDP_GRPH3DECIMATE_CTRL", "GRPH3DECIMATE_LINE_DISCARD_MODE", 0x00000248, 3, 3, 0x0},\
	{"IMG_PDP_GRPH3DECIMATE_CTRL", "GRPH3DECIMATE_PIXEL_HALVE", 0x00000248, 2, 2, 0x0},\
	{"IMG_PDP_GRPH3DECIMATE_CTRL", "GRPH3DECIMATE_EN", 0x00000248, 0, 0, 0x0},\
	{"IMG_PDP_GRPH4DECIMATE_CTRL", "GRPH4DECIMATE_LINE_DISCARD_COUNT", 0x0000024C, 4, 7, 0x0},\
	{"IMG_PDP_GRPH4DECIMATE_CTRL", "GRPH4DECIMATE_LINE_DISCARD_MODE", 0x0000024C, 3, 3, 0x0},\
	{"IMG_PDP_GRPH4DECIMATE_CTRL", "GRPH4DECIMATE_PIXEL_HALVE", 0x0000024C, 2, 2, 0x0},\
	{"IMG_PDP_GRPH4DECIMATE_CTRL", "GRPH4DECIMATE_EN", 0x0000024C, 0, 0, 0x0},\
	{"IMG_PDP_VID1DECIMATE_CTRL", "VID1DECIMATE_LINE_DISCARD_COUNT", 0x00000250, 4, 7, 0x0},\
	{"IMG_PDP_VID1DECIMATE_CTRL", "VID1DECIMATE_LINE_DISCARD_MODE", 0x00000250, 3, 3, 0x0},\
	{"IMG_PDP_VID1DECIMATE_CTRL", "VID1DECIMATE_PIXEL_HALVE", 0x00000250, 2, 2, 0x0},\
	{"IMG_PDP_VID1DECIMATE_CTRL", "VID1DECIMATE_EN", 0x00000250, 0, 0, 0x0},\
	{"IMG_PDP_VID2DECIMATE_CTRL", "VID2DECIMATE_LINE_DISCARD_COUNT", 0x00000254, 4, 7, 0x0},\
	{"IMG_PDP_VID2DECIMATE_CTRL", "VID2DECIMATE_LINE_DISCARD_MODE", 0x00000254, 3, 3, 0x0},\
	{"IMG_PDP_VID2DECIMATE_CTRL", "VID2DECIMATE_PIXEL_HALVE", 0x00000254, 2, 2, 0x0},\
	{"IMG_PDP_VID2DECIMATE_CTRL", "VID2DECIMATE_EN", 0x00000254, 0, 0, 0x0},\
	{"IMG_PDP_VID3DECIMATE_CTRL", "VID3DECIMATE_LINE_DISCARD_COUNT", 0x00000258, 4, 7, 0x0},\
	{"IMG_PDP_VID3DECIMATE_CTRL", "VID3DECIMATE_LINE_DISCARD_MODE", 0x00000258, 3, 3, 0x0},\
	{"IMG_PDP_VID3DECIMATE_CTRL", "VID3DECIMATE_PIXEL_HALVE", 0x00000258, 2, 2, 0x0},\
	{"IMG_PDP_VID3DECIMATE_CTRL", "VID3DECIMATE_EN", 0x00000258, 0, 0, 0x0},\
	{"IMG_PDP_VID4DECIMATE_CTRL", "VID4DECIMATE_LINE_DISCARD_COUNT", 0x0000025C, 4, 7, 0x0},\
	{"IMG_PDP_VID4DECIMATE_CTRL", "VID4DECIMATE_LINE_DISCARD_MODE", 0x0000025C, 3, 3, 0x0},\
	{"IMG_PDP_VID4DECIMATE_CTRL", "VID4DECIMATE_PIXEL_HALVE", 0x0000025C, 2, 2, 0x0},\
	{"IMG_PDP_VID4DECIMATE_CTRL", "VID4DECIMATE_EN", 0x0000025C, 0, 0, 0x0},\
	{"IMG_PDP_VID1SKIPCTRL", "VID1HSKIP", 0x00000270, 16, 27, 0x0},\
	{"IMG_PDP_VID1SKIPCTRL", "VID1VSKIP", 0x00000270, 0, 11, 0x0},\
	{"IMG_PDP_VID2SKIPCTRL", "VID2HSKIP", 0x00000274, 16, 27, 0x0},\
	{"IMG_PDP_VID2SKIPCTRL", "VID2VSKIP", 0x00000274, 0, 11, 0x0},\
	{"IMG_PDP_VID3SKIPCTRL", "VID3HSKIP", 0x00000278, 16, 27, 0x0},\
	{"IMG_PDP_VID3SKIPCTRL", "VID3VSKIP", 0x00000278, 0, 11, 0x0},\
	{"IMG_PDP_VID4SKIPCTRL", "VID4HSKIP", 0x0000027C, 16, 27, 0x0},\
	{"IMG_PDP_VID4SKIPCTRL", "VID4VSKIP", 0x0000027C, 0, 11, 0x0},\
	{"IMG_PDP_VID1SCALECTRL", "VID1HSCALEBP", 0x00000460, 31, 31, 0x1},\
	{"IMG_PDP_VID1SCALECTRL", "VID1VSCALEBP", 0x00000460, 30, 30, 0x1},\
	{"IMG_PDP_VID1SCALECTRL", "VID1HSBEFOREVS", 0x00000460, 29, 29, 0x0},\
	{"IMG_PDP_VID1SCALECTRL", "VID1VSURUNCTRL", 0x00000460, 27, 27, 0x0},\
	{"IMG_PDP_VID1SCALECTRL", "VID1HORDER", 0x00000460, 19, 21, 0x3},\
	{"IMG_PDP_VID1SCALECTRL", "VID1PAN_EN", 0x00000460, 18, 18, 0x0},\
	{"IMG_PDP_VID1SCALECTRL", "VID1VORDER", 0x00000460, 16, 17, 0x3},\
	{"IMG_PDP_VID1SCALECTRL", "VID1VPITCH", 0x00000460, 0, 15, 0x0},\
	{"IMG_PDP_VID1VSINIT", "VID1VINITIAL1", 0x00000464, 16, 31, 0x0},\
	{"IMG_PDP_VID1VSINIT", "VID1VINITIAL0", 0x00000464, 0, 15, 0x0},\
	{"IMG_PDP_VID1VCOEFF0", "VID1VCOEFF0", 0x00000468, 0, 31, 0x0},\
	{"IMG_PDP_VID1VCOEFF1", "VID1VCOEFF1", 0x0000046C, 0, 31, 0x0},\
	{"IMG_PDP_VID1VCOEFF2", "VID1VCOEFF2", 0x00000470, 0, 31, 0x0},\
	{"IMG_PDP_VID1VCOEFF3", "VID1VCOEFF3", 0x00000474, 0, 31, 0x0},\
	{"IMG_PDP_VID1VCOEFF4", "VID1VCOEFF4", 0x00000478, 0, 31, 0x0},\
	{"IMG_PDP_VID1VCOEFF5", "VID1VCOEFF5", 0x0000047C, 0, 31, 0x0},\
	{"IMG_PDP_VID1VCOEFF6", "VID1VCOEFF6", 0x00000480, 0, 31, 0x0},\
	{"IMG_PDP_VID1VCOEFF7", "VID1VCOEFF7", 0x00000484, 0, 31, 0x0},\
	{"IMG_PDP_VID1VCOEFF8", "VID1VCOEFF8", 0x00000488, 0, 7, 0x0},\
	{"IMG_PDP_VID1HSINIT", "VID1HINITIAL", 0x0000048C, 16, 31, 0x2000},\
	{"IMG_PDP_VID1HSINIT", "VID1HPITCH", 0x0000048C, 0, 15, 0x0},\
	{"IMG_PDP_VID1HCOEFF0", "VID1HCOEFF0", 0x00000490, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF1", "VID1HCOEFF1", 0x00000494, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF2", "VID1HCOEFF2", 0x00000498, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF3", "VID1HCOEFF3", 0x0000049C, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF4", "VID1HCOEFF4", 0x000004A0, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF5", "VID1HCOEFF5", 0x000004A4, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF6", "VID1HCOEFF6", 0x000004A8, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF7", "VID1HCOEFF7", 0x000004AC, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF8", "VID1HCOEFF8", 0x000004B0, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF9", "VID1HCOEFF9", 0x000004B4, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF10", "VID1HCOEFF10", 0x000004B8, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF11", "VID1HCOEFF11", 0x000004BC, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF12", "VID1HCOEFF12", 0x000004C0, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF13", "VID1HCOEFF13", 0x000004C4, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF14", "VID1HCOEFF14", 0x000004C8, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF15", "VID1HCOEFF15", 0x000004CC, 0, 31, 0x0},\
	{"IMG_PDP_VID1HCOEFF16", "VID1HCOEFF16", 0x000004D0, 0, 7, 0x0},\
	{"IMG_PDP_VID1SCALESIZE", "VID1SCALEWIDTH", 0x000004D4, 16, 27, 0x0},\
	{"IMG_PDP_VID1SCALESIZE", "VID1SCALEHEIGHT", 0x000004D4, 0, 11, 0x0},\
	{"PVR_PDP_CORE_ID", "GROUP_ID", 0x000004E0, 24, 31, 0x7},\
	{"PVR_PDP_CORE_ID", "CORE_ID", 0x000004E0, 16, 23, 0x1},\
	{"PVR_PDP_CORE_ID", "CONFIG_ID", 0x000004E0, 0, 15, 0x3},\
	{"PVR_PDP_CORE_REV", "MAJOR_REV", 0x000004F0, 16, 23, 0x2},\
	{"PVR_PDP_CORE_REV", "MINOR_REV", 0x000004F0, 8, 15, 0x0},\
	{"PVR_PDP_CORE_REV", "MAINT_REV", 0x000004F0, 0, 7, 0x1},\
	{"IMG_PDP_VID2SCALECTRL", "VID2HSCALEBP", 0x00000500, 31, 31, 0x1},\
	{"IMG_PDP_VID2SCALECTRL", "VID2VSCALEBP", 0x00000500, 30, 30, 0x1},\
	{"IMG_PDP_VID2SCALECTRL", "VID2HSBEFOREVS", 0x00000500, 29, 29, 0x0},\
	{"IMG_PDP_VID2SCALECTRL", "VID2VSURUNCTRL", 0x00000500, 27, 27, 0x0},\
	{"IMG_PDP_VID2SCALECTRL", "VID2HORDER", 0x00000500, 19, 21, 0x3},\
	{"IMG_PDP_VID2SCALECTRL", "VID2PAN_EN", 0x00000500, 18, 18, 0x0},\
	{"IMG_PDP_VID2SCALECTRL", "VID2VORDER", 0x00000500, 16, 17, 0x3},\
	{"IMG_PDP_VID2SCALECTRL", "VID2VPITCH", 0x00000500, 0, 15, 0x0},\
	{"IMG_PDP_VID2VSINIT", "VID2VINITIAL1", 0x00000504, 16, 31, 0x0},\
	{"IMG_PDP_VID2VSINIT", "VID2VINITIAL0", 0x00000504, 0, 15, 0x0},\
	{"IMG_PDP_VID2VCOEFF0", "VID2VCOEFF0", 0x00000508, 0, 31, 0x0},\
	{"IMG_PDP_VID2VCOEFF1", "VID2VCOEFF1", 0x0000050C, 0, 31, 0x0},\
	{"IMG_PDP_VID2VCOEFF2", "VID2VCOEFF2", 0x00000510, 0, 31, 0x0},\
	{"IMG_PDP_VID2VCOEFF3", "VID2VCOEFF3", 0x00000514, 0, 31, 0x0},\
	{"IMG_PDP_VID2VCOEFF4", "VID2VCOEFF4", 0x00000518, 0, 31, 0x0},\
	{"IMG_PDP_VID2VCOEFF5", "VID2VCOEFF5", 0x0000051C, 0, 31, 0x0},\
	{"IMG_PDP_VID2VCOEFF6", "VID2VCOEFF6", 0x00000520, 0, 31, 0x0},\
	{"IMG_PDP_VID2VCOEFF7", "VID2VCOEFF7", 0x00000524, 0, 31, 0x0},\
	{"IMG_PDP_VID2VCOEFF8", "VID2VCOEFF8", 0x00000528, 0, 7, 0x0},\
	{"IMG_PDP_VID2HSINIT", "VID2HINITIAL", 0x0000052C, 16, 31, 0x2000},\
	{"IMG_PDP_VID2HSINIT", "VID2HPITCH", 0x0000052C, 0, 15, 0x0},\
	{"IMG_PDP_VID2HCOEFF0", "VID2HCOEFF0", 0x00000530, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF1", "VID2HCOEFF1", 0x00000534, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF2", "VID2HCOEFF2", 0x00000538, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF3", "VID2HCOEFF3", 0x0000053C, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF4", "VID2HCOEFF4", 0x00000540, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF5", "VID2HCOEFF5", 0x00000544, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF6", "VID2HCOEFF6", 0x00000548, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF7", "VID2HCOEFF7", 0x0000054C, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF8", "VID2HCOEFF8", 0x00000550, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF9", "VID2HCOEFF9", 0x00000554, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF10", "VID2HCOEFF10", 0x00000558, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF11", "VID2HCOEFF11", 0x0000055C, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF12", "VID2HCOEFF12", 0x00000560, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF13", "VID2HCOEFF13", 0x00000564, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF14", "VID2HCOEFF14", 0x00000568, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF15", "VID2HCOEFF15", 0x0000056C, 0, 31, 0x0},\
	{"IMG_PDP_VID2HCOEFF16", "VID2HCOEFF16", 0x00000570, 0, 7, 0x0},\
	{"IMG_PDP_VID2SCALESIZE", "VID2SCALEWIDTH", 0x00000574, 16, 27, 0x0},\
	{"IMG_PDP_VID2SCALESIZE", "VID2SCALEHEIGHT", 0x00000574, 0, 11, 0x0},\
	{"IMG_PDP_VID3SCALECTRL", "VID3HSCALEBP", 0x00000578, 31, 31, 0x1},\
	{"IMG_PDP_VID3SCALECTRL", "VID3VSCALEBP", 0x00000578, 30, 30, 0x1},\
	{"IMG_PDP_VID3SCALECTRL", "VID3HSBEFOREVS", 0x00000578, 29, 29, 0x0},\
	{"IMG_PDP_VID3SCALECTRL", "VID3VSURUNCTRL", 0x00000578, 27, 27, 0x0},\
	{"IMG_PDP_VID3SCALECTRL", "VID3HORDER", 0x00000578, 19, 21, 0x3},\
	{"IMG_PDP_VID3SCALECTRL", "VID3PAN_EN", 0x00000578, 18, 18, 0x0},\
	{"IMG_PDP_VID3SCALECTRL", "VID3VORDER", 0x00000578, 16, 17, 0x3},\
	{"IMG_PDP_VID3SCALECTRL", "VID3VPITCH", 0x00000578, 0, 15, 0x0},\
	{"IMG_PDP_VID3VSINIT", "VID3VINITIAL1", 0x0000057C, 16, 31, 0x0},\
	{"IMG_PDP_VID3VSINIT", "VID3VINITIAL0", 0x0000057C, 0, 15, 0x0},\
	{"IMG_PDP_VID3VCOEFF0", "VID3VCOEFF0", 0x00000580, 0, 31, 0x0},\
	{"IMG_PDP_VID3VCOEFF1", "VID3VCOEFF1", 0x00000584, 0, 31, 0x0},\
	{"IMG_PDP_VID3VCOEFF2", "VID3VCOEFF2", 0x00000588, 0, 31, 0x0},\
	{"IMG_PDP_VID3VCOEFF3", "VID3VCOEFF3", 0x0000058C, 0, 31, 0x0},\
	{"IMG_PDP_VID3VCOEFF4", "VID3VCOEFF4", 0x00000590, 0, 31, 0x0},\
	{"IMG_PDP_VID3VCOEFF5", "VID3VCOEFF5", 0x00000594, 0, 31, 0x0},\
	{"IMG_PDP_VID3VCOEFF6", "VID3VCOEFF6", 0x00000598, 0, 31, 0x0},\
	{"IMG_PDP_VID3VCOEFF7", "VID3VCOEFF7", 0x0000059C, 0, 31, 0x0},\
	{"IMG_PDP_VID3VCOEFF8", "VID3VCOEFF8", 0x000005A0, 0, 7, 0x0},\
	{"IMG_PDP_VID3HSINIT", "VID3HINITIAL", 0x000005A4, 16, 31, 0x2000},\
	{"IMG_PDP_VID3HSINIT", "VID3HPITCH", 0x000005A4, 0, 15, 0x0},\
	{"IMG_PDP_VID3HCOEFF0", "VID3HCOEFF0", 0x000005A8, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF1", "VID3HCOEFF1", 0x000005AC, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF2", "VID3HCOEFF2", 0x000005B0, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF3", "VID3HCOEFF3", 0x000005B4, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF4", "VID3HCOEFF4", 0x000005B8, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF5", "VID3HCOEFF5", 0x000005BC, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF6", "VID3HCOEFF6", 0x000005C0, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF7", "VID3HCOEFF7", 0x000005C4, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF8", "VID3HCOEFF8", 0x000005C8, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF9", "VID3HCOEFF9", 0x000005CC, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF10", "VID3HCOEFF10", 0x000005D0, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF11", "VID3HCOEFF11", 0x000005D4, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF12", "VID3HCOEFF12", 0x000005D8, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF13", "VID3HCOEFF13", 0x000005DC, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF14", "VID3HCOEFF14", 0x000005E0, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF15", "VID3HCOEFF15", 0x000005E4, 0, 31, 0x0},\
	{"IMG_PDP_VID3HCOEFF16", "VID3HCOEFF16", 0x000005E8, 0, 7, 0x0},\
	{"IMG_PDP_VID3SCALESIZE", "VID3SCALEWIDTH", 0x000005EC, 16, 27, 0x0},\
	{"IMG_PDP_VID3SCALESIZE", "VID3SCALEHEIGHT", 0x000005EC, 0, 11, 0x0},\
	{"IMG_PDP_VID4SCALECTRL", "VID4HSCALEBP", 0x000005F0, 31, 31, 0x1},\
	{"IMG_PDP_VID4SCALECTRL", "VID4VSCALEBP", 0x000005F0, 30, 30, 0x1},\
	{"IMG_PDP_VID4SCALECTRL", "VID4HSBEFOREVS", 0x000005F0, 29, 29, 0x0},\
	{"IMG_PDP_VID4SCALECTRL", "VID4VSURUNCTRL", 0x000005F0, 27, 27, 0x0},\
	{"IMG_PDP_VID4SCALECTRL", "VID4HORDER", 0x000005F0, 19, 21, 0x3},\
	{"IMG_PDP_VID4SCALECTRL", "VID4PAN_EN", 0x000005F0, 18, 18, 0x0},\
	{"IMG_PDP_VID4SCALECTRL", "VID4VORDER", 0x000005F0, 16, 17, 0x3},\
	{"IMG_PDP_VID4SCALECTRL", "VID4VPITCH", 0x000005F0, 0, 15, 0x0},\
	{"IMG_PDP_VID4VSINIT", "VID4VINITIAL1", 0x000005F4, 16, 31, 0x0},\
	{"IMG_PDP_VID4VSINIT", "VID4VINITIAL0", 0x000005F4, 0, 15, 0x0},\
	{"IMG_PDP_VID4VCOEFF0", "VID4VCOEFF0", 0x000005F8, 0, 31, 0x0},\
	{"IMG_PDP_VID4VCOEFF1", "VID4VCOEFF1", 0x000005FC, 0, 31, 0x0},\
	{"IMG_PDP_VID4VCOEFF2", "VID4VCOEFF2", 0x00000600, 0, 31, 0x0},\
	{"IMG_PDP_VID4VCOEFF3", "VID4VCOEFF3", 0x00000604, 0, 31, 0x0},\
	{"IMG_PDP_VID4VCOEFF4", "VID4VCOEFF4", 0x00000608, 0, 31, 0x0},\
	{"IMG_PDP_VID4VCOEFF5", "VID4VCOEFF5", 0x0000060C, 0, 31, 0x0},\
	{"IMG_PDP_VID4VCOEFF6", "VID4VCOEFF6", 0x00000610, 0, 31, 0x0},\
	{"IMG_PDP_VID4VCOEFF7", "VID4VCOEFF7", 0x00000614, 0, 31, 0x0},\
	{"IMG_PDP_VID4VCOEFF8", "VID4VCOEFF8", 0x00000618, 0, 7, 0x0},\
	{"IMG_PDP_VID4HSINIT", "VID4HINITIAL", 0x0000061C, 16, 31, 0x2000},\
	{"IMG_PDP_VID4HSINIT", "VID4HPITCH", 0x0000061C, 0, 15, 0x0},\
	{"IMG_PDP_VID4HCOEFF0", "VID4HCOEFF0", 0x00000620, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF1", "VID4HCOEFF1", 0x00000624, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF2", "VID4HCOEFF2", 0x00000628, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF3", "VID4HCOEFF3", 0x0000062C, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF4", "VID4HCOEFF4", 0x00000630, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF5", "VID4HCOEFF5", 0x00000634, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF6", "VID4HCOEFF6", 0x00000638, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF7", "VID4HCOEFF7", 0x0000063C, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF8", "VID4HCOEFF8", 0x00000640, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF9", "VID4HCOEFF9", 0x00000644, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF10", "VID4HCOEFF10", 0x00000648, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF11", "VID4HCOEFF11", 0x0000064C, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF12", "VID4HCOEFF12", 0x00000650, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF13", "VID4HCOEFF13", 0x00000654, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF14", "VID4HCOEFF14", 0x00000658, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF15", "VID4HCOEFF15", 0x0000065C, 0, 31, 0x0},\
	{"IMG_PDP_VID4HCOEFF16", "VID4HCOEFF16", 0x00000660, 0, 7, 0x0},\
	{"IMG_PDP_VID4SCALESIZE", "VID4SCALEWIDTH", 0x00000664, 16, 27, 0x0},\
	{"IMG_PDP_VID4SCALESIZE", "VID4SCALEHEIGHT", 0x00000664, 0, 11, 0x0},\
	{"IMG_PDP_PORTER_BLND0", "BLND0BLENDTYPE", 0x00000668, 4, 4, 0x1},\
	{"IMG_PDP_PORTER_BLND0", "BLND0PORTERMODE", 0x00000668, 0, 3, 0x0},\
	{"IMG_PDP_PORTER_BLND1", "BLND1BLENDTYPE", 0x0000066C, 4, 4, 0x1},\
	{"IMG_PDP_PORTER_BLND1", "BLND1PORTERMODE", 0x0000066C, 0, 3, 0x0},\
	{"IMG_PDP_PORTER_BLND2", "BLND2BLENDTYPE", 0x00000670, 4, 4, 0x1},\
	{"IMG_PDP_PORTER_BLND2", "BLND2PORTERMODE", 0x00000670, 0, 3, 0x0},\
	{"IMG_PDP_PORTER_BLND3", "BLND3BLENDTYPE", 0x00000674, 4, 4, 0x1},\
	{"IMG_PDP_PORTER_BLND3", "BLND3PORTERMODE", 0x00000674, 0, 3, 0x0},\
	{"IMG_PDP_PORTER_BLND4", "BLND4BLENDTYPE", 0x00000678, 4, 4, 0x1},\
	{"IMG_PDP_PORTER_BLND4", "BLND4PORTERMODE", 0x00000678, 0, 3, 0x0},\
	{"IMG_PDP_PORTER_BLND5", "BLND5BLENDTYPE", 0x0000067C, 4, 4, 0x1},\
	{"IMG_PDP_PORTER_BLND5", "BLND5PORTERMODE", 0x0000067C, 0, 3, 0x0},\
	{"IMG_PDP_PORTER_BLND6", "BLND6BLENDTYPE", 0x00000680, 4, 4, 0x1},\
	{"IMG_PDP_PORTER_BLND6", "BLND6PORTERMODE", 0x00000680, 0, 3, 0x0},\
	{"IMG_PDP_PORTER_BLND7", "BLND7BLENDTYPE", 0x00000684, 4, 4, 0x1},\
	{"IMG_PDP_PORTER_BLND7", "BLND7PORTERMODE", 0x00000684, 0, 3, 0x0},\
	{"IMG_PDP_VID1LUMAKEY_ALPHA_TRANS_OPAQUE", "VID1LUMAKEYALPHA_TRANS", 0x000006C8, 16, 25, 0x0},\
	{"IMG_PDP_VID1LUMAKEY_ALPHA_TRANS_OPAQUE", "VID1LUMAKEYALPHA_OPAQUE", 0x000006C8, 0, 9, 0x0},\
	{"IMG_PDP_VID1LUMAKEY_LUMA_MAX_MIN", "VID1LUMAKEYYMAX", 0x000006CC, 16, 25, 0x0},\
	{"IMG_PDP_VID1LUMAKEY_LUMA_MAX_MIN", "VID1LUMAKEYYMIN", 0x000006CC, 0, 9, 0x0},\
	{"IMG_PDP_VID1LUMAKEY_C_RG", "VID1LUMAKEYC_R", 0x000006D0, 16, 27, 0x0},\
	{"IMG_PDP_VID1LUMAKEY_C_RG", "VID1LUMAKEYC_G", 0x000006D0, 0, 11, 0x0},\
	{"IMG_PDP_VID1LUMAKEY_C_B", "VID1LUMAKEYALPHAMULT", 0x000006D4, 29, 29, 0x0},\
	{"IMG_PDP_VID1LUMAKEY_C_B", "VID1LUMAKEYEN", 0x000006D4, 28, 28, 0x0},\
	{"IMG_PDP_VID1LUMAKEY_C_B", "VID1LUMAKEYOUTOFF", 0x000006D4, 16, 25, 0x0},\
	{"IMG_PDP_VID1LUMAKEY_C_B", "VID1LUMAKEYC_B", 0x000006D4, 0, 11, 0x0},\
	{"IMG_PDP_VID2LUMAKEY_ALPHA_TRANS_OPAQUE", "VID2LUMAKEYALPHA_TRANS", 0x000006D8, 16, 25, 0x0},\
	{"IMG_PDP_VID2LUMAKEY_ALPHA_TRANS_OPAQUE", "VID2LUMAKEYALPHA_OPAQUE", 0x000006D8, 0, 9, 0x0},\
	{"IMG_PDP_VID2LUMAKEY_LUMA_MAX_MIN", "VID2LUMAKEYYMAX", 0x000006DC, 16, 25, 0x0},\
	{"IMG_PDP_VID2LUMAKEY_LUMA_MAX_MIN", "VID2LUMAKEYYMIN", 0x000006DC, 0, 9, 0x0},\
	{"IMG_PDP_VID2LUMAKEY_C_RG", "VID2LUMAKEYC_R", 0x000006E0, 16, 27, 0x0},\
	{"IMG_PDP_VID2LUMAKEY_C_RG", "VID2LUMAKEYC_G", 0x000006E0, 0, 11, 0x0},\
	{"IMG_PDP_VID2LUMAKEY_C_B", "VID2LUMAKEYALPHAMULT", 0x000006E4, 29, 29, 0x0},\
	{"IMG_PDP_VID2LUMAKEY_C_B", "VID2LUMAKEYEN", 0x000006E4, 28, 28, 0x0},\
	{"IMG_PDP_VID2LUMAKEY_C_B", "VID2LUMAKEYOUTOFF", 0x000006E4, 16, 25, 0x0},\
	{"IMG_PDP_VID2LUMAKEY_C_B", "VID2LUMAKEYC_B", 0x000006E4, 0, 11, 0x0},\
	{"IMG_PDP_VID3LUMAKEY_ALPHA_TRANS_OPAQUE", "VID3LUMAKEYALPHA_TRANS", 0x000006E8, 16, 25, 0x0},\
	{"IMG_PDP_VID3LUMAKEY_ALPHA_TRANS_OPAQUE", "VID3LUMAKEYALPHA_OPAQUE", 0x000006E8, 0, 9, 0x0},\
	{"IMG_PDP_VID3LUMAKEY_LUMA_MAX_MIN", "VID3LUMAKEYYMAX", 0x000006EC, 16, 25, 0x0},\
	{"IMG_PDP_VID3LUMAKEY_LUMA_MAX_MIN", "VID3LUMAKEYYMIN", 0x000006EC, 0, 9, 0x0},\
	{"IMG_PDP_VID3LUMAKEY_C_RG", "VID3LUMAKEYC_R", 0x000006F0, 16, 27, 0x0},\
	{"IMG_PDP_VID3LUMAKEY_C_RG", "VID3LUMAKEYC_G", 0x000006F0, 0, 11, 0x0},\
	{"IMG_PDP_VID3LUMAKEY_C_B", "VID3LUMAKEYALPHAMULT", 0x000006F4, 29, 29, 0x0},\
	{"IMG_PDP_VID3LUMAKEY_C_B", "VID3LUMAKEYEN", 0x000006F4, 28, 28, 0x0},\
	{"IMG_PDP_VID3LUMAKEY_C_B", "VID3LUMAKEYOUTOFF", 0x000006F4, 16, 25, 0x0},\
	{"IMG_PDP_VID3LUMAKEY_C_B", "VID3LUMAKEYC_B", 0x000006F4, 0, 11, 0x0},\
	{"IMG_PDP_VID4LUMAKEY_ALPHA_TRANS_OPAQUE", "VID4LUMAKEYALPHA_TRANS", 0x000006F8, 16, 25, 0x0},\
	{"IMG_PDP_VID4LUMAKEY_ALPHA_TRANS_OPAQUE", "VID4LUMAKEYALPHA_OPAQUE", 0x000006F8, 0, 9, 0x0},\
	{"IMG_PDP_VID4LUMAKEY_LUMA_MAX_MIN", "VID4LUMAKEYYMAX", 0x000006FC, 16, 25, 0x0},\
	{"IMG_PDP_VID4LUMAKEY_LUMA_MAX_MIN", "VID4LUMAKEYYMIN", 0x000006FC, 0, 9, 0x0},\
	{"IMG_PDP_VID4LUMAKEY_C_RG", "VID4LUMAKEYC_R", 0x00000700, 16, 27, 0x0},\
	{"IMG_PDP_VID4LUMAKEY_C_RG", "VID4LUMAKEYC_G", 0x00000700, 0, 11, 0x0},\
	{"IMG_PDP_VID4LUMAKEY_C_B", "VID4LUMAKEYALPHAMULT", 0x00000704, 29, 29, 0x0},\
	{"IMG_PDP_VID4LUMAKEY_C_B", "VID4LUMAKEYEN", 0x00000704, 28, 28, 0x0},\
	{"IMG_PDP_VID4LUMAKEY_C_B", "VID4LUMAKEYOUTOFF", 0x00000704, 16, 25, 0x0},\
	{"IMG_PDP_VID4LUMAKEY_C_B", "VID4LUMAKEYC_B", 0x00000704, 0, 11, 0x0},\
	{"IMG_PDP_CSCCOEFF0", "CSCCOEFFRU", 0x00000708, 11, 21, 0x0},\
	{"IMG_PDP_CSCCOEFF0", "CSCCOEFFRY", 0x00000708, 0, 10, 0x12A},\
	{"IMG_PDP_CSCCOEFF1", "CSCCOEFFGY", 0x0000070C, 11, 21, 0x12A},\
	{"IMG_PDP_CSCCOEFF1", "CSCCOEFFRV", 0x0000070C, 0, 10, 0x199},\
	{"IMG_PDP_CSCCOEFF2", "CSCCOEFFGV", 0x00000710, 11, 21, 0x730},\
	{"IMG_PDP_CSCCOEFF2", "CSCCOEFFGU", 0x00000710, 0, 10, 0x79C},\
	{"IMG_PDP_CSCCOEFF3", "CSCCOEFFBU", 0x00000714, 11, 21, 0x205},\
	{"IMG_PDP_CSCCOEFF3", "CSCCOEFFBY", 0x00000714, 0, 10, 0x12A},\
	{"IMG_PDP_CSCCOEFF4", "CSCCOEFFBV", 0x00000718, 0, 10, 0x0},\
	{"IMG_PDP_BGNDCOL_AR", "BGNDCOL_A", 0x0000071C, 16, 25, 0x0},\
	{"IMG_PDP_BGNDCOL_AR", "BGNDCOL_R", 0x0000071C, 0, 9, 0x0},\
	{"IMG_PDP_BGNDCOL_GB", "BGNDCOL_G", 0x00000720, 16, 25, 0x0},\
	{"IMG_PDP_BGNDCOL_GB", "BGNDCOL_B", 0x00000720, 0, 9, 0x0},\
	{"IMG_PDP_BORDCOL_R", "BORDCOL_R", 0x00000724, 0, 9, 0x0},\
	{"IMG_PDP_BORDCOL_GB", "BORDCOL_G", 0x00000728, 16, 25, 0x0},\
	{"IMG_PDP_BORDCOL_GB", "BORDCOL_B", 0x00000728, 0, 9, 0x0},\
	{"IMG_PDP_LINESTAT", "LINENO", 0x00000734, 0, 12, 0x0},\
	{"CR_PDP_PROCAMP_C11C12", "CR_PROCAMP_C12", 0x00000738, 16, 29, 0x0},\
	{"CR_PDP_PROCAMP_C11C12", "CR_PROCAMP_C11", 0x00000738, 0, 13, 0x0},\
	{"CR_PDP_PROCAMP_C13C21", "CR_PROCAMP_C21", 0x0000073C, 16, 29, 0x0},\
	{"CR_PDP_PROCAMP_C13C21", "CR_PROCAMP_C13", 0x0000073C, 0, 13, 0x0},\
	{"CR_PDP_PROCAMP_C22C23", "CR_PROCAMP_C23", 0x00000740, 16, 29, 0x0},\
	{"CR_PDP_PROCAMP_C22C23", "CR_PROCAMP_C22", 0x00000740, 0, 13, 0x0},\
	{"CR_PDP_PROCAMP_C31C32", "CR_PROCAMP_C32", 0x00000744, 16, 29, 0x0},\
	{"CR_PDP_PROCAMP_C31C32", "CR_PROCAMP_C31", 0x00000744, 0, 13, 0x0},\
	{"CR_PDP_PROCAMP_C33", "CR_PROCAMP_C33", 0x00000748, 16, 29, 0x0},\
	{"CR_PDP_PROCAMP_C33", "CR_PROCAMP_RANGE", 0x00000748, 4, 5, 0x0},\
	{"CR_PDP_PROCAMP_C33", "CR_PROCAMP_EN", 0x00000748, 0, 0, 0x0},\
	{"CR_PDP_PROCAMP_OUTOFFSET_BG", "CR_PROCAMP_OUTOFF_G", 0x0000074C, 16, 27, 0x0},\
	{"CR_PDP_PROCAMP_OUTOFFSET_BG", "CR_PROCAMP_OUTOFF_B", 0x0000074C, 0, 11, 0x0},\
	{"CR_PDP_PROCAMP_OUTOFFSET_R", "CR_PROCAMP_OUTOFF_R", 0x00000750, 0, 11, 0x0},\
	{"CR_PDP_PROCAMP_INOFFSET_BG", "CR_PROCAMP_INOFF_G", 0x00000754, 16, 25, 0x0},\
	{"CR_PDP_PROCAMP_INOFFSET_BG", "CR_PROCAMP_INOFF_B", 0x00000754, 0, 9, 0x0},\
	{"CR_PDP_PROCAMP_INOFFSET_R", "CR_PROCAMP_INOFF_R", 0x00000758, 0, 9, 0x0},\
	{"IMG_PDP_SIGNAT_R", "SIGNATURE_R", 0x0000075C, 0, 9, 0x0},\
	{"IMG_PDP_SIGNAT_GB", "SIGNATURE_G", 0x00000760, 16, 25, 0x0},\
	{"IMG_PDP_SIGNAT_GB", "SIGNATURE_B", 0x00000760, 0, 9, 0x0},\
	{"IMG_PDP_REGISTER_UPDATE_CTRL", "BYPASS_DOUBLE_BUFFERING", 0x00000764, 2, 2, 0x0},\
	{"IMG_PDP_REGISTER_UPDATE_CTRL", "REGISTERS_VALID", 0x00000764, 1, 1, 0x0},\
	{"IMG_PDP_REGISTER_UPDATE_CTRL", "USE_VBLANK", 0x00000764, 0, 0, 0x0},\
	{"IMG_PDP_REGISTER_UPDATE_STATUS", "REGISTERS_UPDATED", 0x00000768, 1, 1, 0x0},\
	{"IMG_PDP_DBGCTRL", "DBG_READ", 0x0000076C, 1, 1, 0x0},\
	{"IMG_PDP_DBGCTRL", "DBG_ENAB", 0x0000076C, 0, 0, 0x0},\
	{"IMG_PDP_DBGDATA_R", "DBG_DATA_R", 0x00000770, 0, 9, 0x0},\
	{"IMG_PDP_DBGDATA_GB", "DBG_DATA_G", 0x00000774, 16, 25, 0x0},\
	{"IMG_PDP_DBGDATA_GB", "DBG_DATA_B", 0x00000774, 0, 9, 0x0},\
	{"IMG_PDP_DBGSIDE", "DBG_VAL", 0x00000778, 3, 3, 0x0},\
	{"IMG_PDP_DBGSIDE", "DBG_SIDE", 0x00000778, 0, 2, 0x0},\
	{"IMG_PDP_OUTPUT", "EIGHT_BIT_OUTPUT", 0x0000077C, 1, 1, 0x0},\
	{"IMG_PDP_OUTPUT", "OUTPUT_CONFIG", 0x0000077C, 0, 0, 0x0},\
	{"IMG_PDP_SYNCCTRL", "SYNCACTIVE", 0x00000780, 31, 31, 0x0},\
	{"IMG_PDP_SYNCCTRL", "PDP_RST", 0x00000780, 29, 29, 0x0},\
	{"IMG_PDP_SYNCCTRL", "POWERDN", 0x00000780, 28, 28, 0x0},\
	{"IMG_PDP_SYNCCTRL", "LOWPWRMODE", 0x00000780, 27, 27, 0x0},\
	{"IMG_PDP_SYNCCTRL", "UPDSYNCTRL", 0x00000780, 26, 26, 0x0},\
	{"IMG_PDP_SYNCCTRL", "UPDINTCTRL", 0x00000780, 25, 25, 0x0},\
	{"IMG_PDP_SYNCCTRL", "UPDCTRL", 0x00000780, 24, 24, 0x0},\
	{"IMG_PDP_SYNCCTRL", "UPDWAIT", 0x00000780, 16, 19, 0x0},\
	{"IMG_PDP_SYNCCTRL", "FIELD_EN", 0x00000780, 13, 13, 0x0},\
	{"IMG_PDP_SYNCCTRL", "CSYNC_EN", 0x00000780, 12, 12, 0x0},\
	{"IMG_PDP_SYNCCTRL", "CLKPOL", 0x00000780, 11, 11, 0x0},\
	{"IMG_PDP_SYNCCTRL", "VS_SLAVE", 0x00000780, 7, 7, 0x0},\
	{"IMG_PDP_SYNCCTRL", "HS_SLAVE", 0x00000780, 6, 6, 0x0},\
	{"IMG_PDP_SYNCCTRL", "BLNKPOL", 0x00000780, 5, 5, 0x0},\
	{"IMG_PDP_SYNCCTRL", "BLNKDIS", 0x00000780, 4, 4, 0x0},\
	{"IMG_PDP_SYNCCTRL", "VSPOL", 0x00000780, 3, 3, 0x0},\
	{"IMG_PDP_SYNCCTRL", "VSDIS", 0x00000780, 2, 2, 0x0},\
	{"IMG_PDP_SYNCCTRL", "HSPOL", 0x00000780, 1, 1, 0x0},\
	{"IMG_PDP_SYNCCTRL", "HSDIS", 0x00000780, 0, 0, 0x0},\
	{"IMG_PDP_HSYNC1", "HBPS", 0x00000784, 16, 28, 0x0},\
	{"IMG_PDP_HSYNC1", "HT", 0x00000784, 0, 12, 0x0},\
	{"IMG_PDP_HSYNC2", "HAS", 0x00000788, 16, 28, 0x0},\
	{"IMG_PDP_HSYNC2", "HLBS", 0x00000788, 0, 12, 0x0},\
	{"IMG_PDP_HSYNC3", "HFPS", 0x0000078C, 16, 28, 0x0},\
	{"IMG_PDP_HSYNC3", "HRBS", 0x0000078C, 0, 12, 0x0},\
	{"IMG_PDP_VSYNC1", "VBPS", 0x00000790, 16, 28, 0x0},\
	{"IMG_PDP_VSYNC1", "VT", 0x00000790, 0, 12, 0x0},\
	{"IMG_PDP_VSYNC2", "VAS", 0x00000794, 16, 28, 0x0},\
	{"IMG_PDP_VSYNC2", "VTBS", 0x00000794, 0, 12, 0x0},\
	{"IMG_PDP_VSYNC3", "VFPS", 0x00000798, 16, 28, 0x0},\
	{"IMG_PDP_VSYNC3", "VBBS", 0x00000798, 0, 12, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_VID4ORUN", 0x0000079C, 19, 19, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_VID3ORUN", 0x0000079C, 18, 18, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_VID2ORUN", 0x0000079C, 17, 17, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_VID1ORUN", 0x0000079C, 16, 16, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_GRPH4ORUN", 0x0000079C, 15, 15, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_GRPH3ORUN", 0x0000079C, 14, 14, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_GRPH2ORUN", 0x0000079C, 13, 13, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_GRPH1ORUN", 0x0000079C, 12, 12, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_VID4URUN", 0x0000079C, 11, 11, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_VID3URUN", 0x0000079C, 10, 10, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_VID2URUN", 0x0000079C, 9, 9, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_VID1URUN", 0x0000079C, 8, 8, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_GRPH4URUN", 0x0000079C, 7, 7, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_GRPH3URUN", 0x0000079C, 6, 6, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_GRPH2URUN", 0x0000079C, 5, 5, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_GRPH1URUN", 0x0000079C, 4, 4, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_VBLNK1", 0x0000079C, 3, 3, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_VBLNK0", 0x0000079C, 2, 2, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_HBLNK1", 0x0000079C, 1, 1, 0x0},\
	{"IMG_PDP_INTSTAT", "INTS_HBLNK0", 0x0000079C, 0, 0, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_VID4ORUN", 0x000007A0, 19, 19, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_VID3ORUN", 0x000007A0, 18, 18, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_VID2ORUN", 0x000007A0, 17, 17, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_VID1ORUN", 0x000007A0, 16, 16, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_GRPH4ORUN", 0x000007A0, 15, 15, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_GRPH3ORUN", 0x000007A0, 14, 14, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_GRPH2ORUN", 0x000007A0, 13, 13, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_GRPH1ORUN", 0x000007A0, 12, 12, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_VID4URUN", 0x000007A0, 11, 11, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_VID3URUN", 0x000007A0, 10, 10, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_VID2URUN", 0x000007A0, 9, 9, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_VID1URUN", 0x000007A0, 8, 8, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_GRPH4URUN", 0x000007A0, 7, 7, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_GRPH3URUN", 0x000007A0, 6, 6, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_GRPH2URUN", 0x000007A0, 5, 5, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_GRPH1URUN", 0x000007A0, 4, 4, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_VBLNK1", 0x000007A0, 3, 3, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_VBLNK0", 0x000007A0, 2, 2, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_HBLNK1", 0x000007A0, 1, 1, 0x0},\
	{"IMG_PDP_INTENAB", "INTEN_HBLNK0", 0x000007A0, 0, 0, 0x0},\
	{"IMG_PDP_MEMCTRL", "MEMREFRESH", 0x000007A8, 30, 31, 0x3},\
	{"IMG_PDP_MEMCTRL", "BURSTLEN", 0x000007A8, 0, 7, 0x8},\
	{"IMG_PDP_MEM_THRESH", "UVTHRESHOLD", 0x000007AC, 24, 31, 0x78},\
	{"IMG_PDP_MEM_THRESH", "YTHRESHOLD", 0x000007AC, 12, 20, 0xF8},\
	{"IMG_PDP_MEM_THRESH", "THRESHOLD", 0x000007AC, 0, 8, 0xF8},\
	{"IMG_PDP_ALTERNATE_3D_CTRL", "ALT3D_ON", 0x000007B0, 4, 4, 0x0},\
	{"IMG_PDP_ALTERNATE_3D_CTRL", "ALT3D_BLENDSEL", 0x000007B0, 0, 2, 0x0},\
	{"IMG_PDP_GAMMA0_R", "GAMMA0_R", 0x000007B4, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA0_GB", "GAMMA0_G", 0x000007B8, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA0_GB", "GAMMA0_B", 0x000007B8, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA1_R", "GAMMA1_R", 0x000007BC, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA1_GB", "GAMMA1_G", 0x000007C0, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA1_GB", "GAMMA1_B", 0x000007C0, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA2_R", "GAMMA2_R", 0x000007C4, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA2_GB", "GAMMA2_G", 0x000007C8, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA2_GB", "GAMMA2_B", 0x000007C8, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA3_R", "GAMMA3_R", 0x000007CC, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA3_GB", "GAMMA3_G", 0x000007D0, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA3_GB", "GAMMA3_B", 0x000007D0, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA4_R", "GAMMA4_R", 0x000007D4, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA4_GB", "GAMMA4_G", 0x000007D8, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA4_GB", "GAMMA4_B", 0x000007D8, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA5_R", "GAMMA5_R", 0x000007DC, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA5_GB", "GAMMA5_G", 0x000007E0, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA5_GB", "GAMMA5_B", 0x000007E0, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA6_R", "GAMMA6_R", 0x000007E4, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA6_GB", "GAMMA6_G", 0x000007E8, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA6_GB", "GAMMA6_B", 0x000007E8, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA7_R", "GAMMA7_R", 0x000007EC, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA7_GB", "GAMMA7_G", 0x000007F0, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA7_GB", "GAMMA7_B", 0x000007F0, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA8_R", "GAMMA8_R", 0x000007F4, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA8_GB", "GAMMA8_G", 0x000007F8, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA8_GB", "GAMMA8_B", 0x000007F8, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA9_R", "GAMMA9_R", 0x000007FC, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA9_GB", "GAMMA9_G", 0x00000800, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA9_GB", "GAMMA9_B", 0x00000800, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA10_R", "GAMMA10_R", 0x00000804, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA10_GB", "GAMMA10_G", 0x00000808, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA10_GB", "GAMMA10_B", 0x00000808, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA11_R", "GAMMA11_R", 0x0000080C, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA11_GB", "GAMMA11_G", 0x00000810, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA11_GB", "GAMMA11_B", 0x00000810, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA12_R", "GAMMA12_R", 0x00000814, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA12_GB", "GAMMA12_G", 0x00000818, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA12_GB", "GAMMA12_B", 0x00000818, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA13_R", "GAMMA13_R", 0x0000081C, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA13_GB", "GAMMA13_G", 0x00000820, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA13_GB", "GAMMA13_B", 0x00000820, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA14_R", "GAMMA14_R", 0x00000824, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA14_GB", "GAMMA14_G", 0x00000828, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA14_GB", "GAMMA14_B", 0x00000828, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA15_R", "GAMMA15_R", 0x0000082C, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA15_GB", "GAMMA15_G", 0x00000830, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA15_GB", "GAMMA15_B", 0x00000830, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA16_R", "GAMMA16_R", 0x00000834, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA16_GB", "GAMMA16_G", 0x00000838, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA16_GB", "GAMMA16_B", 0x00000838, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA17_R", "GAMMA17_R", 0x0000083C, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA17_GB", "GAMMA17_G", 0x00000840, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA17_GB", "GAMMA17_B", 0x00000840, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA18_R", "GAMMA18_R", 0x00000844, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA18_GB", "GAMMA18_G", 0x00000848, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA18_GB", "GAMMA18_B", 0x00000848, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA19_R", "GAMMA19_R", 0x0000084C, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA19_GB", "GAMMA19_G", 0x00000850, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA19_GB", "GAMMA19_B", 0x00000850, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA20_R", "GAMMA20_R", 0x00000854, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA20_GB", "GAMMA20_G", 0x00000858, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA20_GB", "GAMMA20_B", 0x00000858, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA21_R", "GAMMA21_R", 0x0000085C, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA21_GB", "GAMMA21_G", 0x00000860, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA21_GB", "GAMMA21_B", 0x00000860, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA22_R", "GAMMA22_R", 0x00000864, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA22_GB", "GAMMA22_G", 0x00000868, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA22_GB", "GAMMA22_B", 0x00000868, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA23_R", "GAMMA23_R", 0x0000086C, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA23_GB", "GAMMA23_G", 0x00000870, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA23_GB", "GAMMA23_B", 0x00000870, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA24_R", "GAMMA24_R", 0x00000874, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA24_GB", "GAMMA24_G", 0x00000878, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA24_GB", "GAMMA24_B", 0x00000878, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA25_R", "GAMMA25_R", 0x0000087C, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA25_GB", "GAMMA25_G", 0x00000880, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA25_GB", "GAMMA25_B", 0x00000880, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA26_R", "GAMMA26_R", 0x00000884, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA26_GB", "GAMMA26_G", 0x00000888, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA26_GB", "GAMMA26_B", 0x00000888, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA27_R", "GAMMA27_R", 0x0000088C, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA27_GB", "GAMMA27_G", 0x00000890, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA27_GB", "GAMMA27_B", 0x00000890, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA28_R", "GAMMA28_R", 0x00000894, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA28_GB", "GAMMA28_G", 0x00000898, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA28_GB", "GAMMA28_B", 0x00000898, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA29_R", "GAMMA29_R", 0x0000089C, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA29_GB", "GAMMA29_G", 0x000008A0, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA29_GB", "GAMMA29_B", 0x000008A0, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA30_R", "GAMMA30_R", 0x000008A4, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA30_GB", "GAMMA30_G", 0x000008A8, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA30_GB", "GAMMA30_B", 0x000008A8, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA31_R", "GAMMA31_R", 0x000008AC, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA31_GB", "GAMMA31_G", 0x000008B0, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA31_GB", "GAMMA31_B", 0x000008B0, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA32_R", "GAMMA32_R", 0x000008B4, 0, 9, 0x0},\
	{"IMG_PDP_GAMMA32_GB", "GAMMA32_G", 0x000008B8, 16, 25, 0x0},\
	{"IMG_PDP_GAMMA32_GB", "GAMMA32_B", 0x000008B8, 0, 9, 0x0},\
	{"IMG_PDP_VEVENT", "VEVENT", 0x000008BC, 16, 28, 0x0},\
	{"IMG_PDP_VEVENT", "VFETCH", 0x000008BC, 0, 12, 0x0},\
	{"IMG_PDP_HDECTRL", "HDES", 0x000008C0, 16, 28, 0x0},\
	{"IMG_PDP_HDECTRL", "HDEF", 0x000008C0, 0, 12, 0x0},\
	{"IMG_PDP_VDECTRL", "VDES", 0x000008C4, 16, 28, 0x0},\
	{"IMG_PDP_VDECTRL", "VDEF", 0x000008C4, 0, 12, 0x0},\
	{"IMG_PDP_OPMASK_R", "MASKLEVEL", 0x000008C8, 31, 31, 0x0},\
	{"IMG_PDP_OPMASK_R", "BLANKLEVEL", 0x000008C8, 30, 30, 0x0},\
	{"IMG_PDP_OPMASK_R", "MASKR", 0x000008C8, 0, 9, 0x0},\
	{"IMG_PDP_OPMASK_GB", "MASKG", 0x000008CC, 16, 25, 0x0},\
	{"IMG_PDP_OPMASK_GB", "MASKB", 0x000008CC, 0, 9, 0x0},\
	{"IMG_PDP_REGLD_ADDR_CTRL", "REGLD_ADDRIN", 0x000008D0, 4, 31, 0x0},\
	{"IMG_PDP_REGLD_ADDR_STAT", "REGLD_ADDROUT", 0x000008D4, 4, 31, 0x0},\
	{"IMG_PDP_REGLD_STAT", "REGLD_ADDREN", 0x000008D8, 23, 23, 0x1},\
	{"IMG_PDP_REGLD_CTRL", "REGLD_ADDRLEN", 0x000008DC, 24, 31, 0x0},\
	{"IMG_PDP_REGLD_CTRL", "REGLD_VAL", 0x000008DC, 23, 23, 0x0},\
	{"IMG_PDP_UPDCTRL", "UPDFIELD", 0x000008E0, 0, 0, 0x0},\
	{"PVR_PDP_INTCTRL", "HBLNK_LINE", 0x000008E4, 16, 16, 0x0},\
	{"PVR_PDP_INTCTRL", "HBLNK_LINENO", 0x000008E4, 0, 12, 0x0},\
	{"IMG_PDP_PDISETUP", "PDI_BLNKLVL", 0x00000900, 6, 6, 0x0},\
	{"IMG_PDP_PDISETUP", "PDI_BLNK", 0x00000900, 5, 5, 0x0},\
	{"IMG_PDP_PDISETUP", "PDI_PWR", 0x00000900, 4, 4, 0x0},\
	{"IMG_PDP_PDISETUP", "PDI_EN", 0x00000900, 3, 3, 0x0},\
	{"IMG_PDP_PDISETUP", "PDI_GDEN", 0x00000900, 2, 2, 0x0},\
	{"IMG_PDP_PDISETUP", "PDI_NFEN", 0x00000900, 1, 1, 0x0},\
	{"IMG_PDP_PDISETUP", "PDI_CR", 0x00000900, 0, 0, 0x0},\
	{"IMG_PDP_PDITIMING0", "PDI_PWRSVGD", 0x00000904, 24, 27, 0x0},\
	{"IMG_PDP_PDITIMING0", "PDI_LSDEL", 0x00000904, 16, 22, 0x0},\
	{"IMG_PDP_PDITIMING0", "PDI_PWRSV2GD2", 0x00000904, 0, 9, 0x0},\
	{"IMG_PDP_PDITIMING1", "PDI_NLDEL", 0x00000908, 16, 19, 0x0},\
	{"IMG_PDP_PDITIMING1", "PDI_ACBDEL", 0x00000908, 0, 9, 0x0},\
	{"IMG_PDP_PDICOREID", "PDI_GROUP_ID", 0x0000090C, 24, 31, 0x0},\
	{"IMG_PDP_PDICOREID", "PDI_CORE_ID", 0x0000090C, 16, 23, 0x0},\
	{"IMG_PDP_PDICOREID", "PDI_CONFIG_ID", 0x0000090C, 0, 15, 0x0},\
	{"IMG_PDP_PDICOREREV", "PDI_MAJOR_REV", 0x00000910, 16, 23, 0x1},\
	{"IMG_PDP_PDICOREREV", "PDI_MINOR_REV", 0x00000910, 8, 15, 0x0},\
	{"IMG_PDP_PDICOREREV", "PDI_MAINT_REV", 0x00000910, 0, 7, 0x0},\
	{"IMG_PDP_DITHERMATRIX2", "DITHERMATRIX2X1Y1", 0x00000920, 6, 7, 0x0},\
	{"IMG_PDP_DITHERMATRIX2", "DITHERMATRIX2X0Y1", 0x00000920, 4, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX2", "DITHERMATRIX2X1Y0", 0x00000920, 2, 3, 0x0},\
	{"IMG_PDP_DITHERMATRIX2", "DITHERMATRIX2X0Y0", 0x00000920, 0, 1, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_0", "DITHERMATRIX4X3Y1", 0x00000924, 28, 31, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_0", "DITHERMATRIX4X2Y1", 0x00000924, 24, 27, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_0", "DITHERMATRIX4X1Y1", 0x00000924, 20, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_0", "DITHERMATRIX4X0Y1", 0x00000924, 16, 19, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_0", "DITHERMATRIX4X3Y0", 0x00000924, 12, 15, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_0", "DITHERMATRIX4X2Y0", 0x00000924, 8, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_0", "DITHERMATRIX4X1Y0", 0x00000924, 4, 7, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_0", "DITHERMATRIX4X0Y0", 0x00000924, 0, 3, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_1", "DITHERMATRIX4X3Y3", 0x00000928, 28, 31, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_1", "DITHERMATRIX4X2Y3", 0x00000928, 24, 27, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_1", "DITHERMATRIX4X1Y3", 0x00000928, 20, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_1", "DITHERMATRIX4X0Y3", 0x00000928, 16, 19, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_1", "DITHERMATRIX4X3Y2", 0x00000928, 12, 15, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_1", "DITHERMATRIX4X2Y2", 0x00000928, 8, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_1", "DITHERMATRIX4X1Y2", 0x00000928, 4, 7, 0x0},\
	{"IMG_PDP_DITHERMATRIX4_1", "DITHERMATRIX4X0Y2", 0x00000928, 0, 3, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_0", "DITHERMATRIX8X4Y0", 0x0000092C, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_0", "DITHERMATRIX8X3Y0", 0x0000092C, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_0", "DITHERMATRIX8X2Y0", 0x0000092C, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_0", "DITHERMATRIX8X1Y0", 0x0000092C, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_0", "DITHERMATRIX8X0Y0", 0x0000092C, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_1", "DITHERMATRIX8X1Y1", 0x00000930, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_1", "DITHERMATRIX8X0Y1", 0x00000930, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_1", "DITHERMATRIX8X7Y0", 0x00000930, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_1", "DITHERMATRIX8X6Y0", 0x00000930, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_1", "DITHERMATRIX8X5Y0", 0x00000930, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_2", "DITHERMATRIX8X6Y1", 0x00000934, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_2", "DITHERMATRIX8X5Y1", 0x00000934, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_2", "DITHERMATRIX8X4Y1", 0x00000934, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_2", "DITHERMATRIX8X3Y1", 0x00000934, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_2", "DITHERMATRIX8X2Y1", 0x00000934, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_3", "DITHERMATRIX8X3Y2", 0x00000938, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_3", "DITHERMATRIX8X2Y2", 0x00000938, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_3", "DITHERMATRIX8X1Y2", 0x00000938, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_3", "DITHERMATRIX8X0Y2", 0x00000938, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_3", "DITHERMATRIX8X7Y1", 0x00000938, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_4", "DITHERMATRIX8X0Y3", 0x0000093C, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_4", "DITHERMATRIX8X7Y2", 0x0000093C, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_4", "DITHERMATRIX8X6Y2", 0x0000093C, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_4", "DITHERMATRIX8X5Y2", 0x0000093C, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_4", "DITHERMATRIX8X4Y2", 0x0000093C, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_5", "DITHERMATRIX8X5Y3", 0x00000940, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_5", "DITHERMATRIX8X4Y3", 0x00000940, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_5", "DITHERMATRIX8X3Y3", 0x00000940, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_5", "DITHERMATRIX8X2Y3", 0x00000940, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_5", "DITHERMATRIX8X1Y3", 0x00000940, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_6", "DITHERMATRIX8X2Y4", 0x00000944, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_6", "DITHERMATRIX8X1Y4", 0x00000944, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_6", "DITHERMATRIX8X0Y4", 0x00000944, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_6", "DITHERMATRIX8X7Y3", 0x00000944, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_6", "DITHERMATRIX8X6Y3", 0x00000944, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_7", "DITHERMATRIX8X7Y4", 0x00000948, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_7", "DITHERMATRIX8X6Y4", 0x00000948, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_7", "DITHERMATRIX8X5Y4", 0x00000948, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_7", "DITHERMATRIX8X4Y4", 0x00000948, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_7", "DITHERMATRIX8X3Y4", 0x00000948, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_8", "DITHERMATRIX8X4Y5", 0x0000094C, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_8", "DITHERMATRIX8X3Y5", 0x0000094C, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_8", "DITHERMATRIX8X2Y5", 0x0000094C, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_8", "DITHERMATRIX8X1Y5", 0x0000094C, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_8", "DITHERMATRIX8X0Y5", 0x0000094C, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_9", "DITHERMATRIX8X1Y6", 0x00000950, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_9", "DITHERMATRIX8X0Y6", 0x00000950, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_9", "DITHERMATRIX8X7Y5", 0x00000950, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_9", "DITHERMATRIX8X6Y5", 0x00000950, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_9", "DITHERMATRIX8X5Y5", 0x00000950, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_10", "DITHERMATRIX8X6Y6", 0x00000954, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_10", "DITHERMATRIX8X5Y6", 0x00000954, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_10", "DITHERMATRIX8X4Y6", 0x00000954, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_10", "DITHERMATRIX8X3Y6", 0x00000954, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_10", "DITHERMATRIX8X2Y6", 0x00000954, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_11", "DITHERMATRIX8X3Y7", 0x00000958, 24, 29, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_11", "DITHERMATRIX8X2Y7", 0x00000958, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_11", "DITHERMATRIX8X1Y7", 0x00000958, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_11", "DITHERMATRIX8X0Y7", 0x00000958, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_11", "DITHERMATRIX8X7Y6", 0x00000958, 0, 5, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_12", "DITHERMATRIX8X7Y7", 0x0000095C, 18, 23, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_12", "DITHERMATRIX8X6Y7", 0x0000095C, 12, 17, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_12", "DITHERMATRIX8X5Y7", 0x0000095C, 6, 11, 0x0},\
	{"IMG_PDP_DITHERMATRIX8_12", "DITHERMATRIX8X4Y7", 0x0000095C, 0, 5, 0x0},\
	{"IMG_PDP_GRPH1_MEMCTRL", "GRPH1_LOCAL_GLOBAL_MEMCTRL", 0x00000960, 31, 31, 0x0},\
	{"IMG_PDP_GRPH1_MEMCTRL", "GRPH1_BURSTLEN", 0x00000960, 0, 7, 0x8},\
	{"IMG_PDP_GRPH1_MEM_THRESH", "GRPH1_UVTHRESHOLD", 0x00000964, 24, 31, 0x78},\
	{"IMG_PDP_GRPH1_MEM_THRESH", "GRPH1_YTHRESHOLD", 0x00000964, 12, 20, 0xF8},\
	{"IMG_PDP_GRPH1_MEM_THRESH", "GRPH1_THRESHOLD", 0x00000964, 0, 8, 0xF8},\
	{"IMG_PDP_GRPH2_MEMCTRL", "GRPH2_LOCAL_GLOBAL_MEMCTRL", 0x00000968, 31, 31, 0x0},\
	{"IMG_PDP_GRPH2_MEMCTRL", "GRPH2_BURSTLEN", 0x00000968, 0, 7, 0x8},\
	{"IMG_PDP_GRPH2_MEM_THRESH", "GRPH2_UVTHRESHOLD", 0x0000096C, 24, 31, 0x78},\
	{"IMG_PDP_GRPH2_MEM_THRESH", "GRPH2_YTHRESHOLD", 0x0000096C, 12, 20, 0xF8},\
	{"IMG_PDP_GRPH2_MEM_THRESH", "GRPH2_THRESHOLD", 0x0000096C, 0, 8, 0xF8},\
	{"IMG_PDP_GRPH3_MEMCTRL", "GRPH3_LOCAL_GLOBAL_MEMCTRL", 0x00000970, 31, 31, 0x0},\
	{"IMG_PDP_GRPH3_MEMCTRL", "GRPH3_BURSTLEN", 0x00000970, 0, 7, 0x8},\
	{"IMG_PDP_GRPH3_MEM_THRESH", "GRPH3_UVTHRESHOLD", 0x00000974, 24, 31, 0x78},\
	{"IMG_PDP_GRPH3_MEM_THRESH", "GRPH3_YTHRESHOLD", 0x00000974, 12, 20, 0xF8},\
	{"IMG_PDP_GRPH3_MEM_THRESH", "GRPH3_THRESHOLD", 0x00000974, 0, 8, 0xF8},\
	{"IMG_PDP_GRPH4_MEMCTRL", "GRPH4_LOCAL_GLOBAL_MEMCTRL", 0x00000978, 31, 31, 0x0},\
	{"IMG_PDP_GRPH4_MEMCTRL", "GRPH4_BURSTLEN", 0x00000978, 0, 7, 0x8},\
	{"IMG_PDP_GRPH4_MEM_THRESH", "GRPH4_UVTHRESHOLD", 0x0000097C, 24, 31, 0x78},\
	{"IMG_PDP_GRPH4_MEM_THRESH", "GRPH4_YTHRESHOLD", 0x0000097C, 12, 20, 0xF8},\
	{"IMG_PDP_GRPH4_MEM_THRESH", "GRPH4_THRESHOLD", 0x0000097C, 0, 8, 0xF8},\
	{"IMG_PDP_VID1_MEMCTRL", "VID1_LOCAL_GLOBAL_MEMCTRL", 0x00000980, 31, 31, 0x0},\
	{"IMG_PDP_VID1_MEMCTRL", "VID1_BURSTLEN", 0x00000980, 0, 7, 0x8},\
	{"IMG_PDP_VID1_MEM_THRESH", "VID1_UVTHRESHOLD", 0x00000984, 24, 31, 0x78},\
	{"IMG_PDP_VID1_MEM_THRESH", "VID1_YTHRESHOLD", 0x00000984, 12, 20, 0xF8},\
	{"IMG_PDP_VID1_MEM_THRESH", "VID1_THRESHOLD", 0x00000984, 0, 8, 0xF8},\
	{"IMG_PDP_VID2_MEMCTRL", "VID2_LOCAL_GLOBAL_MEMCTRL", 0x00000988, 31, 31, 0x0},\
	{"IMG_PDP_VID2_MEMCTRL", "VID2_BURSTLEN", 0x00000988, 0, 7, 0x8},\
	{"IMG_PDP_VID2_MEM_THRESH", "VID2_UVTHRESHOLD", 0x0000098C, 24, 31, 0x78},\
	{"IMG_PDP_VID2_MEM_THRESH", "VID2_YTHRESHOLD", 0x0000098C, 12, 20, 0xF8},\
	{"IMG_PDP_VID2_MEM_THRESH", "VID2_THRESHOLD", 0x0000098C, 0, 8, 0xF8},\
	{"IMG_PDP_VID3_MEMCTRL", "VID3_LOCAL_GLOBAL_MEMCTRL", 0x00000990, 31, 31, 0x0},\
	{"IMG_PDP_VID3_MEMCTRL", "VID3_BURSTLEN", 0x00000990, 0, 7, 0x8},\
	{"IMG_PDP_VID3_MEM_THRESH", "VID3_UVTHRESHOLD", 0x00000994, 24, 31, 0x78},\
	{"IMG_PDP_VID3_MEM_THRESH", "VID3_YTHRESHOLD", 0x00000994, 12, 20, 0xF8},\
	{"IMG_PDP_VID3_MEM_THRESH", "VID3_THRESHOLD", 0x00000994, 0, 8, 0xF8},\
	{"IMG_PDP_VID4_MEMCTRL", "VID4_LOCAL_GLOBAL_MEMCTRL", 0x00000998, 31, 31, 0x0},\
	{"IMG_PDP_VID4_MEMCTRL", "VID4_BURSTLEN", 0x00000998, 0, 7, 0x8},\
	{"IMG_PDP_VID4_MEM_THRESH", "VID4_UVTHRESHOLD", 0x0000099C, 24, 31, 0x78},\
	{"IMG_PDP_VID4_MEM_THRESH", "VID4_YTHRESHOLD", 0x0000099C, 12, 20, 0xF8},\
	{"IMG_PDP_VID4_MEM_THRESH", "VID4_THRESHOLD", 0x0000099C, 0, 8, 0xF8},\
	{"IMG_PDP_GRPH1_PANIC_THRESH", "GRPH1_ALERT_UV_ENABLE", 0x000009A0, 31, 31, 0x0},\
	{"IMG_PDP_GRPH1_PANIC_THRESH", "GRPH1_ALERT_Y_ENABLE", 0x000009A0, 30, 30, 0x0},\
	{"IMG_PDP_GRPH1_PANIC_THRESH", "GRPH1_ALERT_UV_THRESHOLD_MAX", 0x000009A0, 23, 29, 0x40},\
	{"IMG_PDP_GRPH1_PANIC_THRESH", "GRPH1_ALERT_UV_THRESHOLD_MIN", 0x000009A0, 16, 22, 0x20},\
	{"IMG_PDP_GRPH1_PANIC_THRESH", "GRPH1_ALERT_Y_THRESHOLD_MAX", 0x000009A0, 8, 15, 0x80},\
	{"IMG_PDP_GRPH1_PANIC_THRESH", "GRPH1_ALERT_Y_THRESHOLD_MIN", 0x000009A0, 0, 7, 0x40},\
	{"IMG_PDP_GRPH2_PANIC_THRESH", "GRPH2_ALERT_UV_ENABLE", 0x000009A4, 31, 31, 0x0},\
	{"IMG_PDP_GRPH2_PANIC_THRESH", "GRPH2_ALERT_Y_ENABLE", 0x000009A4, 30, 30, 0x0},\
	{"IMG_PDP_GRPH2_PANIC_THRESH", "GRPH2_ALERT_UV_THRESHOLD_MAX", 0x000009A4, 23, 29, 0x40},\
	{"IMG_PDP_GRPH2_PANIC_THRESH", "GRPH2_ALERT_UV_THRESHOLD_MIN", 0x000009A4, 16, 22, 0x20},\
	{"IMG_PDP_GRPH2_PANIC_THRESH", "GRPH2_ALERT_Y_THRESHOLD_MAX", 0x000009A4, 8, 15, 0x80},\
	{"IMG_PDP_GRPH2_PANIC_THRESH", "GRPH2_ALERT_Y_THRESHOLD_MIN", 0x000009A4, 0, 7, 0x40},\
	{"IMG_PDP_GRPH3_PANIC_THRESH", "GRPH3_ALERT_UV_ENABLE", 0x000009A8, 31, 31, 0x0},\
	{"IMG_PDP_GRPH3_PANIC_THRESH", "GRPH3_ALERT_Y_ENABLE", 0x000009A8, 30, 30, 0x0},\
	{"IMG_PDP_GRPH3_PANIC_THRESH", "GRPH3_ALERT_UV_THRESHOLD_MAX", 0x000009A8, 23, 29, 0x40},\
	{"IMG_PDP_GRPH3_PANIC_THRESH", "GRPH3_ALERT_UV_THRESHOLD_MIN", 0x000009A8, 16, 22, 0x20},\
	{"IMG_PDP_GRPH3_PANIC_THRESH", "GRPH3_ALERT_Y_THRESHOLD_MAX", 0x000009A8, 8, 15, 0x80},\
	{"IMG_PDP_GRPH3_PANIC_THRESH", "GRPH3_ALERT_Y_THRESHOLD_MIN", 0x000009A8, 0, 7, 0x40},\
	{"IMG_PDP_GRPH4_PANIC_THRESH", "GRPH4_ALERT_UV_ENABLE", 0x000009AC, 31, 31, 0x0},\
	{"IMG_PDP_GRPH4_PANIC_THRESH", "GRPH4_ALERT_Y_ENABLE", 0x000009AC, 30, 30, 0x0},\
	{"IMG_PDP_GRPH4_PANIC_THRESH", "GRPH4_ALERT_UV_THRESHOLD_MAX", 0x000009AC, 23, 29, 0x40},\
	{"IMG_PDP_GRPH4_PANIC_THRESH", "GRPH4_ALERT_UV_THRESHOLD_MIN", 0x000009AC, 16, 22, 0x20},\
	{"IMG_PDP_GRPH4_PANIC_THRESH", "GRPH4_ALERT_Y_THRESHOLD_MAX", 0x000009AC, 8, 15, 0x80},\
	{"IMG_PDP_GRPH4_PANIC_THRESH", "GRPH4_ALERT_Y_THRESHOLD_MIN", 0x000009AC, 0, 7, 0x40},\
	{"IMG_PDP_VID1_PANIC_THRESH", "VID1_ALERT_UV_ENABLE", 0x000009B0, 31, 31, 0x0},\
	{"IMG_PDP_VID1_PANIC_THRESH", "VID1_ALERT_Y_ENABLE", 0x000009B0, 30, 30, 0x0},\
	{"IMG_PDP_VID1_PANIC_THRESH", "VID1_ALERT_UV_THRESHOLD_MAX", 0x000009B0, 23, 29, 0x40},\
	{"IMG_PDP_VID1_PANIC_THRESH", "VID1_ALERT_UV_THRESHOLD_MIN", 0x000009B0, 16, 22, 0x20},\
	{"IMG_PDP_VID1_PANIC_THRESH", "VID1_ALERT_Y_THRESHOLD_MAX", 0x000009B0, 8, 15, 0x80},\
	{"IMG_PDP_VID1_PANIC_THRESH", "VID1_ALERT_Y_THRESHOLD_MIN", 0x000009B0, 0, 7, 0x40},\
	{"IMG_PDP_VID2_PANIC_THRESH", "VID2_ALERT_UV_ENABLE", 0x000009B4, 31, 31, 0x0},\
	{"IMG_PDP_VID2_PANIC_THRESH", "VID2_ALERT_Y_ENABLE", 0x000009B4, 30, 30, 0x0},\
	{"IMG_PDP_VID2_PANIC_THRESH", "VID2_ALERT_UV_THRESHOLD_MAX", 0x000009B4, 23, 29, 0x40},\
	{"IMG_PDP_VID2_PANIC_THRESH", "VID2_ALERT_UV_THRESHOLD_MIN", 0x000009B4, 16, 22, 0x20},\
	{"IMG_PDP_VID2_PANIC_THRESH", "VID2_ALERT_Y_THRESHOLD_MAX", 0x000009B4, 8, 15, 0x80},\
	{"IMG_PDP_VID2_PANIC_THRESH", "VID2_ALERT_Y_THRESHOLD_MIN", 0x000009B4, 0, 7, 0x40},\
	{"IMG_PDP_VID3_PANIC_THRESH", "VID3_ALERT_UV_ENABLE", 0x000009B8, 31, 31, 0x0},\
	{"IMG_PDP_VID3_PANIC_THRESH", "VID3_ALERT_Y_ENABLE", 0x000009B8, 30, 30, 0x0},\
	{"IMG_PDP_VID3_PANIC_THRESH", "VID3_ALERT_UV_THRESHOLD_MAX", 0x000009B8, 23, 29, 0x40},\
	{"IMG_PDP_VID3_PANIC_THRESH", "VID3_ALERT_UV_THRESHOLD_MIN", 0x000009B8, 16, 22, 0x20},\
	{"IMG_PDP_VID3_PANIC_THRESH", "VID3_ALERT_Y_THRESHOLD_MAX", 0x000009B8, 8, 15, 0x80},\
	{"IMG_PDP_VID3_PANIC_THRESH", "VID3_ALERT_Y_THRESHOLD_MIN", 0x000009B8, 0, 7, 0x40},\
	{"IMG_PDP_VID4_PANIC_THRESH", "VID4_ALERT_UV_ENABLE", 0x000009BC, 31, 31, 0x0},\
	{"IMG_PDP_VID4_PANIC_THRESH", "VID4_ALERT_Y_ENABLE", 0x000009BC, 30, 30, 0x0},\
	{"IMG_PDP_VID4_PANIC_THRESH", "VID4_ALERT_UV_THRESHOLD_MAX", 0x000009BC, 23, 29, 0x40},\
	{"IMG_PDP_VID4_PANIC_THRESH", "VID4_ALERT_UV_THRESHOLD_MIN", 0x000009BC, 16, 22, 0x20},\
	{"IMG_PDP_VID4_PANIC_THRESH", "VID4_ALERT_Y_THRESHOLD_MAX", 0x000009BC, 8, 15, 0x80},\
	{"IMG_PDP_VID4_PANIC_THRESH", "VID4_ALERT_Y_THRESHOLD_MIN", 0x000009BC, 0, 7, 0x40},\
	{"IMG_PDP_BURST_BOUNDARY", "BURST_BOUNDARY", 0x000009C0, 0, 5, 0x6},\
};

#endif /* _PDPFB_REGFIELDS_H */
