/*
 * Copyright (C) 2014 Imagination Technologies Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 */

#ifndef _DT_BINDINGS_CLOCK_CASHEW_H
#define _DT_BINDINGS_CLOCK_CASHEW_H

#define CLK_PLL_0	0
#define CLK_PLL_1	1
#define CLK_PLL_2	2
#define CLK_PLL_3	3

/* Clock Switches */
#define CS_PLL3BYPASSCLK_0_EN	6
#define CS_PLL2BYPASSCLK_0_EN	7
#define CS_PLL1BYPASSCLK_0_EN	8
#define CS_PLL0BYPASSCLK_0_EN	9
#define CS_PLL3REFCLK_0_EN	10
#define CS_PLL2REFCLK_0_EN	11
#define CS_PLL1REFCLK_0_EN	12
#define CS_PLL0REFCLK_0_EN	13
#define CS_NOCHSPRESWCLK_0_EN	14
#define CS_NOCMSPRESWCLK_0_EN	15
#define CS_NOCLSPRESWCLK_0_EN	16
#define CS_CPU1PRESWCLK_0_EN	17
#define CS_CPU2PRESWCLK_0_EN	18

/* Gate clocks */
#define CPU0PRECLK_GATE_EN	19
#define CPU1NOCCLK_GATE_EN	20
#define VXECOREPRECLK_GATE_EN	21
#define VXDCOREPRECLK_GATE_EN	22
#define GPUCOREPRECLK_GATE_EN	23
#define ISPCOREPRECLK_GATE_EN	24
#define SECCOREPRECLK_GATE_EN	25
#define VPPCOREPRECLK_GATE_EN	26
#define PDP0COREPRECLK_GATE_EN	27
#define PDP1COREPRECLK_GATE_EN	28
#define RPUFASTPRECLK_GATE_EN	29
#define RPUCOREPRECLK_GATE_EN	30
#define RPUSLEEPCLK_GATE_EN	31
#define HDMIRXCFGPRECLK_GATE_EN	32
#define HDMIRXCECCLK_GATE_EN	33
#define HDMIRXIMODEDETPRECLK_GATE_EN	34
#define HDMITXCECCLK_GATE_EN	35
#define HDMIISFRPRECLK_GATE_EN	36
#define MIPIREFCLK_GATE_EN	37
#define MIPIDSIPRECLK_GATE_EN	38
#define MIPITXCFGPRECLK_GATE_EN	39
#define MIPIRX0CFGPRECLK_GATE_EN	40
#define MIPIRX1CFGPRECLK_GATE_EN	41
#define UART0PRECLK_GATE_EN	42
#define UART1PRECLK_GATE_EN	43
#define I2C0PRECLK_GATE_EN	44
#define I2C1PRECLK_GATE_EN	45
#define I2C2PRECLK_GATE_EN	46
#define I2C3PRECLK_GATE_EN	47
#define I2C4PRECLK_GATE_EN	48
#define I2C5PRECLK_GATE_EN	49
#define I2C6PRECLK_GATE_EN	50
#define I2C7PRECLK_GATE_EN	51
#define SPIM0PRECLK_GATE_EN	52
#define SPIM1PRECLK_GATE_EN	53
#define SDHOST0LPCLK_GATE_EN	54
#define SDHOST0PRECLK_GATE_EN	55
#define SDHOST1LPCLK_GATE_EN	56
#define SDHOST1PRECLK_GATE_EN	57
#define SDHOST2LPCLK_GATE_EN	58
#define SDHOST2PRECLK_GATE_EN	59
#define ETHERNETPRECLK_GATE_EN	60
#define USB0CLK_GATE_EN	61
#define USB0SUSPENDCLK_GATE_EN	62
#define USB1CLK_GATE_EN	63
#define USB1SUSPENDCLK_GATE_EN	64
#define UFCPRECLK_GATE_EN	65
#define PWMPRECLK_GATE_EN	66
#define PDMPRECLK_GATE_EN	67
#define OTPPRECLK_GATE_EN	68
#define TEMPPRECLK_GATE_EN	69
#define VOLTPRECLK_GATE_EN	70
#define ETSPRECLK_GATE_EN	71
#define SYSOUT0PRECLK_GATE_EN	72
#define SYSOUT1PRECLK_GATE_EN	73
#define SYS0PRECLK_GATE_EN	74
#define SYS1PRECLK_GATE_EN	75
#define SYS2PRECLK_GATE_EN	76
#define SYS3PRECLK_GATE_EN	77

#define RPUSLEEPCLK_DIV_0	78
#define SDHOST0LPCLK_DIV_0	79
#define SDHOST1LPCLK_DIV_0	80
#define SDHOST2LPCLK_DIV_0	81
#define USB0CLK_DIV_0	82
#define USB0SUSPENDCLK_DIV_0	83
#define USB1CLK_DIV_0	84
#define USB1SUSPENDCLK_DIV_0	85
#define NOCHSCLK_DIV_0	89
#define NOCMSCLK_DIV_0	90
#define NOCLSCLK_DIV_0	91
#define CPU0CLK_DIV_0	92
#define CPU1CLK_DIV_0	93
#define CPU1PRESWCLK_DIV_0	94
#define CPU2CLK_DIV_0	95
#define CPU2PRESWCLK_DIV_0	96
#define VXECORECLK_DIV_0	97
#define VXDCORECLK_DIV_0	98
#define GPUCORECLK_DIV_0	99
#define ISPCORECLK_DIV_0	100
#define SECCORECLK_DIV_0	101
#define VPPCORECLK_DIV_0	102
#define PDP0CORECLK_DIV_0	103
#define PDP1CORECLK_DIV_0	104
#define RPUFASTCLK_DIV_0	105
#define RPUCORECLK_DIV_0	106
#define HDMIRXCFGCLK_DIV_0	107
#define HDMIRXCECCLK_DIV_0	108
#define HDMIRXIMODEDETCLK_DIV_0	109
#define HDMITXCECCLK_DIV_0	110
#define HDMIISFRCLK_DIV_0	111
#define MIPIREFCLK_DIV_0	112
#define MIPIDSICLK_DIV_0	113
#define MIPITXCFGCLK_DIV_0	114
#define MIPIRX0CFGCLK_DIV_0	115
#define MIPIRX1CFGCLK_DIV_0	116
#define UART0CLK_DIV_0	117
#define UART1CLK_DIV_0	118
#define I2C0CLK_DIV_0	119
#define I2C1CLK_DIV_0	120
#define I2C2CLK_DIV_0	121
#define I2C3CLK_DIV_0	122
#define I2C4CLK_DIV_0	123
#define I2C5CLK_DIV_0	124
#define I2C6CLK_DIV_0	125
#define I2C7CLK_DIV_0	126
#define SPIM0CLK_DIV_0	127
#define SPIM1CLK_DIV_0	128
#define SDHOST0CLK_DIV_0	129
#define SDHOST1CLK_DIV_0	130
#define SDHOST2CLK_DIV_0	131
#define ETHERNETCLK_DIV_0	132
#define UFCCLK_DIV_0	133
#define PWMCLK_DIV_0	134
#define PDMCLK_DIV_0	135
#define OTPCLK_DIV_0	136
#define TEMPCLK_DIV_0	137
#define VOLTCLK_DIV_0	138
#define ETSCLK_DIV_0	139
#define SYSOUT0CLK_DIV_0	140
#define SYSOUT1CLK_DIV_0	141
#define SYS0CLK_DIV_0	142
#define SYS1CLK_DIV_0	143
#define SYS2CLK_DIV_0	144
#define SYS3CLK_DIV_0	145

/*Multiplexers and clock switches*/
#define CS_PLL3BYPASSCLK_0_SW	146
#define CS_PLL2BYPASSCLK_0_SW	147
#define CS_PLL1BYPASSCLK_0_SW	148
#define CS_PLL0BYPASSCLK_0_SW	149
#define CS_PLL3REFCLK_0_SW	150
#define CS_PLL2REFCLK_0_SW	151
#define CS_PLL1REFCLK_0_SW	152
#define CS_PLL0REFCLK_0_SW	153
#define CS_NOCHSPRESWCLK_0_SW	154
#define CS_NOCMSPRESWCLK_0_SW	155
#define CS_NOCLSPRESWCLK_0_SW	156
#define CS_CPU1PRESWCLK_0_SW	157
#define CS_CPU2PRESWCLK_0_SW	158

#define MX_NOCHSPRECLK_2_SW	159
#define MX_NOCMSPRECLK_2_SW	160
#define MX_NOCLSPRECLK_2_SW	161
#define MX_CPU1PRECLK_2_SW	162
#define MX_CPU2PRECLK_2_SW	163
#define MX_VXECOREPRECLK_2_SW	164
#define MX_VXDCOREPRECLK_2_SW	165
#define MX_GPUCOREPRECLK_2_SW	166
#define MX_ISPCOREPRECLK_2_SW	167
#define MX_SECCOREPRECLK_2_SW	168
#define MX_VPPCOREPRECLK_2_SW	169
#define MX_PDP0COREPRECLK_2_SW	170
#define MX_PDP1COREPRECLK_2_SW	171
#define MX_RPUFASTPRECLK_2_SW	172
#define MX_RPUCOREPRECLK_2_SW	173
#define MX_HDMIRXCFGPRECLK_2_SW	174
#define MX_MIPIDSIPRECLK_2_SW	175
#define MX_MIPITXCFGPRECLK_2_SW	176
#define MX_MIPIRX0CFGPRECLK_2_SW	177
#define MX_MIPIRX1CFGPRECLK_2_SW	178
#define MX_I2C0PRECLK_2_SW	179
#define MX_I2C1PRECLK_2_SW	180
#define MX_I2C2PRECLK_2_SW	181
#define MX_I2C3PRECLK_2_SW	182
#define MX_I2C4PRECLK_2_SW	183
#define MX_I2C5PRECLK_2_SW	184
#define MX_I2C6PRECLK_2_SW	185
#define MX_I2C7PRECLK_2_SW	186
#define MX_SPIM0PRECLK_2_SW	187
#define MX_SPIM1PRECLK_2_SW	188
#define MX_SDHOST0PRECLK_2_SW	189
#define MX_SDHOST1PRECLK_2_SW	190
#define MX_SDHOST2PRECLK_2_SW	191
#define MX_ETHERNETPRECLK_2_SW	192
#define MX_UFCPRECLK_2_SW	193
#define MX_SYSOUT0PRECLK_2_SW	194
#define MX_SYSOUT1PRECLK_2_SW	195
#define MX_SYS0PRECLK_2_SW	196
#define MX_SYS1PRECLK_2_SW	197
#define MX_SYS2PRECLK_2_SW	198
#define MX_SYS3PRECLK_2_SW	199

#define MX_NOCHSPRECLK_1_SW	218
#define MX_NOCMSPRECLK_1_SW	219
#define MX_NOCLSPRECLK_1_SW	220
#define MX_CPU1PRECLK_1_SW	221
#define MX_CPU2PRECLK_1_SW	222
#define MX_VXECOREPRECLK_1_SW	223
#define MX_VXDCOREPRECLK_1_SW	224
#define MX_GPUCOREPRECLK_1_SW	225
#define MX_ISPCOREPRECLK_1_SW	226
#define MX_SECCOREPRECLK_1_SW	227
#define MX_VPPCOREPRECLK_1_SW	228
#define MX_PDP0COREPRECLK_1_SW	229
#define MX_PDP1COREPRECLK_1_SW	230
#define MX_RPUFASTPRECLK_1_SW	231
#define MX_RPUCOREPRECLK_1_SW	232
#define MX_HDMIRXCFGPRECLK_1_SW	233
#define MX_MIPIDSIPRECLK_1_SW	234
#define MX_MIPITXCFGPRECLK_1_SW	235
#define MX_MIPIRX0CFGPRECLK_1_SW	236
#define MX_MIPIRX1CFGPRECLK_1_SW	237
#define MX_I2C0PRECLK_1_SW	238
#define MX_I2C1PRECLK_1_SW	239
#define MX_I2C2PRECLK_1_SW	240
#define MX_I2C3PRECLK_1_SW	241
#define MX_I2C4PRECLK_1_SW	242
#define MX_I2C5PRECLK_1_SW	243
#define MX_I2C6PRECLK_1_SW	244
#define MX_I2C7PRECLK_1_SW	245
#define MX_SPIM0PRECLK_1_SW	246
#define MX_SPIM1PRECLK_1_SW	247
#define MX_SDHOST0PRECLK_1_SW	248
#define MX_SDHOST1PRECLK_1_SW	249
#define MX_SDHOST2PRECLK_1_SW	250
#define MX_ETHERNETPRECLK_1_SW	251
#define MX_UFCPRECLK_1_SW	252
#define MX_SYSOUT0PRECLK_1_SW	253
#define MX_SYSOUT1PRECLK_1_SW	254
#define MX_SYS0PRECLK_1_SW	255
#define MX_SYS1PRECLK_1_SW	256
#define MX_SYS2PRECLK_1_SW	257
#define MX_SYS3PRECLK_1_SW	258
#define MX_NOCHSPRECLK_0_SW	259
#define MX_NOCMSPRECLK_0_SW	260
#define MX_NOCLSPRECLK_0_SW	261
#define MX_CPU1PRECLK_0_SW	262
#define MX_CPU2PRECLK_0_SW	263
#define MX_VXECOREPRECLK_0_SW	264
#define MX_VXDCOREPRECLK_0_SW	265
#define MX_GPUCOREPRECLK_0_SW	266
#define MX_ISPCOREPRECLK_0_SW	267
#define MX_SECCOREPRECLK_0_SW	268
#define MX_VPPCOREPRECLK_0_SW	269
#define MX_PDP0COREPRECLK_0_SW	270
#define MX_PDP1COREPRECLK_0_SW	271
#define MX_RPUFASTPRECLK_0_SW	272
#define MX_RPUCOREPRECLK_0_SW	273
#define MX_RPUSLEEPCLK_0_SW	274
#define MX_HDMIRXCFGPRECLK_0_SW	275
#define MX_HDMIRXCECCLK_0_SW	276
#define MX_HDMIRXIMODEDETPRECLK_0_SW	277
#define MX_HDMITXCECCLK_0_SW	278
#define MX_HDMIISFRPRECLK_0_SW	279
#define MX_MIPIDSIPRECLK_0_SW	280
#define MX_MIPITXCFGPRECLK_0_SW	281
#define MX_MIPIRX0CFGPRECLK_0_SW	282
#define MX_MIPIRX1CFGPRECLK_0_SW	283
#define MX_UART0PRECLK_0_SW	284
#define MX_UART1PRECLK_0_SW	285
#define MX_I2C0PRECLK_0_SW	286
#define MX_I2C1PRECLK_0_SW	287
#define MX_I2C2PRECLK_0_SW	288
#define MX_I2C3PRECLK_0_SW	289
#define MX_I2C4PRECLK_0_SW	290
#define MX_I2C5PRECLK_0_SW	291
#define MX_I2C6PRECLK_0_SW	292
#define MX_I2C7PRECLK_0_SW	293
#define MX_SPIM0PRECLK_0_SW	294
#define MX_SPIM1PRECLK_0_SW	295
#define MX_SDHOST0LPCLK_0_SW	296
#define MX_SDHOST0PRECLK_0_SW	297
#define MX_SDHOST1LPCLK_0_SW	298
#define MX_SDHOST1PRECLK_0_SW	299
#define MX_SDHOST2LPCLK_0_SW	300
#define MX_SDHOST2PRECLK_0_SW	301
#define MX_ETHERNETPRECLK_0_SW	302
#define MX_USB0CLK_0_SW	303
#define MX_USB0SUSPENDCLK_0_SW	304
#define MX_USB1CLK_0_SW	305
#define MX_USB1SUSPENDCLK_0_SW	306
#define MX_UFCPRECLK_0_SW	307
#define MX_PWMPRECLK_0_SW	308
#define MX_PDMPRECLK_0_SW	309
#define MX_OTPPRECLK_0_SW	310
#define MX_TEMPPRECLK_0_SW	311
#define MX_VOLTPRECLK_0_SW	312
#define MX_ETSPRECLK_0_SW	313
#define MX_SYSOUT0PRECLK_0_SW	314
#define MX_SYSOUT1PRECLK_0_SW	315
#define MX_SYS0PRECLK_0_SW	316
#define MX_SYS1PRECLK_0_SW	317
#define MX_SYS2PRECLK_0_SW	318
#define MX_SYS3PRECLK_0_SW	319
#define MX_TIMERPRECLK_0_SW	320
#define MX_TIMERPRECLK_1_SW	321
#define MX_TIMERPRECLK_2_SW	322
#define CS_TIMERPRESWCLK_0_EN	323
#define TIMERCLK_DIV_0 324
#define CS_TIMERPRESWCLK_0_SW 325

#define CLK_NR_CORE_CLKS	326

	/*AV*/
	/*plls*/
#define CLK_PLL_4	0
#define CLK_PLL_5	1
#define CLK_PLL_6	2
#define CLK_PLL_7	3

	/*gates*/
#define	PLL7REFCLK_GATE_EN	4
#define	PLL6REFCLK_GATE_EN	5
#define	PLL5REFCLK_GATE_EN	6
#define	PLL4REFCLK_GATE_EN	7
#define	ISPPIXELPRECLK_GATE_EN	8
#define	PIXEL0PRECLK_GATE_EN	9
#define	PIXEL1PRECLK_GATE_EN	10
#define	PIXEL1X7PRECLK_GATE_EN	11
#define	HDMITX0ESMPRECLK_GATE_EN	12
#define	HDMITX1ESMPRECLK_GATE_EN	13
#define	HDMIRXESMPRECLK_GATE_EN		14
#define	HDMIRXAUDIOPRECLK_GATE_EN	15
#define	I2S0AUDIOPREMCLK_GATE_EN	16
#define	I2S1AUDIOPREMCLK_GATE_EN	17
#define	SPDIFPRECLK_GATE_EN	18
#define	AUXADCPRECLK_GATE_EN	19
#define	ETSAVPRECLK_GATE_EN	20
#define	AVOUT0PRECLK_GATE_EN	21
#define	AVOUT1PRECLK_GATE_EN	22
#define	AV0PRECLK_GATE_EN	23
#define	AV1PRECLK_GATE_EN	24

	/*MUXes*/
#define MX_PLL7REFCLK_1_SW	25
#define MX_PLL7REFCLK_0_SW	26
#define MX_PLL6REFCLK_1_SW	27
#define MX_PLL6REFCLK_0_SW	28
#define MX_PLL5REFCLK_0_SW	29
#define MX_PLL4REFCLK_0_SW	30
#define MX_ISPPIXELPRECLK_0_SW	31
#define MX_ISPPIXELPRECLK_1_SW	32
#define MX_ISPPIXELPRECLK_2_SW	33
#define MX_PIXEL0PRECLK_0_SW	34
#define MX_PIXEL0PRECLK_1_SW	35
#define MX_PIXEL0PRECLK_2_SW	36
#define MX_PIXEL1PRECLK_0_SW	37
#define MX_PIXEL1PRECLK_1_SW	38
#define MX_PIXEL1PRECLK_2_SW	39
#define MX_PIXEL1X7PRECLK_0_SW	40
#define MX_PIXEL1X7PRECLK_1_SW	41
#define MX_PIXEL1X7PRECLK_2_SW	42
#define MX_HDMITX0ESMPRECLK_0_SW	43
#define MX_HDMITX0ESMPRECLK_1_SW	44
#define MX_HDMITX0ESMPRECLK_2_SW	45
#define MX_HDMITX1ESMPRECLK_0_SW	46
#define MX_HDMITX1ESMPRECLK_1_SW	47
#define MX_HDMITX1ESMPRECLK_2_SW	48
#define MX_HDMIRXESMPRECLK_0_SW	49
#define MX_HDMIRXESMPRECLK_1_SW	50
#define MX_HDMIRXESMPRECLK_2_SW	51
#define MX_HDMIRXAUDIOPRECLK_0_SW	52
#define MX_HDMIRXAUDIOPRECLK_1_SW	53
#define MX_HDMIRXAUDIOPRECLK_2_SW	54
#define MX_I2S0AUDIOPREMCLK_0_SW	55
#define MX_I2S0AUDIOPREMCLK_1_SW	56
#define MX_I2S0AUDIOPREMCLK_2_SW	57
#define MX_I2S1AUDIOPREMCLK_0_SW	58
#define MX_I2S1AUDIOPREMCLK_1_SW	59
#define MX_I2S1AUDIOPREMCLK_2_SW	60
#define MX_SPDIFPRECLK_0_SW	61
#define MX_SPDIFPRECLK_1_SW	62
#define MX_SPDIFPRECLK_2_SW	63
#define MX_AUXADCPRECLK_0_SW	64
#define MX_AUXADCPRECLK_1_SW	65
#define MX_AUXADCPRECLK_2_SW	66
#define MX_AVOUT0PRECLK_0_SW	67
#define MX_AVOUT0PRECLK_1_SW	68
#define MX_AVOUT0PRECLK_2_SW	69
#define MX_AVOUT1PRECLK_0_SW	70
#define MX_AVOUT1PRECLK_1_SW	71
#define MX_AVOUT1PRECLK_2_SW	72
#define MX_AV0PRECLK_0_SW	73
#define MX_AV0PRECLK_1_SW	74
#define MX_AV0PRECLK_2_SW	75
#define MX_AV1PRECLK_0_SW	76
#define MX_AV1PRECLK_1_SW	77
#define MX_AV1PRECLK_2_SW	78
#define MX_NOCCIP3PRECLK_0_SW	79
#define MX_NOCCIP3PRECLK_1_SW	80
#define MX_NOCCIP3PRECLK_2_SW	81
#define CS_PLL7BYPASSCLK_0_SW	82
#define CS_PLL6BYPASSCLK_0_SW	83
#define CS_PLL5BYPASSCLK_0_SW	84
#define CS_PLL4BYPASSCLK_0_SW	85

#define ISPPIXELCLK_DIV_0	86
#define PIXEL0CLK_DIV_0		87
#define PIXEL1CLK_DIV_0		88
#define PIXEL1X7CLK_DIV_0	89
#define HDMITX0ESMCLK_DIV_0	90
#define HDMITX1ESMCLK_DIV_0	91
#define HDMIRXESMCLK_DIV_0	92
#define HDMIRXAUDIOCLK_DIV_0	93
#define I2S0AUDIOMCLK_DIV_0	94
#define I2S1AUDIOMCLK_DIV_0	95
#define SPDIFCLK_DIV_0		96
#define AUXADCCLK_DIV_0		97
#define ETSAVCLK_DIV_0		98
#define AVOUT0CLK_DIV_0		99
#define AVOUT1CLK_DIV_0		100
#define AV0CLK_DIV_0		101
#define AV1CLK_DIV_0		102
#define CS_PLL6BYPASSCLK_0_EN	103
#define CS_PLL5BYPASSCLK_0_EN	104
#define CS_PLL4BYPASSCLK_0_EN	105
#define CS_PLL7BYPASSCLK_0_EN	106
#define I2S0AUDIOACLK_DIV_0	107
#define I2S1AUDIOACLK_DIV_0	108
#define NOCCIP3CLK_DIV_0	109
#define CS_NOCCIP3PRESWCLK_0_SW	110
#define CS_NOCCIP3PRESWCLK_0_EN	111
#define LVDS_CLK		112
#define HDMI_RX_TMDS_CLK	113
#define CLK_NR_AV_CLKS		114


#define CLK_PLL_8	0
#define	CS_PLL8BYPASSCLK_0_EN	1
#define	CS_PLL8BYPASSCLK_0_SW	2
#define	PLL8REFCLK_GATE_EN	3
#define	MX_PLL8REFCLK_1_SW	4
#define	MX_PLL8REFCLK_0_SW	5
#define	UCCP_AFEDACCLK_GATE_EN	6
#define	UCCP_AFEDACCLK_DIV_0	7
#define	UCCP_AFEADCCLK_GATE_EN	8
#define	UCCP_AFEADCCLK_DIV_0	9
#define	UCCP_AFEOUTCLK_GATE_EN	10
#define	UCCP_AFEOUTCLK_DIV_0	11

#define CLK_NR_AFE_CLKS	12

#define	CS_RTCCLK_0_EN	0
#define	RTCCLK_DIV_0	1
#define	CS_RTCCLK_0_SW	2
#define	EFUSECLK_GATE_EN	3
#define	EFUSECLK_DIV_0	4
#define	MEMREPAIRCLK_GATE_EN	5
#define MEMREPAIR_FIXED_DIV	6
#define CLK_NR_AON_CLKS	7





#define	ETSSYSCLKS_GATE_EN	0
#define	SPDIFSYSCLKS_GATE_EN	1
#define	SPDIFINSYSCLKS_GATE_EN	2
#define	SCB0SYSCLKS_GATE_EN	3
#define	SCB1SYSCLKS_GATE_EN	4
#define	SCB2SYSCLKS_GATE_EN	5
#define	SCB3SYSCLKS_GATE_EN	6
#define	SCB4SYSCLKS_GATE_EN	7
#define	SCB5SYSCLKS_GATE_EN	8
#define	SCB6SYSCLKS_GATE_EN	9
#define	SCB7SYSCLKS_GATE_EN	10
#define	SPISSYSCLKS_GATE_EN	11
#define	I2SOUT0SYSCLKS_GATE_EN	12
#define	I2SOUT1SYSCLKS_GATE_EN	13
#define	I2SIN0SYSCLKS_GATE_EN	14
#define	I2SIN1SYSCLKS_GATE_EN	15
#define	PWMSYSCLKS_GATE_EN	16
#define	RNGSYSCLKS_GATE_EN	17
#define	GPIO0SYSCLKS_GATE_EN	18
#define	GPIO1SYSCLKS_GATE_EN	19
#define	MDCSYSCLKS_GATE_EN	20
#define	UART0SYSCLKS_GATE_EN	21
#define	UART1SYSCLKS_GATE_EN	22
#define	RSHFSYSCLKS_GATE_EN	23
#define	ETHPKTSNIFFERSYSCLKS_GATE_EN	24
#define	TIMERSYSCLKS_GATE_EN	25

#define CLK_NR_PERIP_SYS_CLKS	26
#define CR_PERIP_CLKEN_OFFSET	8
#endif /* _DT_BINDINGS_CLOCK_CASHEW_H */
