/*
 * This header provides constants for the reset controller
 * present in the Cashew SoC
 */

#ifndef _CASHEW_RESETS_H
#define _CASHEW_RESETS_H

#define CASHEW_RESET_TIMER              0
#define CASHEW_RESET_ETH_PKT_SNIF       1
#define CASHEW_RESET_MDC                2
#define CASHEW_RESET_RSHF               3
#define CASHEW_RESET_UART0              4
#define CASHEW_RESET_UART1              5
#define CASHEW_RESET_GPIO1              6
#define CASHEW_RESET_GPIO0              7
#define CASHEW_RESET_RNG                8
#define CASHEW_RESET_ETS                9
#define CASHEW_RESET_SPIS               10
#define CASHEW_RESET_I2S_OUT0           11
#define CASHEW_RESET_I2S_OUT1           12
#define CASHEW_RESET_I2S_IN1            13
#define CASHEW_RESET_I2S_IN0            14
#define CASHEW_RESET_PWM                15
#define CASHEW_RESET_I2C7               16
#define CASHEW_RESET_I2C6               17
#define CASHEW_RESET_I2C5               18
#define CASHEW_RESET_I2C4               19
#define CASHEW_RESET_I2C3               20
#define CASHEW_RESET_I2C2               21
#define CASHEW_RESET_I2C1               22
#define CASHEW_RESET_I2C0               23
#define CASHEW_RESET_SPDIF_IN           24
#define CASHEW_RESET_SPDIF              25
#define CASHEW_RESET_MAX                25

#define CR_TOP_RESET_START              100
#define CR_TOP_RESET_CAMERA             CR_TOP_RESET_START
#define CR_TOP_RESET_VXE                101
#define CR_TOP_RESET_VXD                102
#define CR_TOP_RESET_GPU                103
#define CR_TOP_RESET_DISPLAY            104
#define CR_TOP_RESET_SECURITY           105
#define CR_TOP_RESET_HDMI_RX            106
#define CR_TOP_RESET_CPU1               107
#define CR_TOP_RESET_CPU2               108
#define CR_TOP_RESET_CIP2               109
#define CR_TOP_RESET_CIP3               110
#define CR_TOP_RESET_CIP4               111
#define CR_TOP_RESET_CIP5               112
#define CR_TOP_RESET_MAX                112

#define RESET_PERIPH_BASE               115
#define RESET_SDHOST0                   115
#define RESET_SDHOST1                   116
#define RESET_SDHOST2                   117
#define RESET_USB0                      118
#define RESET_USB1                      119
#define RESET_ETHERNET                  120
#define RESET_UFC                       121
#define RESET_SFC0                      122
#define RESET_SFC1                      123
#define RESET_PERIPH_MAX                RESET_SFC1

#define RESET_MAX                       RESET_PERIPH_MAX

#endif
