#ifndef _UAPI_PDP_DRM_H_
#define _UAPI_PDP_DRM_H_

#include <drm/drm.h>

#define PDP_ALPHA_FORMAT_NONE	0
#define PDP_ALPHA_FORMAT_INVERT	1
#define PDP_ALPHA_FORMAT_GLOBAL	2
#define PDP_ALPHA_FORMAT_PLANE	3

/*
 * Additional plane options
 * 	Alpha control
 *		Range 0-1023
 *	Word is structured (PDP_ALPHA_FORMAT_XX << 10) || <0..1023>
 */

#define PDP_GET_SIGNATURE		0x00
#define PDP_GEM_CREATE			0x01
#define PDP_GEM_MMAP			0x02
#define PDP_KICK_SIMULATOR		0x03
#define PDP_AUTO_KICK			0x04
#define PDP_SET_BKGND			0x05

#define DRM_IOCTL_PDP_GET_SIGNATURE		DRM_IOWR(DRM_COMMAND_BASE + \
		PDP_GET_SIGNATURE, unsigned int)

struct drm_pdp_gem_create {
	uint32_t handle;
	uint32_t size;
	uint32_t flags;
};

#define DRM_IOCTL_PDP_GEM_CREATE		DRM_IOWR(DRM_COMMAND_BASE + \
		PDP_GEM_CREATE, struct drm_pdp_gem_create)

struct drm_pdp_gem_mmap {
	uint32_t handle;
	uint32_t pad;
	uint64_t offset;
	uint32_t size;
	uint64_t addr;
};

#define DRM_IOCTL_PDP_GEM_MMAP			DRM_IOWR(DRM_COMMAND_BASE + \
		PDP_GEM_MMAP, struct drm_pdp_gem_mmap)

#define DRM_IOCTL_PDP_KICK_SIMULATOR		DRM_IOWR(DRM_COMMAND_BASE + \
		PDP_KICK_SIMULATOR, unsigned int)

#define DRM_IOCTL_PDP_AUTO_KICK			DRM_IOWR(DRM_COMMAND_BASE + \
		PDP_AUTO_KICK, unsigned int)

struct drm_pdp_bkgnd {
	uint16_t alpha;
	uint16_t red;
	uint16_t green;
	uint16_t blue;
};

#define DRM_IOCTL_PDP_SET_BKGND			DRM_IOWR(DRM_COMMAND_BASE + PDP_SET_BKGND, struct drm_pdp_bkgnd)

#endif /* _UAPI_PDP_DRM_H_ */
