/*
 * Copyright 2016 Imagination Technologies.
 *
 * This program is free software; you may redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
#ifndef IMG_HMMI_RX_API_UAPI_H
#define IMG_HMMI_RX_API_UAPI_H
#include <linux/videodev2.h>

enum pixel_encoding {
	PE_RGB = 0,
	PE_YCB422,
	PE_YCB444,
	PE_YCB420,
	PE_INVALID
};

enum colorimetry {
	C_NO_DATA = 0,
	/* V4L2_COLORSPACE_SMPTE170M */
	C_SMPTE170_ITU601,
	/* V4L2_COLORSPACE_REC709 */
	C_ITU709,
	C_INVALID
};

enum {
	CTRL_COLOR_DEPTH = 0x200,
	CTRL_PHY_COLOR_DEPTH,
	CTRL_PIXEL_ENCODING,
	CTRL_COLOR_SPACE,
	CTRL_TMDS_RATE,
	CTRL_VIDEO_PARAMS,
	CTRL_AUD_SAMPLE_FREQ,
	CTRL_AUD_SAMPLE_SIZE,
	HDMI_RX_CTRL_INVALID
};

enum v4l2_dv_it_content_type {
	V4L2_DV_IT_CONTENT_TYPE_GRAPHICS  = 0,
	V4L2_DV_IT_CONTENT_TYPE_PHOTO     = 1,
	V4L2_DV_IT_CONTENT_TYPE_CINEMA    = 2,
	V4L2_DV_IT_CONTENT_TYPE_GAME      = 3,
	V4L2_DV_IT_CONTENT_TYPE_NO_ITC    = 4,
};
#define V4L2_CID_DV_RX_IT_CONTENT_TYPE	(V4L2_CID_DV_CLASS_BASE + 102)

#define V4L2_CID_DV_RX_COLOR_DEPTH	(V4L2_CID_DV_CLASS_BASE + CTRL_COLOR_DEPTH)
#define V4L2_CID_DV_RX_PHY_COLOR_DEPTH	(V4L2_CID_DV_CLASS_BASE + CTRL_PHY_COLOR_DEPTH)
#define V4L2_CID_DV_RX_PIXEL_ENCODING	(V4L2_CID_DV_CLASS_BASE + CTRL_PIXEL_ENCODING)
#define V4L2_CID_DV_RX_COLOR_SPACE	(V4L2_CID_DV_CLASS_BASE + CTRL_COLOR_SPACE)
#define V4L2_CID_DV_RX_TMDS_RATE	(V4L2_CID_DV_CLASS_BASE + CTRL_TMDS_RATE)
#define V4L2_CID_DV_RX_VIDEO_PARAMS	(V4L2_CID_DV_CLASS_BASE + CTRL_VIDEO_PARAMS)
#define V4L2_CID_DV_RX_AUD_SAMPLE_FREQ	(V4L2_CID_DV_CLASS_BASE + CTRL_AUD_SAMPLE_FREQ)
#define V4L2_CID_DV_RX_AUD_SAMPLE_SIZE	(V4L2_CID_DV_CLASS_BASE + CTRL_AUD_SAMPLE_SIZE)

#endif
